Welcome

Navigation: »No topics above this level«

DX4WIN 9.08
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Welcome to DX4WIN!

Stop Before proceeding, please read the following section in case you are Upgrading from a previous version.

After reading this section, close this help window by clicking the close button in the title bar of the window.

In this document we use the notation like File | Preferences | Personal often. It means that you click on 'File' on the main menu, followed by a click on 'Preferences' followed by a click on 'Personal'. 'Personal' in this case is not a menu option, but one of the available selections on the notebook shown.

We recommend that you complete some fields in the File | Preferences | Personal section, since distances and directions to a country are based on the location of your home QTH for example.

You leave the preferences section by selecting the File | Save changes and exit option.

After you become more familiar with the program, using the demonstration log file, experiment with the Station parameters to eliminate the modes and bands that you do not have an interest in, so they will no longer show in summaries and reports.

You can start the program by double-clicking the file DX4WIN.EXE in the file-manager or by double-clicking the name of a log file; log files have the extension 'DXL'. Using the latter method will start the program and read the log.

Note that a number of windows do not have a visible menu, they use PopUp menus instead. You activate a PopUp menu by clicking the right button on your mouse.

There are some useful tips in Moving around in the QSO Window.

Remember, help is always nearby by pressing the F1 key; you can find other help topics by clicking the contents tab in the help screen or by using the search feature of the help system.

You need support?

Additional documentation

This help file is also available in the docs sub-directory, it is called 'helpfile.pdf' which is suitable for printing in case you like a paper copy.


Upgrading from a previous version
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

We recommend that you install a new version of DX4WIN in the suggested directory. This avoids problems when file formats have changed etc. For example, new versions may change the format of the log files. A new version will always be able to read the old format, but old versions cannot read the new format of a log file!

After installing the program in the suggested directory, follow these steps:

·Copy your old log files from the old save sub-directory to the new save sub-directory.

·Create an INI file in the old version: File | Preferences| Write INI file. Remember the file name and directory where you saved the INI file. Exit the program again, and start the new version. When you start the new version, merge the INI file, and most parameters will be carried over: File | Preferences | Load configuration file. Make sure to check with File | Save As, that your log will be saved in the correct directory.

·Inspect the station preferences and the award band/mode selections. You will have most modes and bands enabled; select the bands and modes you are interested in. (This is only an upgrade issue due to adding more modes and bands, the old format of the INI could not be used for this. The new format will handle this correctly for the future)

·If you created a shortcut on your DeskTop to your old version of DX4WIN, make sure the shortcut points to the new version. You will be using the old version otherwise.

The file format of the log changes often as new versions are released. You can always read older versions of the log, but the log will be saved in the current format. Older versions of DX4WIN are not able to read the new format. If you want to go back to an older format, export the log using the appropriate DX4WIN filter and import that file in your old version.


Features

Navigation: Welcome:

Features of DX4WIN
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Awards

·Support for DXCC, WAS, WAZ, WPX, County, IOTA, VUCC & CQ DX Field (mixed, mode and band) .

·Separate flags to track the mixed, mode and band awards

·Support for Custom awards

·Includes more than one hundred pre-defined custom awards

·Award manager to define active bands/modes

Contesting

·When contest mode is enabled and a starting time is defined, a new QSO will be checked for a duplicate contact in the contest

·An incrementing serial number can be displayed during a contest

·Master Data files can be used from other contesting software.

CW Keyboard

·A full function CW keyboard which works under Windows.

·Support for WinKey

·User programmable memories accessed using function keys.

·Adjustable weighting and visual transmit buffer.

·Uses interfaces to serial and parallel ports.

·Buttons available to send stored CW messages via mouse.

External data

·Support for the Buckmaster, Flying Horse (RAC), QRZ!, Octavia and Amsoft Callsign databases on CDROM

·Support for the GOLIST to obtain QSL manager information

·Access to website for QSL info, like www.qrz.com

Gray line

·Display shadow and gray line on world map

·Calculates gray line data between user's station and DX countries.

·User defined gray line 'window'.

·Calculates sunrise/sunset data for user station and DX station for up to a year.

User Help

·Extensive context sensitive help with hot links to related topics help available by pressing F1 key.

Import / Export of Logs

·Users can define their own import / export filters

·Utilities are provided to convert some file formats, such as dBase and comma delimited, to fixed field ASCII suitable for the import function

·QSOs that generate errors when imported are still included in the log with an error message attached. It is not necessary to edit an error file and retry the import

·Filters for: ARRL, DX4WIN, DXBase (3 & 4). DXDesktop, DXLog, EasyLog, GemRadio, HyperLog, LogBook, LogEQF, LogicW, LogMaster, LogPlus. LogWin, N6TR, NA, SD, SecondOP, SwissLog, TopLog, TurboLog, WB2DND, WF1B, WJ2O and WRTC and others.

·Import and Export filter for ADIF; support for LoTW and eQSL

Labels

·To print QSL labels, a number (120+) of popular sizes for labels are defined. The user can also define five custom labels

·Multiple labels can be printed across a page and one label can accommodate more than one contact for the same station

·Labels can be printed sorted by callsign or in the sequence as they were marked for printing

·The log file can be searched for QSOs that are not confirmed and when confirmed will contribute to one or more awards (like DXCC, WAS WAZ , new modes or bands)

·Preview of labels avoids wasting paper

·Support for printing SWL labels

LoTW & eQSL

·Support for electronic confirmation of QSOs; QSO fields are available to mark that the QSO needs to be uploaded, the date of the upload and a flag to indicate that the QSO was confirmed electronically.

·After downloading your log in ADIF format, the file can be used to confirm the QSOs in your log.

·Special viewer to find QSOs that were not found in the log

Master Call Data

·Master Call data can be imported from contesting programs, converted and used in DX4WIN for contesting or general logging.

Multiple Logs

·Many users keep separate logs for previously held callsigns, locations or DXpeditions in order to be able to make submissions for awards.

·With DX4WIN you can also logically split the log file, allowing summaries and award calculations to be limited to certain groups of QSOs

·Limiting the summaries to a data range allows the user also to monitor 'progress' in a contest

Operating System

·32 bit programming designed to run under all 32bit versions of Windows

·User friendly install program

·The log file is a single file and can be in any directory; log files are small (1MB for 8000 QSOs) and there are no index files etc.

·Log files can backed-up at a user specified time interval

·Supports serial ports 1 thru 32 and parallel ports 1 thru 3.

Packet

·Large packet window (up to 16000 lines)

·Contents of packet window can be copied to the Clipboard

·Large number of DX spots (up to 16000 entries). The spots are color coded to reflect status of new country / new mode / new band. DX spots are saved so they are available again when the program is restarted

·Spots can be colored to reflect DXCC, WAZ or WPX awards.

·Voice announcements of DX spots using the Windows sound system

·QSX frequencies in spots are recognized in different ways, like QSX 200, WKD 14205, UP 3, DN 4 etc.

·Additions / deletions and updates of QSOs are reflected in the colors of the spots immediately

·New DX spots replace older spots for the same station on the same band; no endless repetitions of the same spot if you are not connected to the cluster

·Support to announce DX, grab DX spot, move radio to the frequency of a DX spot, enter DX spot in the scanner

·Tune your radio over the bands and let the DX Spots Window find the spot that is closest in frequency

·DX spots can be sorted by time, arrival sequence, frequency, callsign of spotter and priority / callsign; when you sort by priority all new countries are grouped together, followed by new mode / band etc.

·Buttons available to select stored packet commands via mouse or keyboard

·TCP/IP access to world wide cluster sites using the Internet.

·Bandmap using the same colors as the DX Spots Window

·Spots can indicate membership for up to four different lists

Prefixes

·The country prefix is not part of a QSO; all prefixes are determined when log file is read; this approach leads to a consistent treatment of prefixes for all log files and QSOs within the same log file

·Prefixes are date sensitive and one prefix can cover multiple date ranges for which the prefix is used.

·Users can edit the country database to add countries, change prefixes, dates, etc.

·The default prefix and the zone for a call can be overwritten when editing a QSO, and is like all prefixes, date sensitive

Previous Contacts

·In addition to a note for every QSO, there is a note, a name and a QTH field for a callsign. This allows easy access to that information when you work the same station again

·Both types of notes can by 254 characters long

·When adding a new QSO, state, county, IOTA and TenTen number are obtained from the last QSO with that station

·A window is available showing all QSOs with the same station; including QSL status

PSK31

·A full featured PSK31 window with spectrum / waterfall display based on psk31.dll by AE4JY

·The PSK31 window interacts with the QSO window to recognize callsign, state, grid location etc to minimize typing

QSL Management (outgoing)

·DX4WIN can check your log for outstanding, and unanswered QSLs and mark those QSOs again to send follow up QSL.

·You can remove multiple QSLs to the same station for the same band and mode.

·Mark additional QSLs going to the same manager or station for efficient mailing.

·Change method of routing (buro, direct, etc.) based on availability of a QSL buro.

QSL Managers

·When entering a QSL manager for a station, the information is stored in the QSL manager database

·An editor is provided to make changes to the QSL manager database or import a text file directly.

·Over 1,000,000 QSL managers can be stored.

QSO Filters

·Searching for QSOs is supported with one or more search value for any field in a QSO. For example, find all phone QSOs on 80m that are not confirmed with countries outside the USA and for which a QSL card was never sent

·QSOs, even when the QSO filter is enabled, can be sorted in many ways, can be edited, deleted, printed, exported etc.

·The LogBook window will show all QSOs matching the QSO filter

·QSO filters can also be defined by a mouse click in a report, a summary window or QSL routing window.

Radio

·Support for popular radio models (ICOM, Kachina, Kenwood, TenTec, Yaesu)

·Support for two radios with quick switching between the two

·Interface to radio to get mode and frequency for new QSOs

·Panorama display; shows S meter readings for a range of frequencies around a center frequency

·The Scanner function lets you monitor up to 16 frequencies; and includes support for QSX frequency. Channels can be enabled or disabled individually. The frequencies for the scanner are read directly from the radio or can be entered from the DX Spots Window.

·Users can add new radio models to the program by specifying the radio command set

Reports

·Reports can be designed by the user and can be sorted using the same keys as used for the QSOs

·Reports can be previewed on the screen before printing, and all reports can use lines and shading to make the report easier to read

·A number of reports have a direct link to the QSOs; from a report entry you can reach all QSOs that generated that entry by a mouse click

RTTY

·RTTY terminal window using programmable function keys for sending of 'canned' exchanges and information which can contain callsigns, reports, etc.

·If not being used for RTTY, the window may be used for secondary packet connection.

·Support for MMTTY by JE3HHT.

Sorting

·QSOs are sorted using compound sort keys. For example, sorting by Zone actually sorts by Zone, Band, Prefix, Call, Date, and Time

·A large number of sort keys can be used, such as Call, Date, Prefix, Band, County, IOTA, Zone, State, etc.

Special Hardware

·Support for Top Ten devices and ON4AOI band decoder

·Support for a number of rotator interfaces, including SARtek, Hy-Gain DCU-1, Orion M2, HD-1780, PRO.SIS.TEL and ARS by EA4TX.

·With a rotator interface, select short or long path antenna heading with direction selection based on the current band.

·Rotator interface supports a general correction and an offset for each band.

Speed

·Fast! No noticeable delays when updating summary windows etc.

·Summary reports and award submission are generated in a few seconds

·Import thousands of QSOs from your contest log in a few seconds

Spot updates

·DX spot worked/mailed/confirmed information is automatically displayed while in logging mode.

·Displayed information for DXCC, WAS, and IOTA is updated for new spots as they are received.

Summaries

·The software keeps track of the various stages of a contact: not worked, worked, flagged for a QSL label, QSL card mailed, contact confirmed submitted for award and approved for award.

·There are a number of real-time summary windows for Country (Zone, State, IOTA, WPX, County, Grid and CQ Field DX) that display these stages by mode and by band, except for the award status.

·A double-click in a summary window will search for all QSO for the indicated band/mode combination.

·Summary windows only show the bands and modes you are interested in and are updated automatically

Telnet and WWW access

·Using an Internet connection, you can access a DX spotting cluster via Telnet or retrieve DX spots from World Wide Web sites.

·When the Internet is used in addition to a RF cluster connection, DX spots will be merged into a single DX spot window.

·The file of available Telnet and WWW sites can be edited in Notepad as needed.

User Interface

·Windows can be re-sized and moved to a different location; user setup can be saved for later recall. Some windows can be hidden from view and redisplayed when convenient.

·User can select different skins for the user interface

·User levels, from beginner to expert, enable the more complicated features of the program

·Consistent use of special keys. Special keys are always visible in the menus and the on-line help

·Change date / time with up- and down-arrow

·No abbreviations are used to indicate mode, QSL method, award status etc.

·Pick a prefix from a list of countries that is sorted by the name of the country or the prefix. A similar function is available for states, IOTAs and USA counties

World Map

·World map window graphically represents bearing and path from user's QTH to DX countries, and is updated by spots as they are received.

·Show propagation based upon received spots, with user definable parameters.

·Shows shadow and gray line

·Various map projections including great circle

·Search for a country, city or IOTA on the map


Support
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

In case you need support to configure and operate DX4WIN:

Email: support@dx4win.com

Web: www.dx4win.com

BrookHill Data Systems LLC

POBox 847

Occoquan, VA 22125

Check the DX4WIN reflector for advise, suggestions, solved problems, workarounds etc.


DX4WIN reflector
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

There is a very active DX4WIN Internet reflector. After subscribing to a reflector, your message to the reflector will be seen by all subscribers. It is a great place to ask a DX4WIN related question, either about the software itself, or the hardware used with DX4WIN.

You can subscribe and un-subscribe from the DX4WIN reflector by using your Internet browser and visit the following URL: http://mailman.qth.net/mailman/listinfo/dx4win

You can specify to receive every email sent to the reflector, or receive summaries.

The reflector has an archive that may contain the answer you are looking for: http://mailman.qth.net/pipermail/dx4win/

Please note:

The DX4WIN reflector is just one of the many reflectors hosted by QTH.NET, and all equipment, Internet connections etc. is paid for by its many users. So when you enjoy the services, show your gratitude, and make a small donation. You will find the details how to do that on the donation page.


Credits
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Country database

Jim, AD1C, maintains the country database

Map data

The world wide list of cities is based on data provided by Stefan Helders: www.world-gazetteer.com

Software used

psk31.dll by AE4JY

Delphi 7 by Borland

Orpheus, AsynchPro and Systools by TurboPower Software

Map component and data by Graham Knight (TGlobe)

ReportPrinter Pro by Nevrona Designs

Help & Manual by EC Software

TPerlRegEx by Jan Goyvaerts, Just Great Software

PCRE3.DLL by Philip Hazel, University of Cambridge, England

Contributors

I received many suggestions from users of the DX4WIN reflector but a special thank you goes out to Jim AD1C and Guy ON4AOI who kept me very busy with ideas for the software. Jim also maintains a website about DX4WIN containing lots of suggestions and he is the maintainer of various core files for DX4WIN like the country database, the awards database, the cluster address file and the QSL managers. Visit his site at http://dx4win.ad1c.us/


Legal Information
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Copyright © 1995-2019 by Paul van der Eijk, KK4HD

All rights reserved.

License Agreement

You should carefully read the following terms and conditions before using this software.

Demo Version

You are hereby licensed to: use the Demo version of the software for a 30 day evaluation period; make as many copies of the Demo version of this software and documentation as you wish; give exact copies of the original Demo version to anyone; and distribute the Demo version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of the DX4WIN software after the 30-day evaluation period is in violation of federal copyright laws.

Licensed Version

One registered copy of the DX4WIN software may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non simultaneously by multiple people, but not both.

You may access the DX4WIN software through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.

Governing Law

This agreement shall be governed by the laws of the State of Virginia.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which DX4WIN may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Trademarks

Windows® and Windows 95® are registered trademarks of Microsoft Corporation.

Kenwood® is a registered trademark of Kenwood USA Corporation.

PacketCluster is a trademark of Pavilion Software.

CT is a trademark of Harvard Radio

ICOM is a trademark of ICOM America

dBase is a trademark of Borland International

HamCall is a trademark of Buckmaster Publishing

Yaesu® is a registered trademark of Yaesu Electronic Corporation

DXBase is a trademark of Scientific Solutions, Inc.

QRZ! is a trademark of

DXLog is a trademark of Payl Software

NA is a trademark of Dave Pruett, K8CC

GOLIST is a trademark of DX Enterprises

DXCC is a trademark of the ARRL

DX4WIN is a trademark of Paul van der Eijk, KK4HD

SARtek1 is a trademark of SAR Technologies

Logbook of the World is a trademark of the ARRL

"TPerlRegEx" and "JGsoft - Just Great Software" are trademarks of Jan Goyvaerts


Setting Preferences

Navigation: »No topics above this level«

Setting Preferences and options

Main Window: File | Preferences
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the operating environment for DX4WIN.

Because there are so many different options that can be specified, the preferences are organized in the form of a notebook. The tabs of the notebook show the topic; click on the tab to switch to the notebook page.

On the File menu you will find four options:

1. Save all changes

2. Cancel all changes made

3. Write configuration file

4. Load configuration file

These are the tabs on the notebook:

Personal

Station

QSO

Screen

Import

Radio

Control

CW

Packet

RTTY

Ext Data

F2 Key

Rep/Lab

In addition to these setting, a number of windows have additional parameters that can be modified. Examples are the CW keyboard, Packet Window, DX Spots Window, Logbook etc. These settings can be reached via the PopUp menu in those windows.


Preferences | Control
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

There are four hardware components that can be configured on this page:

Band Decoder

Rotator

Sound card for PSK31

SteppIR

Configuration of the CW keyboard has a separate page.


Control Band Decoder

Navigation: Setting Preferences > Preferences | Control:

Control | Band Decoder
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A band decoder allows for automatic antenna selection when switching bands. Switching will only occur when adding QSOs in real-time. Also see band decoder details.

Type

Specify the band decoder device type

LPT port

The parallel port used for the band decoder interface. This port can be shared with the LPT port used for keying.

Active bands

The bands for which band switching is enabled. A band decoder has overlapping band selections for HF and VHF; selecting the band range will avoid problems with selecting the wrong antenna for a given band.


Band decoder details
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The programming for the band decoder follows the standards established by popular contest programs such as CT and NA.

The following table shows for which band the lines on a printer (LPT) port are active (high). The lines correspond to the pins on a standard DB-25 connector. Bands not shown are not active.

Band | Pin 2 | Pin 7 | Pin 8 | Pin 9
160m | x |  |  |
80m |  | x |  |
40m | x | x |  |
30m |  |  |  |
20m | x |  | x |
17m |  | x | x |
15m | x | x | x |
12m |  |  |  | x
10m | x |  |  | x
6m |  | x |  | x
2m | x |  |  |
1.2m |  | x |  |
70cm | x | x |  |
23cm | x |  | x |


Control Rotator

Navigation: Setting Preferences > Preferences | Control:

Control | Rotator
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the parameters for an antenna rotator control interface. The specific actions for each band are described in the rotator control parameters.

Type

Specify the type of device. When you select 'Message based', also specify the message handshake string; see below.

COM port

The serial port used for the interface; ignored when the type is set to 'Message based'

Message handshake

After selecting 'Message based' in the rotator type, this string of characters is used to specify an application that controls the rotator interface. Currently, DX4WIN supports the ARS interface by EA4TX with the message string: ThunderForm|ARSWIN (note no blanks around the '|')


Control Sound card

Navigation: Setting Preferences > Preferences | Control:

Control | Sound card
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Select the sound card for PSK31

For computers with multiple sound cards, this option allows you to specify which card(s) to use for PSK31.

The Default selection will stop packet spot voice announcements when the PSK31 window is open. Any other selection will allow two sound cards to be used; one for packet spot voice announcements and one for the PSK31 functions.

Different cards can be selected for Input and Output.


Control | SteppIR
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Some devices, like the SteppIR antenna controller, use the frequency from the radio. These devices do not always support the radio used with DX4WIN or they are not aware of the use of a second radio in DX4WIN. Using this option repeats the radio transmit frequency in the widely used Kenwood radio format. When a second radio is configured and selected, the transmit frequency is taken from the second radio.

Port

The COM port used for the device

Baudrate

The baudrate used

Bands enabled

When a band is enabled, the frequency will be repeated.

Take output from

Disabled

No frequencies are written to the COM port

Enabled

The transmit frequency is written to the COM port (takes the split mode into account)

VFOA <-> VFOB

The 'other' or the B VFO frequency is written to the COM port. This option is made available for radios that do not report that they operate in split mode, and DX4WIN does not know what the actual transmit frequency is. Intended for ICOM radios.

See SteppIR wiring and configuration.


SteppIR configuration
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

SteppIR controller wiring and setup (courtesy ON4AOI)

Hardware connection to SteppIR controller

Hardware connection to SteppIR controller

Configuring the controller:

Select > setup mode

Select > Transceiver Setup with arrow up or dn key

Select > Mode with arrow up or dn key

Select > Change to Kenw with arrow up or dn key

Select > Baud

Select > Change to 9600 with arrow up or dn key (assumes DX4WIN baudrate is set to 9600)

Select > DONE

Select > Save ? YES or No select YES with arrow up or dn key

Select > Mode > Mode until you get General mode

Enable the bands your antenna is designed for:

+ 6-10-12-15-17-20 for standard 1-2-3-4 Elements

+ 6-10-12-15-17-20-30-40 Beams with 30/40 Meter add-on

+ 6-10-12-15-17-20-30-40 Big IR without 60/80 M

+ 6-10-12-15-17-20-30-40-80 DB36 with 80 M option

+ 6-10-12-15-17-20-30-40-60-80 Big IR with 60/80 M

If you don't want that DX4WIN controls a particular band because for example you have a 9 Elem on 6 Meter then you can disable this band here.

Check also the rotator parameters for Status (disabled-normal-offset etc) if you only have the add-on dipole for 30/40 M installed


Preferences | CW
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Device type

CW keying is done in software by DX4WIN or by an external keyer, like WinKey, connected through a COM port.

Interface

Select the port used for the CW keying interface. Selecting None will disable the interface, but audio keying is still available. Keying can be accomplished by using a LPT (printer) port or a COM (serial) port.

LPT port:

The following lines are used on the DB25 male connector:

Use | Pin | Remarks
CW | 1 & 17 | CW Keying
PTT | 16 & 18 | PTT; only active when a PTT delay has been specified. When keying CW, the line will become active, and the sending of CW will start after the number of milliseconds specified has passed. As soon as the CW buffer is empty, the line will become inactive again. The PTT line is also used by the PSK31 interface for keying the transmitter.
Radio2 | 14 & 18 | When a LPT port has been selected in the Radio 1/2 signal, this line is active when the second radio is selected. See Rad 1/2 reverse below.

COM Port:

When selecting a COM port for keying, the two RS232 lines (DTR and RTS) can be selected for CW keying and for PTT control. Each line can have one of the following values, None, CW Keying or PTT control. You can share the same COM port with the radio. When a line is not used for keying, the DTR-high / RTS-high setting for the radio determine the state of the line. See CW and PTT interface to radio for circuit diagrams.

PTT Delay:

The number of milliseconds to delay when the PTT line becomes active and CW keying starts. A zero value indicates that PTT keying is not used.

Radio 1/2 signal:

When a LPT port is selected, the Radio2 line will be active when the second radio is selected, and inactive when the primary radio is selected. When using the LPT port to control the DX Doubler 2-radio selection (LPT pin 14), you must select that LPT port in the CW preferences page, even if you are not using the LPT port to send CW. Otherwise the polarity of pin 14 will be reversed.

Rad 1/2 reverse:

Reverses the Radio 1/2 signal

External keyer:

After selecting the type of external keyer, specify the COM port used for the device. Setting operating parameters for the external keyer is done with the Settings command in the CW Keyboard.


CW and PTT Interface to radio
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Below a number of circuits showing Serial port or LPT port interfaces to connect one or two radios.

Drawings courtesy ON4AOI.

Serial port interfaces. The circuits below use a DB9 connector for the serial port. In case only a DB25 connector is available, the following table shows the corresponding pin numbers:

Name | Pin DB9 | Pin DB25 | Description
DTR | 4 | 20 | Data Terminal Ready
GND | 5 | 7 | System Ground
RTS | 7 | 4 | Request to Send

Serial connection without optocouplers

Serial connection without optocouplers

Serial connection using optocouplers

Serial connection using optocouplers

LPT port connection without optocouplers

LPT port connection without optocouplers

LPT port connection using optocouplers

LPT port connection using optocouplers


Preferences | Ext Data
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the files or URLs to use to search external databases.

DX4WIN supports a number of ways to retrieve address and QSL informaton for a callsign:

·CDRom based data such as the HamCall from BuckMaster and QRZ! Ham Radio for address information

·GoList for QSL manager information. (requires a subscription)

·Online access to Buckmaster data or QRZ data; both require a subscription

·A website for callsign information; creating a free account is required for the QRZ website

Address Search

External Data Source

Specify the website or the CDRom database you use. The data source can be divided in two groups. One group will activate a browser to a website to display information, and the second group allows for on-line access to the data without displaying a website. The latter often require a subscription that should be obtained separately.

When selecting an on-line lookup, one or two fields will be initialized in the lookup address.

CDRom Drive

The drive letter of the CDRom drive or the data directory used for the CDROM data. Some products allow you to copy the data to your hard disk, freeing the CDROM. Examples:

E: when your CDROM is drive E

C:\RAC2000 when you copied your data directory to your hard disk.

QSL Manager Search (EXE)

Executable Program

Specify the full path name of the program that will do the search in the QSL data. For the GO-LIST you would specify for example: ''c:\go236\golist.exe"

DX4WIN assumes that the program will have one parameter, the callsign.

The call to execute the program will make the directory of the program the current directory and pipe standard output to a file called 'manager.res'. The search program can either write to standard output or the file 'manager.res'.

The program to be executed can be a 16bit or 32bit console application or a batch file (.BAT or .CMD under Windows/NT)

Enabled

When the check box is enabled, the external database will be used to show information when you execute the Search Ext data function.

QSL Manager Search (DLL)

DLL

Specify the full path name of the DLL used for QSL manager lookups. This function supports the API as implemented in the GO-list DLL (GOWIN32.DLL)

Enabled

When the check box is enabled, the DLL will be used to search the QSL manager database supported by the DLL.

Website callsign lookup

Website callsign lookups do not attempt to retrieve address and QSL manager information from a website, because there is too much information on those pages. Instead, the website address (URL) in combination with the callsign are used to start a web browser and show the page returned. For on-line lookups, a URL is used in combination with a user name and a password to get access to the callsign information.

Initial Callsign lookup address

The URL used to establish your credentials to do on-line lookups; when empty, username and password are submitted as part of the callsign lookup. When doing an on-line lookup and QSL information is available this information is displayed as well.

Callsign lookup address

Specify the on-line lookup URL or the URL of the website to be displayed, for example:

http://www.qrz.com/db/

The callsign to search for is simply added to the end of this string, as in:

http://www.qrz.com/db/kk4hd

QSL Manager lookup address

Specify the website that can be used to do search for a QSL manager based on the given callsign; for example:

http://www.qrz.com/callsign?qsl=

The callsign to search for is simply added to the end of this string, as in:

http://www.qrz.com/callsign?qsl=4u1wb

Enabled

When enabled, you can use a website to do a search for a QSL manager or find an address for a callsign in the External Data Window


Preferences | F2 Key
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set preferences for the F2 key.

The F2 function key can be programmed to perform a number of functions. Depending on the options, it can mark a QSO as confirmed, set the label field or assign a sequence number for printing.

Action when pressing F2 key

Mark QSO as Confirmed

Mark the QSO as confirmed; see confirmation options below.

Mark for printing a label

Set the Label field (or print sequence number)

Confirmation options

Set QSL Sent to today

When enabled and the Marking a QSO as confirmed, the QSL Date is set to today's date. So the meaning of the QSL Date field can be interpreted as the QSL received date for a confirmed QSO..

Alert when confirming QSO for an award

When this option is enabled, and you confirm a QSO that can be submitted for one or more awards, you will see a listing of all awards for which the QSO qualifies. You will have the option to set all corresponding award flags to 'Submit' and set the QSL card aside.

Awards checked when confirming QSO

In addition to the bands and modes specified in the preferences , this checklist allows the selection of awards checked when confirming a QSO.

Label options

Mark for sequenced printing

Set the SeqPrt field to the next sequence number, indicating that a QSL label should be printed. See Print labels in sequence how to use this field.

QSL method

If the Label - or SeqPrt field is modified, use this value to set the QSLMethod, indicating how the QSL card should be handled.

QSO selection

Same QSO

Do not move to a different QSO (unless the QSO no longer matches the current QSO Filter because one or more fields were modified.)

Next QSO

Move to the next QSO matching the QSO Filter in the current sort-order (same as pressing PgDn)

Specify New QSO Filter

Specify a new QSO filter. This allows you to enter a new callsign to search (same as pressing F8).

Related topics:

Printing Labels

QSO Filter

Selection


Preferences | Import
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Options for error handling when importing other log files.

Before importing a log file, the following options allow you to select the detail of error reporting and how to resolve differences in the Prefix and Zone imported and those determined by DX4WIN.

Prefix and Zone differences

Show QSO information and ask

A window with the relevant QSO information is shown and you can select the imported values, the values determined by DX4WIN or cancel the import. This is often a very time consuming method, and we recommend using the DX4WIN values, and use the error reporting option to find the QSOs where the imported value and the DX4WIN value are different.

Accept DX4WIN values

Ignore any imported values for prefix and zone, and use the values determined by DX4WIN.

Accept imported values

When accepting the values from the imported QSO, an exception record will be added to the country database. The use of this option is only recommended when you are certain about the imported values and like to register the exceptions automatically in the country database.

Error reporting

Simple errors

When enabled, simple errors such as wrong RST given a mode, misspelled state etc will be reported.

Prefix differences.

When enabled, the 'other' prefix will be reported.

Zone differences.

When enabled, the 'other' zone will be reported

More serious errors, such as a missing callsign, date, band or mode, are always reported. The QSO is accepted, and the error is inserted in the notes for that QSO.

When the import is finished, search for 'import:' in the notes for the QSO. There will be a short message indicating the problem(s) with importing that QSO. If there are many errors, like one for each QSO, most likely there is a problem with the import filter.

After inspecting the errors and make corrections to the QSO, the import warnings and errors can be cleared; see QSO | Multiple QSOs operations | Remove import notes

Time window to QSOs in secs (my logs)

Time window to match QSOs in secs (other logs)

When an existing QSO and an imported QSO have the same callsign, band and mode the time difference is used to decide if the QSOs are identical. The first value (my logs) is used to avoid adding duplicate QSOs when merging another log file. The second value (other logs) is used to match QSOs used to confirm QSOs in a log where the time of the matching QSO can be slightly different.


Preferences | Load configuration file
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Merge the current preferences for DX4WIN with those stored in a text file.

When you saved your preferences in a text file (see Write Configuration File), this file can be used to merge your previous preferences with your current preferences. This file contains most of the settings which can be used after receiving an update for example.

You will be prompted for the name of the text file, which, by default, is the file config.txt in the SAVE directory.


Preferences | Packet
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Options to configure a Packet connection.

Note that due to space limitations, the packet parameters are spread over three screens using the tabs Packet1, Packet2 and Packet3.

Tab Packet1

Cluster interface

Type

Select the type of TNC; currently no special models are supported.

COM Port

Select TCP/IP as the port when you have an active Internet connection and want to connect to a DX spotting network via the Internet.

The serial port to which the TNC is connected. See notes about COM ports.

Specifying 'Msg' as the port will send all the characters you type to an external program. The external program that will receive the characters is specified in the next option.

Message Handshake

Specifies parameters to send data to an external program. The correct values should be supplied by the author of the external program. See Appendix E for some technical details. Currently, the following external programs are known:

Pacterm '98

CSS TNC PROGRAM|Pacterm '98

PKTerm '99

CSS TNC PROGRAM|PKTerm '99

The following parameters are used for connecting a TNC via a serial port; they are ignored for a TCP/IP connection.

Baud Rate

The speed used to talk to the TNC. Most TNCs will connect at 9600 baud, but change the rate if needed.

Flow Control

A number of TNCs need flow control in order to avoid the software buffers in the TNC to overflow.

Data Bits / Parity

You can select one of the two common methods to communicate with the TNC, no-parity/8 bits or even-parity/7 bits.

Warning messages

This options determines what happens when incoming text is recognized as a warning message (see below) . Such messages can be displayed in a separate window, or can be announced using the system beep.

Audio / Voice

If a sound card is present in your system, the program can announce DX spots using the sound card. If no sound card is present, a DX alert results in a system beep. In some cases the function to test for a sound system fails. In such a case you can test if the system can play a sound file correctly and bypass this test. With two sound cards in your system, voice announcements and PSK31 can be used at the same time; see File | Preferences | Control | PSK sound card

DX Alerts

Specify which level of DX alert you want to be notified for. By selecting a certain alert level, you will get an alert for that level and all levels preceding that level (they are the same or higher priority). So when you select 'New award Band', you will be notified for 'New Country', 'New award Mode' and 'New award Band'. The QSOs checked will be limited to the current Selection.

Callsign Alert

If you specify a callsign in this field, DX spots will be monitored for this callsign regardless of band or mode. The spot will have the same color as if it was a new country. Multiple calls can be specified by separating the calls by a comma. In addition, you can use the '*' (asterisk) as a wild character match as the first or the last characters in a callsign. For example, the string P5*,*/P5 will match any North Korea station, including a portable callsign.

In addition to callsigns specified in this field, callsigns specified in the membership list using the '@' character can be treated as if they were specified here. You will also have to enable the 'Check @ callsigns' option on the Packet2 tab.

Age for old spot (min)

The number of minutes used to define an old spot. The value is used in DX Spots Window | Delete old spots. The band map has its own value and is applied automatically, i.e. the spots shown in the band map are removed whenever their age exceeds the specified value.

Options

Spots to ignore

Uninteresting spots can be removed from the DX Spots Window. The spot color, the priority assigned to a spot, is used to remove spots from the DX Spots Window and the Bandmap Window. See Spot Color Scheme for all colors used. There are three options:

None

Do not remove spots based on their priority

Gray spots

Ignore the gray spots (priority 9)

Gray and Black

Ignore the gray and black spots (priorities 8 and 9)

Update QSO Window

When enabled, and you are adding QSOs in realtime and the Callsign field is empty, incoming spots will update various summary windows, the prefix field etc.

Use bell character

When enabled, incoming bell characters (ASCII value 7) will be handled using a system beep.

Backup DX spots

When enabled, the DX spots will be backed up; the time between backups is specified in Preferences | QSO | Backup interval.

Show spot on taskbar

When enabled, the callsign of the current spot will be shown in the DX4WIN icon on the windows taskbar when DX4WIN has been minimized.

Show function keys

When enabled, the function keys (macros) will be shown at the bottom of the packet window. The function keys are used to send characters as if they were typed in the packet window. To define the text associated with the function keys activate the PopUp menu and select Edit function keys.

Alert unconfirmed country

When enabled, a DX spot for a country that has not been confirmed will be treated as if that country was never worked before. This option bypasses all the logic for new modes or bands etc.

Enable last Freq

When enabled, DX4WIN saves the current frequency and mode before setting a new frequency and mode for the radio. The option Return to last frequency allows to return to the frequency and mode saved. Disable this option when the communication with your radio is slow.

Prefixes / Zones for Spotters

If this field is not empty, it will be used to limit spots to those spots coming from certain countries or CQ-zones. This field can contain a few prefixes or zone numbers, separated by commas, that will be used to filter out spots from stations that are not of interest to you. Zone numbers should be preceded with a '#' (pound sign.) When the field contains both prefixes and zone numbers, checking for a zone will only take place when a match for a prefix fails.

Example1: if the field contains 'K,VE', only spots made by a station in the USA or Canada will be processed as a regular spot. Spots from any other country will be shown in Gray or ignored completely (see Ignore Gray Spots above.)

Example2: If the field contains '#4, #5', all spots made by stations outside zones four and five will be ignored.

A spot for a call, occurring in the callsign alert field (see above), will be processed in the regular way regardless who makes the spot.

Tab Packet2

Scroll back capacity

Packet

The maximum number of lines in the Packet Window. A larger number keeps more history, but you may want to reduce the value if your computer has limited memory. Largest number of lines is 16000.

DX spots

The maximum number of DX spots that will be shown in the DX Spots Window. You may want to reduce this number in case your computer has limited memory or updating the status of the DX spots takes too much time. Largest number of spots is 16000.

Show age of spots

When this option is enabled, the age of the spot is shown in minutes; when disabled the time of the spot is shown

Check @ calls

When enabled, a callsign in the membership list created with the @ character is treated as a special call. The spot will be treated as if the call was specified in the callsign alert field.

Warning patterns

The strings are used to recognize special packet messages, such as talk messages and WWV announcements. An asterisk (*) matches any sequence of characters in the line received. See also View announcements.

DX spotting patterns

The five strings, patterns, shown are used to recognize a DX spot. The patterns used reflect current usage and should not be changed unless special situations require it.

Colors for DX Spots

When a log file is open, there are nine categories of spots that can be identified with a different color. Click on the name of the category and you will get a color dialog to assign a new color. When no log file is open, only the last two categories will be used. For more details, see DX spotting colors.

Cluster node auto connect

When starting the program, the connection to a cluster node can be established automatically:

Enabled

When checked use the Node address and the callsign fields to connect to the cluster when the program starts.

Node address

Description of the node to connect to. This field is overwritten when selecting a node in the packet window using the PopUp menu Internet connection. This node address will also appear as the first item in the list shown.

Callsign

The callsign used for the login to the cluster

Keep alive

The time in minutes used as an interval to send a LF character to the cluster node. Used to keep a connection alive when no other data is sent to the node.

Tab Packet3

Packet spotting filter

When a band or mode is not enabled, spots for these bands and modes will be treated as gray spots. This allows for filtering uninteresting spots without changing the station band and mode preferences. When the cluster you connect to has the option to filter spots that option should be used in order to reduce unnecessary spots received by your computer.


Preferences | Personal
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify personal information and preferences

Callsign

Your callsign, supplied by the license file.

Name and Address

Your name and address; the first line, the name, is supplied by the license file. The other lines are optional and are reserved for future use.

Worked Cutoff

QSOs worked longer ago than the number of days specified will be marked as 'not worked'. Used to ignore QSOs that are not likely to be ever confirmed because they took place too long ago. The DX Spots Window for example will show the colors as if this QSO did not exist. A value of zero is used to ignore the CutOff and view all QSOs as 'worked' regardless how long ago the QSO took place.

Mailed Cutoff

Similar as Worked Cutoff, but the QSL date is used instead of the QSO date. QSOs for which a card has been sent longer ago than the number of days specified will be treated as if a card was never sent. This can be used in reports and summary windows and when marking additional QSOs for QSLing. A value of zero is used to ignore the CutOff and view all QSLs that were mailed as 'mailed' regardless how long ago the mailing took place.

Grid Locator

Your home coordinates in grid notation; click the Calc button to obtain your grid locator from your home latitude/longitude.

Longitude and Latitude

Enter the latitude/longitude of your QTH. The values are used to calculate distance and direction as displayed in the QSO window. Click the Calc button to calculate your longitude and latitude from the grid locator.

Date Format

The date format used when displaying a date. Awards and QSL labels are always printed using a standard date format to avoid confusion.

Units

Enter Kilometers or Miles. The unit is used to display the distance in the QSO window and the World map.

URL for updates

When empty, the default URL will be used when checking for an update; an entry in this field allows you to override this address. See Main Window | Help | Check for updates


Preferences | QSO
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify default values for new QSOs and backup parameter

Defaults for new QSO

The defaults values for certain QSO fields.

The values for band and mode are ignored when entering QSOs real-time and a radio is connected.

The group number is also used when importing files that do not define such a field.

Options

Callsign Update

When enabled, all fields and windows will be updated as soon as a character is typed in the Callsign field. When this option is disabled, changes will become visible after the cursor leaves the callsign field. An automatic update works well when the Master call window is open, but can be a burden when the External data window is set to update automatically.

Warn if QSO not saved

When this option is disabled, the message 'Save the QSO you just added?' will no longer be displayed. This can happen, for example, when double-clicking a number of packet spots in a row.

The message 'Do you want to save the changes?' will always be displayed when changes to a QSO will not be saved because of the command you executed. For example, when a QSO is modified and not yet saved using the F10 key, searching for another QSO will trigger this message.

Show Hints

When this field is enabled, little yellow windows will appear for certain fields as soon as the mouse cursor is over the field.

Cycle Files

When enabled, saving a file will preserve an existing version of that file by renaming that file first. For example, saving the log as KK4HD.DXL will rename the last version to KK4HD.~XL. The ~ (tilde) replaces the first character of the file extension. This features adds an extra level of backup, but also will increase the disk spaced used.

Check Calendar at startup

When enabled, the calendar will be shown if there is at least one active event for today.

Show seconds in time

When enabled, the time display for a QSO will include seconds. This option should only be enabled when truly needed because the display width of the time field will be too narrow to display the time correctly. Useful when rearranging QSOs that were made in the same minute.

Show band in MHz

When enabled, all band displays will use MHz in stead of meters. Not all windows will reflect this change immediately; restart the program after changing this option.

Backup Interval (minutes)

Specify the time in minutes that you want to save a copy of the log file and the country database. A value of zero indicates to ignore the backup feature. When you start the program and a backup file is present because of an abnormal program termination, you will be asked to save the backup file as a regular log file. We recommend that you save your log under a different name in case the backup file is flawed.

Secondary backup directory

Specify a directory where DX4WIN stores a second copy of the log, the backup file and user exceptions (usrexcpt.dat). This directory can be stored on a different disk drive, a USB stick etc. in case something happens to the disk drive where the save directory is stored. Either type the directory name in this field, or use a double-click to get a directory browser.

Label / Upload flags

Specify the flags to be set for a new QSO either entered using the keyboard or created when importing a file and the import filter does not define that field. These flags do not affect the confirmation status of a QSO; confirmation options are determined by the awards settings.

There are three options:

QSL card

When enabled, sets the QSL Label flag

LoTW

When enabled, sets the LoTW upload flag

eQSL

When enabled, sets the eQSL upload flag

Searching

Callsign

Exact

The callsign has to match exactly

Pattern

The callsign matches if a callsign satisfies the search pattern.

Fuzzy

Callsigns will match with one character different, or two adjoining character interchanged.

Substring

Same as searching with a Pattern using '*'callsign'*'

For more information, see Filter Examples

QSO Date

Exact

Date has to match exactly

Greater Equal

Dates starting from the specified date

Range

Dates falling in a range; you will be prompted for the range

Band and CW Cutoff Frequency

When reading the frequency of a DX spot or using a frequency from the radio scanner, a mode has to be derived from the frequency. The CW cutoff frequency is used for that purpose. All frequencies below the cutoff will assumed to be CW, all frequencies above the cutoff are SSB. Initially, these frequencies are set to the USA band-plan, but you can change the frequencies to reflect your local situation.


Preferences | Radio
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This notebook page lets you specify the radio equipment attached to your computer.

Check the features of DX4WIN when you have a radio connected and the notes for various models.

You can specify parameters for two radios. The second radio can be activated from the menu on the main form or using a shortcut: Ctrl+Shft+F12. When two radios have been specified, a panel becomes visible on the mainform indicating which radio is the active radio.

Type and Address

The type of radio connected to your computer. For more information about specific radio models see: Radio Notes. Also see radio modes to change how DX4WIN and your radio exchange mode information. The address field is only used by ICOM radios and the TenTec; see table of ICOM addresses.

Baudrate

By default this field is read-only and the value as defined in the radio database will be shown. To change the value, the 'Default' field, see below, will have to be disabled.

Default

Indicates if the baudrate of the radio will have its default value. When this field is disabled, the baudrate for the radio can be changed.

COM Port

The serial port to which the radio is connected. See notes about COM ports.

Polling Rate

The number of milliseconds between queries for band and mode; used when adding QSOs in real-time.

Max tries

Maximum number of attempts to read data from the radio. When you have many time-outs for the radio, increase this value or increase the polling interval

DTR High

RTS High

When enabled, and not in conflict with the CW keyer selection, this line will be kept high. Sometimes needed to power a RS232 level converter or to indicate that the computer is ready to receive data from the radio.

Transverter Offset (KHz)

The value to be subtracted from the current frequency to get the frequency used to set the frequency for the radio. For example, when we have a six meter transverter, using the ten meter band as the transceiver frequency, receiving a signal on 50.2 MHz requires the radio to be tuned to 28.2 MHz when using a transverter offset of 22.0MHz

Band

The band(s) for which the transverter is active; values are:

None: No offset will be applied

All bands: Offset will be applied to all bands

Specific band: The band for which the transverter is active


Notes for Radios
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

If your radio does not show up as one of the radios you can select, check the following listing. A number of radios are compatible with other models.

In case you have difficulties getting your radio to work with the software, check out the FAQ (frequently asked question.)

ICOM

All ICOM radios use the same set of commands with the exception of the IC735. You will have to specify the 'address' of your particular model. Make sure the 'Transceive' function is disabled. When enabled, the radio will send the current frequency and mode to the computer, which DX4WIN cannot handle.

Kachina DSP505

The exchange of frequency and mode is based on a file located in the c:\Kachina directory. The actual file used depends on the COM port the radio is using, and is indicated by the '#' in the file name used. By default, the name of the file is: c:\Kachina\Kc\kc505_0#.dat. If you installed the Kachina control software in a different directory, the name of the control file will have to be changed in the radio database.

Kenwood

The Kenwood radios can be divided in two groups with respect to their command set. The second group was created to support the models which have a command to read the S meter value from the radio which applies to the 950 and the 780. Being able to read the S meter will enable the Panorama function.

TenTec

The Omni-6 and the Paragon II use the same commands as the ICOM IC765 plus a number of additional commands. The Omni VI should have EPROM version 2.22 or later. Older models can be operated as an ICOM 735 with some loss of functionality. Specify the value 4 for the address of the radio.

TenTec Pegasus

The exchange of frequency and mode is based on a file located in the c:directory. If you installed the Pegasus control software in a different directory, the name of the control file will have to be changed in the radio database.

Yaesu

Older models of the FT1000D and the FT990 have an EPROM which does not allow to read operating data from the radio unless it is read in a large quantity. Reading such a large amount of data will lock the program for seconds, and is therefore not supported. Yaesu has made upgrades available for these older models to correct this problem. Make sure you have EPROM version 1.3 or later for the FT-990 , and version 6.0 or later for the FT1000D


Preferences | Reports / Labels
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Preference and layout can be specified for:

Reports

Labels


Preferences | Reports
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the way reports are printed and which report format should be used when opening the LogBook Window.

Font Name

Specify the font to use when printing a report; double-click the name of the font to change.

Embellishments

Some printers can produce lines and shading to improve the readability of a report. When printing to a dot-matrix printer, the embellishments may take a long time to print. You can print the header of the report in a bold font when you check the option.

Default Report Format

The default report format for the LogBook Window. Users can create their own report formats

Report Heading

When this field contains text, it will be printed on every page under the title of the report.


Preferences | Labels
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify greeting lines on QSL label

The first two lines are used for regular QSO labels; the third line is used for SWL labels.

To select fonts, and other layout parameters use the label editor (File | Databases | Labels)

Greeting

The text in the Greeting fields will be printed as the last lines of a QSL label. If you leave this field blank no greeting is printed.

If the text of the greeting contains @@ (two at signs), the two character will be replaced with 'Pse QSL' or 'Tnx QSL' depending on the confirmation status of the QSOs to be printed. If present, the QSOs will be split in two groups; confirmed and not confirmed and the text reflects the status of all QSOs printed on a label.

A && (two ampersands) will be replaced by the Name associated with the callsign..

A %% (two percent characters) will be replaced by the group name that corresponds to the group number for the QSO printed. See also GroupNr and QSO | Filter | Edit group names


Preferences | RTTY
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

When you have a RTTY interface or any other terminal driven device connected to your computer specify the following fields. Note that there is a separate setup section for a TNC which provides additional functionality. To use your sound card for RTTY, see MMTTY

RTTY interface

Type

Select the type of device; currently no special models are supported.

COM Port

The serial port to which the device is connected. See notes about COM ports.You can select a TCP/IP port when you have an active Internet connection.

Baud Rate

The speed used to talk to the device. Most devices will connect at 9600 baud, but change the rate if needed.

Flow Control

A number of devices need flow control in order to avoid the software buffers to overflow.

Data Bits / Parity

You can select one of the two common methods to communicate with the device, no-parity/8 bits or even-parity/7 bits.

Scroll back capacity

The maximum number of lines in the RTTY Window. A larger number keeps more history, but you may want to reduce the value if your computer has limited memory.

MMTTY

Executable

Enter the full path to the MMTTY.EXE file; a double-click in this field will open a Windows browser to locate the file. When using MMTTY, make sure to set the RTTY type field to None.

Options

Check DXspots

When enabled, incoming text will be checked for DXspots and talk messages. This allows for an additional connection to a DX spotting network just like the Packet Window

Announce DX to other Window

When two packet windows are enabled (regular Packet Window and RTTY window with Check DXspots enabled) DX spots will be sent to both connections when using the Announce DXcommand

Use bell character

When enabled, incoming bell characters (ASCII value 7) will be handled using a system beep.

Always in immediate mode

When enabled, characters typed will be sent to the terminal device immediately. When disabled, characters typed are buffered on a line by line basis, unless the user toggles immediate mode. In this case, immediate mode will be canceled when pressing the Enter key.

Show function keys

When enabled, the function keys (macros) are shown at the bottom of the RTTY window


Preferences | Screen
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Screen Fonts and Scale

DX4WIN is flexible in assigning the screen fonts used and the size of all forms shown on the display. The default screen settings often make use of True-Type fonts, which allows all fonts to be scaled correctly. Some combinations of font size and scale factor allow for the use of simple fonts that are not scalable. After changing a font or the scale factor, or changing the display attributes in Windows, all active forms will be redrawn to reflect the new settings.

Note: The font used for printed reports can be specified too: Preferences | Reports.

Scale Factor

DX4WIN displays all forms, such as windows in dialogs, the same size regardless of the screen resolution and the size of your monitor. The scale factor, specified in percents, allows forms to be reduced or increased in size. When changing the size of a form, you can adjust the fonts used, to make sure that all text is correctly aligned and readable; see below.

Fonts

You can change the font by double-clicking on the name of the font. There are three groups of fonts used in the program:

Headings

All text that does not appear in an input field or a list box

Input

All text for user input

Listbox

Text appearing in the form of a listing. Changing this font will only show the fixed pitch fonts to make sure that all text shown aligns correctly in columns.

Leave all windows in original position.

By default, DX4WIN will keep some important windows visible when you start the program. For example, the main window will be in the top left corner, any other window will be below the main window etc. When this option is enabled, all windows will be left in the same screen location when you start the program again.

Visual appearance

A drop down box to select a different visual appearance (skin)

Many of the screen shots provided made use of the following settings:

Heading: Arial 9

Input: Consolas 12 bold

Listbox: Consolas 11

Visual appearance: office2003


Preferences | Station
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the bands and modes of interest.

Disabled bands and modes will not be shown in the various summaries and reports, and will not be considered when making submissions for awards or flagging QSOs for which a label should be printed. The DX spotting colors and audio alerts also make use of these settings.

When a band or a mode is disabled they can still be entered in a QSO.

Bands

Select the bands of interest.

Modes

Select the modes of interest.

VUCC bands

The bands shown in a Grid listing or the Grid summary window

Mode group

Select the award groups of interest

In addition to these band and mode filters, additional filtering can be applied for packet spots; see Packet Filter.


Preferences | Write Configuration File
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Write current preferences to a text file formatted as an INI file

Saving your current preferences in a text file allows you to restore your setting to a previous configuration. This way you can save multiple preferences, but it also facilitates upgrading to newer versions when the format of the configuration file has changed. To reload your preferences, see Load Configuration File.

You will be prompted for the name of the text file, which, by default, is the file config.txt in the SAVE directory.


Windows and menus
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DX4WIN uses a number of windows to show various 'views' of the log.

You can move a window to a different position by 'dragging' the window (click on the title bar, keep the left mouse button down and move the window.)

The position and the size of a window is saved when the window is closed (by clicking the close icon); when you reopen a window it will reappear in the same position.

In any open window, you can shift the focus to the QSO Window by pressing the F9 key.

Main Window

QSO Window

Summary Windows

Same Call Window

Logbook Window

Report Window

Master Calls

Other Windows

CW Keyboard

PSK31 Window

Packet / RTTY Window

DX Spots Window

Sun Rise / Set Window

Addr/QSL Mgr search

Change Award flags


Addr/QSL Mgr search

Navigation: Windows and menus:

Address or QSL Manager search
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This window shows the search result in external databases for a given callsign. The window is created from the QSO Window by using the Search External Data command.

PopUp Menu

Lookup Callsign (Enter)

If the cursor is in the QSL Mgr field, the call to find is the contents of that field, otherwise the content of the Callsign field is used for a lookup in the External Database. After some filtering, the results returned by the external search program(s) is shown in the edit window. If both address and QSL information searches are enabled and a QSL manager is found, the callsign of the QSL manager will be used to find the address information of the manager.

When a website callsign lookup is enabled, the Callsign field will be used to search the QSL Manager website, and the Manager field will be used to search for address information.

Set QSL Manager

Set the QSL Manager field of the current QSO to the string in the QSL mgr field. This option is only enabled if the Callsign field is the same as the callsign in the current QSO.

Copy to Clipboard (Ctrl+C)

Copy the selected lines of the result Listbox to the Windows clipboard. The contents of the clipboard can be 'pasted' in other Windows programs, to print an envelope etc.

Copy to QSL Manager Address

Copy the selected lines of the result Listbox to the Windows clipboard, and open the address of the QSL manager listed in the QSO Window. The content of the clipboard is pasted at the end of the contents.

Full Size Window

By default the window shows all input fields. When the window is not full size, the input fields will be hidden.

Automatic Update

When enabled, a lookup will be performed as soon as the callsign in the QSO Window has changed. Disabled by default, because lookups can be time consuming.

Fields

Result Listbox

Shows the result of a callsign search

Callsign

Initially set to the Callsign field of the current QSO. This field can be modified to search for different calls. When a website callsign lookup is enabled, pressing the Enter key in this field will launch your web browser to search for a QSL manager for this call. See QSL Mgr field next.

QSL Mgr

With an external QSL manager database enabled, this field will show the QSL manager for the station in the Callsign field. The result can be different from the manager information shown in the QSO window. When a website callsign lookup is enabled, pressing the Enter key in this field will launch your web browser to search for an address for this call.

Note: The current implementation of searching the web for QSL manager and address information using your web browser is not optimal. When some information is found, you will have to manually copy and paste the text. Also these lookups have to be started manually by pressing the Enter key.

Buttons

Update

A click on the Update button will use the information of the the callsign search to update a few fields in the QSO Window that are empty. The fields checked are: State and County for USA contacts, the Grid and the Name field. These updates are only available for CDROMs and on-line lookups that 'tag' their data for these fields.


Announce DX Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the text to send a DX spot to the Cluster node.

This window makes it easy to decide which fields should be part of the text to be send to the cluster node. When selecting the various options for outgoing text, it is easy to exceed the typical maximum width of an outgoing message. When that happens, the outgoing message field will have a red background indicating that the text may be truncated.

This window is also available from the Packet Window when a log is not open but it reduces its functionality.

Fields shown:

Callsign

Callsign for the spot. If a QSO Window is open, this field is set to the callsign visible in the QSO Window.

Frequency

The frequency of the station spotted. If a radio is connected the frequency will be set to the frequency of the main VFO.

QSX freq.

The split frequency used by the station; the frequency were the station listens. If a radio is connected and the transmit and receive frequencies are not the same, this field will be set to the transmit frequency.

Remarks

Optional short text for the spot; like QSL via W4FRU etc. Keep in mind that reporting a QSX frequency takes up space too in the remarks; so do not enter too much text, because the cluster software may truncate your text.

Note that when announcing a DX spot, it can be helpful to enter the digital mode in the remarks field; RTTY, PSK31 etc. DX4WIN uses this information.

The fields below obtain the information from the current QSO when available; the check boxes determine if the fields should be part of the outgoing message or not.

Outgoing Message

Shows the outgoing message using the fields below.

Mode / Submode

The mode and optional sub-mode

IOTA / Island

The IOTA and optional Island

State / County

The US state and optional county

My Grid / DX Grid

The grid as set in the preferences and the grid of the DX station

Custom Award / Value

The custom award and custom award value


Change award flags
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Change the award flags for QSOs matching the current Selection and Filter.

When you click the Change button, the log is scanned for QSOs in the current Selection and the awards flags are tested and changed as specified in the form. When the command is finished, you will see the number of QSOs that were changed. You can select another award for which to change the flags, or click the Close button to close the form.


CW Keyboard
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Open CW keyboard Interface.

QSO Window | Window | CW Keyboard

The CW keyboard allows characters typed on the keyboard to be transmitted as morse code characters by keying the transmitter.

Keying is either done in software by DX4WIN or with the use of WinKey. This selection is made in the preferences: File | Preferences | CW | Device type

DX4WIN uses a serial (COM) port or a printer (LPT) port to interface to your radio using the same simple keying interface as used in many contesting programs. When using a serial port, the port used is the same port to which the radio is connected. The port used is specified in File | Preferences | CW | External keyer.

To set keying speed and other parameters see CW Keyboard Parameters for the DX4WIN keyer or WinKey.

See the circuit diagram how to connect your computer to your radio.

When the CW keyboard has the focus, you can type regular characters (A to Z, 0 to 9 , ? and /) which will be shown in the window and send immediately. The function keys F1 to F8 and Ctrl+F1 to Ctrl+F8 can be programmed to send longer messages. You can also use the function keys to send messages when the QSO Window has the focus; see Special keys CW/RTTY.

In addition to the special % macros used with the function keys, the user can define one or more CW prosigns.

A prosign is assigned to a single character, and the code is sent by combining two characters as a single character. The current prosigns are stored in a simple text file (save\cwprosgn.txt) and can be edited using a text editor like NotePad. The file is used for both the DX4WIN keyer and the WinKey keyer.

The characters '+' and '-' can be used inside the text stored for a macro key to change the keying speed; to change the keying speed immediately, use Alt+F9 and Alt+F10.

PopUp Menu

Help (Alt+H)

Shows help screen for the CW keyboard. Because the F1 key is used to send predefined messages, this shortcut will activate the context help.

Settings (Alt+S)

Show window with CW parameters.

Stop Sending (Esc)

Clear the pending characters that have not yet been transmitted.

Enter QSO (Ctrl+Enter)

Log the QSO; same as pressing Enter in the QSO Window. Only functional when adding in real-time.

This command is also available as %l (letter L) in a function macro.

Slower (Alt+F9)

Decrease speed by 2 WPM

Faster (Alt+F10)

Increase speed by 2 WPM

Switch to QSO Window (F9 or Alt+K)

Show function keys

Toggle the visibility of the function keys at the bottom of the window.

Edit function keys (Alt+E)

Show window to modify the predefined function keys

In an environment like Windows, where more than one program may be running at the same time, it is difficult to keep control over events that need precise timing such as the generation of morse code. For example, when you are receiving electronic mail in the back ground while DX4WIN is sending code, the mail process may be demanding resources which will slow down the code. Try to avoid running such programs when using the CW keyboard. DX4WIN will not update the World Map, perform a backup, poll the radio or do Packet spot announcements as long as there is text in the CW buffer to be sent. Using a device like WinKey reduces this problem to a great extent because the precise timing to generate morse code is done by the WinKey hardware.


CW Keyboard: Parameters
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set parameters for the CW keyboard.

Depending on the CW type selection made in the File | Preferences | CW, different windows are shown to configure the various parameters:

DX4WIN keyer

WinKey keyer


DX4WIN keyer
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This form lets you set the messages generated by the function keys and set the timing parameters of the generated morse code.

Fields:

WPM

A read-only field showing the calculated (theoretical) keying speed resulting from the other parameter settings

Measured

A read-only field showing the measured (actual) keying speed. The measured speed will be close to the theoretical speed, unless other programs take too many resources away from DX4WIN

Measure Button

Measure the actual keying speed by sending the word PARIS twice

Marquee

When enabled the characters that have not yet been transmitted will be shown in the CW keyboard Window

Side Tone

When enabled, the speaker in the computer will be used to generate sound

Immediate

When enabled, every character will be sent.

When disabled, a single line will be buffered, and transmissions starts as soon as you press the Enter key.

Char WPM

The basic keying speed, in words per minute, using the PARIS method

Spacing WPM

The spacing between letters can be increased by specifying a lower WPM rate in this field

Weight

Specifying a value greater than 100% will increase the length of a dash

Tone Hz

The frequency of the tone generated from the computer speaker

Tune Button

Pressing this button will key the transmit line; pressing the button again (the caption changed to STOP) will unkey the transmitter.


WinKey keyer
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The WinKey keyer allows a large number of parameters to be specified. Please refer to the WinKey documentation for detailed descriptions. Below a screen shot of the WinKey settings.

Winkey configuration screen

Winkey configuration screen


Logbook Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Open the Logbook Window.

QSO Window | Window | Logbook

The Logbook Window shows a listing of all QSOs, and limits the QSOs shown if a QSO filter is active. Note that if a Selection is active, the QSOs listed can be restricted even further.

Each line contains a single QSO. The fields shown and the sort-order are determined by current active report definition.

The current QSO shown in the QSO Window 'drives' the current QSO in the Logbook Window i.e. when selecting a different QSO the highlight in the Logbook Window will move to the same QSO. The Logbook Window can 'drive' the QSO Window too; double-click the line and the QSO Window will show the corresponding QSO, ready to be edited etc.

PopUp menu

Goto QSO (Enter)

Confirm / Label (F2)

Select Report

Print

Write to File

Report Editor


LogBook Window: Confirm / Label
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Perform the actions as specified in the File | Preferences | F2 Key.

The F2 command in this window works similar as the F2 command in the QSO Window, except that it will ignore the next QSO option. It is used to set the confirm field and indicate that a label for this QSO should be printed.

Note that a similar function is available from the QSO Window and the Same Call Window.


LogBook Window: Goto QSO
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show the high-lighted QSO in the QSO Window.

This command will enable you to reach and edit a QSO that is visible in the Logbook Window. This command is equivalent to double-clicking the QSO line in the window.


LogBook Window: Print
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Print the Logbook.

Print the report as shown; the fields displayed and the Sort Index determine the contents of the report.

The formatting of the report, such as the font used and the use of lines and shading, can be specified in the File | Preferences | Reports / Labels.

Before printing the report, you will see the Print Dialog so you can select to print or preview a report and select the pages to be printed.


LogBook Window: Report Editor
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Manage report definitions.

Starts the Report Editor; changes in the current report format will be reflected as soon as the editing is completed.


LogBook Report Editor

Navigation: Windows and menus > Logbook Window > LogBook Window: Report Editor:

LogBook Window: Report Editor
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Manage the reports that are displayed in the LogBook Window.

The report that is displayed by default in the LogBook Window can be specified in File | Preferences | Reports / Labels.

Reports are defined by selecting a number of fields and the sequence in which they occur.

Report editor

Fields

Current Report

Name of the current report. Select a report from this Listbox or change the name by typing in the new name, followed by clicking the update button

Sort Index

Specifies the sort index for the QSOs listed.

Note Width

When notes for a QSO or notes for a Callsign are included in the report, this field specifies the maximum number of characters to be displayed.

Available Fields

Lists all the fields that are not included in the report. A double-click on a field name will move the field to the Selected fields table. In addition to the fields available in the QSO window, the following fields can be included too: Group name, IOTA name, Number, SeqPrtNr, State name and WPX.

Selected Fields

Lists all the fields that are included in the report. The fields will be listed in the same order in the report as listed in the table. A double-click on a field name will move the field to the Available fields table. Use the Up and Down arrow buttons to move the field to a different position.

Buttons

New Button

Create a new report; change the name of the report to replace the temporary name.

Ok Button

Save the changes and close the window. If a LogBook Window is visible show the new report.

Cancel Button

Cancel the changes made and close the window.

Left-arrow

Move the current field from Selected- to Available-fields.

Right-arrow

Move the current field from Available- to Selected fields.

Up-arrow

Move the field in the Selected fields table up in position.

Down-arrow

Move the field in the Selected fields table down in position.

Double left-arrow

Move all fields from the Selected fields table back to the Available fields table.


LogBook Window: Select Report
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Select a report format or a sort sequence for the Logbook Window.

Current Report

A Listbox showing all available reports. When you select a report in this Listbox, the sort index will be set to the default for the report selected.

Note that you can define and change your own reports, including a different sort order for a pre-defined report.

Sort Index

A Listbox showing all available ways of sorting the logbook window; see sorting for more details.


LogBook Window: Write to File
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Write the report to an ASCII file

When selecting this command you will be prompted for the name of a file to write the report to. The report is written as a comma separated ASCII file (CSV) suitable for importing into other programs, such as a spreadsheet.

The fields exported are the fields shown in the report.


Main Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following menus are available:

File

Radio

Help

See also:

Main Window Layout

QSO Window: Menus and Commands


Main Window Layout
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Main window

The main window, located on the top of the screen, has the following areas:

QSO Status Panel

The QSO status panel, the left most panel, shows status messages when a log file is open:

Specify Filter

Specify a QSO filter; press Enter to enable the filter or Esc to cancel the filter

Filtering

A filter is active; only QSOs matching the filter will be shown; press Esc to cancel the filter

Add Real-time

Adding QSOs in real-time; date and time field cannot be modified; press Esc to stop adding QSO

Add Off-line

Adding QSOs off-line; date and time can be modified; press Esc to stop adding QSO

Sorting

Sorting QSOs to show QSOs in a certain sort order

File Status Panel

The file status panel, to the right of the QSO status panel, shows messages related to the status of the log file

Modified

The log has been modified but not saved. When changing or adding a QSO, the color of the text changes to red and displays the number of seconds left before a backup takes place. After a backup, the color of the text changes to black.

Writing

The log file or a backup is being written to disk

Time field

Shows the current time. This field shows the time in GMT assuming that your time zone is set correctly. The operating system 'knows' the correct time and takes daylight savings time into account.

Sequence Number

The sequence number is only visible when adding QSOs in real-time with contest mode enabled

QSO Scrollbar

The QSO scrollbar is visible when you are not adding QSOs and can be used to Navigate the log

Message Area

This area will show messages depending on the context. It will remind you of the availability of a PopUp menu and other commands

See also

Main Window: Menus and Commands and

QSO Window: Menus and Commands


Main Window: Awards
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The awards window defines the parameters for an award, like bands, modes and starting dates that can be used for an award. The form is organized using a tab for each award. The contents for each tab is identical. This implies that some band / mode combinations are allowed for which there is no 'certificate' available.

Awards manager with DXCC tab selected

Awards manager with DXCC tab selected

The fields are as follows:

Confirmation

Indicates which QSO confirmation(s) can be used for the award

Mode group

Indicates which mode group(s) can be used for the award

Awards

Indicates which awards can be applied for

Valid modes

Indicates which QSO modes are allowed for the award

Valid bands

Indicates which bands are allowed for the award

Award bands

Indicates which bands can be used for a separate band award

Start dates

A number of awards accept only QSOs made after a certain date. An empty date indicates that there is no starting date.

Confirmation

Starting date for the type of confirmation

Mode group

Starting date for the mode group

Awards

Starting date for the specified award type

Modes

Starting date for the specified award mode

Bands

Starting date for the specified award band

Buttons

OK

Accept the changes and refresh all windows reflecting the changes

Cancel

Ignore all changes made

All

Reset all fields to their defaults

Help

For some technical reason pressing the F1 key does not work on this form. Use this button to access the help screen


Main Window: Calendar
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show events calendar

The events calendar is a small utility to keep track of important events, such as DXpeditions, contests etc. An event has a starting date, an end date and a note. The two pages of the notebook show the current events and the second page lets you edit the events. After looking at the current events or making changes, select the menu File | Cancel changes or File | Save changes and the calendar will be closed.

Today

When the calendar is shown you will see the events for today's date. You can change the date by using the Up and Down keys. When the date is between the starting date and the end date of an event, that event will be shown.

Edit Events

Select an Event

The Note Listbox lets you select the various events; they are sorted by date. You can use the up and down arrow keys to see all the events. The dates will change as you select a different event.

Entering a New Event

You enter a new event by overwriting the dates and note for an existing event. Click the Add event button to store the new event.

Delete an Event

Select the event you want to delete by using the up and down arrow keys in the Note Listbox. Click the Delete button to remove the event..

Cleanup Events

Clicking this button will delete all events that have an ending date that precedes today's date. It will also delete identical entries caused by importing text files with identical entries.

File Import

A simple ASCII text file can be used to import calendar events. The file format is as follows:

start_date <comma>end_date<comma>notes

Notes can be up to 40 characters long.

A date should be formatted as: d(d)/m(m)/yy(yy) or as d(d)/m(m)/yy(yy)

Lines starting with an asterisk ('*') will be ignored.

Note that GOlist publishes a DX calendar which can be imported directly into DX4WIN.


Main Window: File
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following sub-menus are available under the File menu:

New

Open

Save

Save as ...

Close

Import / Export

Databases

Calendar

Info

Preferences

Awards

Print Setup

Exit


Main Window: File | Backup

Navigation: Windows and menus > Main Window > Main Window: File:

File | Backup (Alt+B)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Force a backup of the current log and the country database.

When saving a log, the QSOs and the country database are saved using their regular file names. This command lets you force a backup which is similar to the backup performed under control of the timer. The QSOs and country database are written to files using a temporary name.


Main Window: File | Close Log
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Close the current log file.

If the log file was modified, you will be prompted to save the file. The DX Spots Window will be updated and all other windows will be closed.

You have to close the log before you can make changes to the country database.

When you exit the program, the next time the current log will be used. Closing the log first followed by an exit of the program, will not load a log next time you start the program.


Main Window: File | Databases
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit various databases:

Country Database

IOTA Database

QSL Managers

Addresses of QSL Managers

Reports

Labels

Radios

Starting with version 9 of DX4WIN, a number of databases used have been split in two different files. In previous versions, overriding the prefix and/or zone resulted in an update of the country database (dx4win.cty) To make saving these overrides faster, the new country database (countries.dat) is no longer modified; instead, the exceptions are written to a new user exceptions database (usrexcpt.dat) When determining the prefix and zone of a callsign, given the date of the QSO, the user exceptions are checked first, followed by a check of the country database if an user exception cannot be found.

The same approach is used for determining the QSL manager for a callsign and the mailing address for a callsign.

See Appendix B: files for details on all the files used.


Databases | Addresses of QSL Managers
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the database of addresses of QSL managers.

The database contains the address information for QSL managers.

Fields

The editor has two fields:

Manager

When you select a different call for the manager, by using the Up- and Down-arrows, the address area field will show the address information for that manager. You can also enter a new manager in this field and use the Insert Address command to enter a new address.

Address

The address field is a simple editor which allows for the entry of the address information of the current manager. When printing QSL labels, the address is used to print an address label. It is also possible to include a short note by preceding a line with an exclamation mark. (!). Lines beginning with an exclamation mark will not be printed.

Commands for the editor:

File | Export Addresses

The complete address database will be written to a text file. An address is written as a single line. Each field is enclosed in double-quotes (") and separated by commas. For example:

"KK4HD","Paul van der Eijk","4900 Bradford Drive","Annandale, VA 22003"

File | Import Addresses

Read a text file containing QSL manager address information. The file is assumed to be formatted the same as produced by the export command. The information read will only add to or update the information contained in the database; no records will be deleted. Before reading the file you can select to delete ALL existing addresses.

File | Save and Exit

Save all changes made and exit the editor.

File | Cancel and Exit

Cancel all changes made and exit the editor.

Edit | Search Manager

The first characters in the manager field are used to locate a manager in the database.

Edit | Insert Address

When you enter a new manager in the manager field, executing this command will clear the address field. The address field is ready to accept an address.

Edit | Delete Address

Executing this command will delete the address for the current manager.


Databases | Country Database
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the country database.

This command is only available if you do not a have a log file open.

The country database contains information such as prefix, name, location etc. for each country.

For every country there are a number of letter combinations, called mappings, that determine the country of a given callsign. Many of these mappings have a date range for which they are valid, and sometimes the same mapping, using different date ranges, will apply to different countries.

With all the mappings and their date ranges it is not always possible to determine the country of a callsign. As a last resort there is a table that contains callsigns and effective dates indicating the country.

Country database editor

Country database editor

The country editor is organized as a notebook and the description follows the tabs on the notebook:

Country data

Mappings

Callsigns

Menu for the country database editor:

File

Country

Mappings

Calls

Complete example of adding a country


Country Editor Menu: Calls
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add

Add an exception callsign for the current country. Change to entries in the table to their correct values and follow with an 'Update' command to register the changes.

Update

Register the changes made to the mappings.

Delete

Delete the current callsign. If you delete the last callsign, the callsign table will disappear.


Country Editor Menu: Country
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add

Add a new country. The fields will be set to default values, and the prefix is set to 'ZZZZZ'. The prefix and most other fields should be set to their correct values, followed by an 'Update' command to register the changes.

Update

Register the changes made in the country data.

First

Show the first country.

Next

Show the next country

Previous

Show the previous country

Last

Show the last country

Find

Show a Listbox with all countries sorted by the name of the country; the country selected, by double-clicking or by pressing the 'Enter' key is the country shown.

Delete

Delete the current country. All references to this country in callsign exceptions and mappings will also be deleted.


Country Editor Menu: File
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Check for errors

The complete country database is scanned for inconsistent dates and use of mappings. The Listbox on the 'Messages' tab will show the error messages.

Cancel changes and exit

All changes made will be ignored, and the country database is reloaded.

Merge other country file

This command is used to read additions and changes for callsign mappings, IOTA information, QSL managers and QSL manager addresses from another country database. Changes to countries and mappings are ignored. The Listbox on the 'Messages' tab will show the additions and changes made.

Save changes and exit

All changes are written to the country database.


Country Editor Menu: Mappings
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add

Add a new mapping for the current country. Change to entries in the table to their correct values and follow with an 'Update' command to register the changes.

Update

Register the changes made to the mappings.

Delete

Delete the current mapping. If you delete the last mapping, the mapping table will disappear.


Country Editor: Country Calls
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A table showing callsigns for which the rules to determine the country of a callsign fail. When you overwrite the prefix or the zone for a QSO, an entry is made in this table.

See editing tables for the key strokes that can be used.

When importing QSOs from another log, you can specify what should happen if the Prefix or Zone are different than those determined by DX4WIN; see File | Preferences | Import

If no exception callsigns are defined for this country, the table is not visible, but will become visible as soon as an exception callsign is added.

Callsign

Callsign that maps to the current country.

Zone

CQ zone (1..40) for this callsign.

Start Date

Date that the callsign became effective for this country. Assigning effective dates for a callsign allows us to assign more than one country to a callsign.


Country Editor: Country Details
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Prefix

A maximum of five characters (letters, digits and /) indicating the prefix of the country. A prefix should only be used once to avoid confusion.

Country Name

Name of the country

Zone

CQ zone (1..40) for the country

Start date

Date that the country became recognized for DXCC purposes; leave blank if there is no specific starting date.

End date

Date that the country no longer counts for DXCC purposes, i.e. became a deleted country. Leave blank if the country is not 'deleted', i.e. is still active.

Buro

Indicating if this country can accept cards via their domestic QSL buro.

Fld Chk

Indicating if a QSL for DXCC submission can be checked 'in the field'.

Has States

Indicates if this country has states; normally true for the USA, Alaska and Hawaii.

UTC Offset

Time difference between local time and UTC.

IOTA

The IOTA reference number for a country if uniquely determined.

ITU

ITU zone (1..90)

Cont

Continent, like NA for North America.

Longitude & Latitude

The coordinates of a central location in the country; used to calculate distance and bearing from your home QTH.

Map Number

A number used to locate the country on a world map (for the future)


Country Editor: Country Mappings
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A table showing the mappings for the country; see editing tables for the key strokes that can be used.

The mapping table shows two kinds of mappings:

·Lines using a black font are the mappings for the current country. The Prefix column is left blank to indicate the current country.

·Lines using a gray font are mappings used by this country but also used by another country. The prefix of the other country is shown in the Prefix column, and should use a different date range to avoid conflicts. The 'gray' mappings cannot be edited, they are included to show all information known about a mapping so conflicts in date ranges can be found in one location.

If no mappings are defined for a country, the mapping table is not shown, but will become visible as soon as a mapping is added.

Mapping

Characters (letters and digits) used to determine the country of a callsign. When the program determines the country for a callsign it searches for the longest mappings first. If a mapping matches the beginning letters of a callsign, and the date range is valid for the date of the QSO, the country is found. If no match is found the program will search for all the mappings that are one character shorter in length and repeat the process.

This design allows us to keep the mapping database small; for example China has the mapping '3' because all other mappings, such as '3B' and '3V' are longer and would have been found earlier than the shorter '3' mapping.

Zone

The CQ zone (1..40) that overrides the default zone for the country.

Start Date

Date that the mapping for the country became active.

End Date

Date (plus one day) that the mapping no longer applies for this country.

Prefix

The Prefix column is empty for mappings that apply to the current country. If a prefix is visible, it indicates which other country uses the same mapping.


Databases | IOTA Database
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the IOTA database.

This database contains the IOTA information. IOTAs have a reference number and a group name. The reference number is used in the IOTA field in the QSO Window. Some IOTAs are used in the country database. When you make changes to IOTAs in the country database or the IOTA database, you will have to make sure that the changes are consistent between the two databases.

IOTA database editor

IOTA database editor

Fields:

Table

Shows abbreviation and the full name. For the keystrokes and their functions in a table, see Editing Tables.

IOTA search:

By typing a few characters of an IOTA in this field you can position the current row of the table.

Commands for the editor:

File | Save and Exit

Save all changes made and exit the editor

File | Cancel and Exit

Cancel all changes made and exit the editor


Databases | Labels
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify the physical dimensions of the labels used for printing QSL labels.

A number of labels are pre-defined. You can specify two custom labels, all other label definitions cannot be changed. See some examples of different label layouts.

Before using the preview function, make sure that you select the correct printer using File | Printer setup. Depending on the selected printer, the results will vary, because printers have different physical limitations such as the minimum left and top margins.

Entry fields

Label name

Select the label you want to use; the selected label also becomes the default when printing labels. Note that the values displayed change as you select different labels, making it easier to identify a label name by its sizes.

Units

Units used to display measurements.

Label width

The horizontal dimension of the printable area of the label

Label height

The vertical dimension of the printable area of the label

Nr across

Number of labels in a row

Nr down

Number of labels in a column

Horz pitch

The horizontal distance between two labels

Vert pitch

The vertical distance between two labels

Paper size

The name of the paper size; typically Letter, A4 etc. or Custom

Spacing left

The horizontal distance to the first column

Spacing top

The vertical distance to the first row

Page width

The horizontal dimension of the Custom paper size

Page Height

The vertical dimension of the Custom paper size

Horz shift

The horizontal offset of all text on a label. For regular mailing labels this value should be zero. For large, possibly pre-printed, cards, this value can be used to print the QSL information in the correct location.

Vert shift

The vertical offset of all text on a label (see also Horz shift above)

Max QSOs

Maximum number of QSOs to be printed on a single label. A zero value indicates the maximum number possible and the greeting line(s) will be aligned to the bottom of the label. A non-zero value will limit the number of QSOs printed, and the greeting line(s) will follow the last possible QSO on the label.

Portrait

When checked, printing will be in portrait, otherwise printing will be in landscape mode

Callsign font

The font used to print the callsign. Note that the physical dimensions of the label and the fonts used determine the number of QSOs that can be printed on a single label. The preview mode (see below) will give you a good idea what the printed version will look like. To change the font and its attributes, like size and color, double-click in the field.

Body font

The font used to print all other text on the label. To change the font and its attributes, like size and color, double-click in the field. (also see Callsign font above)

Options

Commercial

Prints a small DX4WIN commercial on each label

Use lines

When enabled, the QSO lines on a label will be printed on a line grid.

Call right aligned

When enabled, the callsign and the manager will be printed to the right edge of the label. When disabled, printing will be left aligned.

Buttons

Copy

Copy the current label definition to a custom format for editing.

Ok

Save all changes made

Cancel

Cancel all changes made

Preview

Show a number of labels in preview mode. The labels can be printed and will include the bounding area for each label.


Label Examples
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following sections show some examples using the label editor to generate different types of QSL labels, including single card QSOs.

Examples:

Label sheet 5160

Card stock landscape

Card stock: portrait


Example 1: label sheet 5160
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This screen shot shows an example of printing labels on the popular 5160 paper. The original 5160 was copied to a custom format, so we can change the layout. The only change made was to change the Horz. shift slightly, so the QSO box appears in the middle of the label. The size of the QSO box depends on the fonts selected.

In this example, the Callsign font is Arial 10 bold, and the Body font Arial 8 bold. This allows for three QSOs on this label, including the DX4WIN commercial.

Label editor


Example 2: card stock landscape
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This screen shot shows the setup for printing on a single card. The QSO box is printed in the middle of the card in the long direction of the paper.

Label editor for 4x6 card

Label editor for 4x6 card


Example 3: card stock: portrait
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This screen shot shows the setup for printing on a single card, 'Japanese' style. The QSO box is printed on the top of the card in the short direction of the paper.

label editor for 6x4 card

label editor for 6x4 card


Databases | QSL manager database

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases:

Main Window: File | Databases | QSL Managers
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the QSL manager database.

This database contains the QSL information for a number of stations. Entries are added automatically when entering or changing the data in the Manager field in the QSO Window.

A single station can have more than one QSL manager; the active manager is determined by the date of the QSO and the date that the QSL manager became active for the station.

Note that no distinctions are made for the mode. Some DXpeditions have different QSL managers for different modes. Other DXpeditions have different managers for different bands. DX4WIN does not support these situations.

QSL manager database

QSL manager database

Fields

Table

Shows callsign of the station, the date the manager became active for this station and the callsign (or some other text) of the manager. For the keystrokes and their functions in a table, see Editing Tables.

Callsign Search

By typing a few characters of a Station callsign in this field you can position the current row of the table.

Commands for the editor

Export QSL Manager Data

The database is written to a text file. The three fields (station, date and manager) are separated by commas; for example

4U1WB,,KK4HD

A date is formatted as dd/mm/yyyy

Import QSL Manager Data

Read a text file containing QSL manager information. The file is assumed to be formatted the same as produced by the export command. The information read will only add to or update the information contained in the database; no records will be deleted. Before reading the file you can select to delete ALL QSL managers. Entries with overlapping dates, i.e. the same manager for the same station, without any other manager entry between the dates will be deleted; the number of entries deleted will be shown as 'Dupes' in the summary.

Save and Exit

Save all changes made and exit the editor.

Cancel and Exit

Cancel all changes made and exit the editor.


Databases | Radios
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the definition of a radio.

This is NOT the command to select a different radio, see Preferences to select your radio!

DX4WIN uses a database to describe the commands to interface to a range of different radios.

When starting the editor, the radio will be disabled temporarily, and enabled again when you cancel the changes made. If you save your changes, the radio is reset to 'None' in the Preferences.

Radio database (main screen)

Radio database (main screen)

The commands for this window:

File

Radio

Test

The various sections are organized as pages of a notebook with the following tabs:

General

Cmds / Fields

Values


Radio | Cmds / Fields

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Editor | Cmds / Fields
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Commands

The programs that interface to the radio make use of a number of standard commands. Not all commands are required; the program tries to work with the set of available commands. The names of the commands are self explanatory, except for the Read VFO A Xtra. This command is available on a number of radios to return more information than just the current frequency. Some fields (see below) can point to this command to obtain more information from the radio using a single command.

Location

Locations are used to indicate where the result of a read command should be stored. Fields (see below) can obtain their values from these locations. All commands sent to the radio use the 'Other' location.

Field

Fields are used to read and interpret data coming from the radio. With each field there is an associated command that will be sent to the radio when the program needs the value in a field. Not all fields are required; the program tries to work with the fields available. Fields with 'Write' in their name are used to set values in the 'Other' location used to send a command to the radio. Some radio manufacturers use an identical set of commands for their various radios, but each model has a unique address that is needed for every command sent to the radio. The 'Write ID' field is used for that purpose, and the value is obtained from the 'Address' location in the hardware preferences.

Format

The format field specifies the conversion needed to convert a value specified to the format required or returned by the radio. The '-R' indicates that the value has to be reversed; ie interpreted from right to left instead of from left to right.

For all formats, except for the 'Flag' format, the position indicates the position of the field in the command. The length indicates the number of byte used. The scale factor is used to multiply a value when read from the radio and is used to divide the value when sending a command to the radio. The program internally uses Hz to specify a frequency, but if a particular radio returns a frequency in multiples of 10Hz, the scale should be set to 10.

For the 'Flag' format, the position indicates the location of a single byte. The mask is a value used to perform a bit wise AND operation, and if the result is equal to 'Value', the flag is interpreted as true, otherwise the result is false.


Radio | File

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Editor | File
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

There are two file commands:

File | Cancel Changes and Exit

All changes made will be ignored and the editor is closed. If a radio was enabled before starting the editor, it will be enabled again.

File | Save Changes and Exit

All changes will be written to the radio database. If a radio was enabled before starting the editor, it will not be enabled. Select the radio under the Preferences.


Radio | General

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Editor | General
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Radio Model

Model of the radio; each entry in the database needs a unique radio model. The value is displayed in the File | Preferences | Radio to select a particular radio.

Last Modified

This field cannot be modified directly. The field will be set to the current date after a modification.

Notes

Extra remarks for a particular radio. The notes are displayed in the hardware preferences.

Low and High frequency

Operating range of the radio.

The following three fields define the communication parameters for the RS-232 interface to the radio and are self explanatory. Note that the COM port is specified in the File | Preferences | Radio.

Baud Rate

Data Bits

Stop Bits


Radio | Radio

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Editor | Radio
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

New

Create a new radio definition with all fields set to their default value.

Copy

Make a copy of the current radio definition. The name of the radio is modified to create a unique entry.

Update

The changes made to the radio definition are saved in memory, the changes are not written to the radio database.

Print

Print a listing of the current radio definition.

Delete

Delete the current radio definition.


Radio | Test

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Editor | Test
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following commands allow for testing the current radio definition. The notebook will switch to the 'Test' page, and the Listbox will show a trace output when the commands execute. The trace output will show the fields loaded and their associated commands and the bytes sent to the radio and the bytes returned.

Radio database (test screen)

Radio database (test screen)

Read Radio

Read the current mode, frequency and possible QSX frequency from the radio. Results are displayed at the bottom of the window.

Write Radio

Read the mode and the two input frequencies from the input fields at the bottom of the window and set the radio accordingly. A QSX frequency will set the radio to operate split.

S Meter

If reading the S meter is supported, the value returned is displayed in the QSX field.

Copy to Clipboard

Copies the contents of the Listbox to the clipboard. The copied text can be pasted into an editor or an email etc.


Radio | Values

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Editor | Values
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Format

The format indicates how the commands specified should be interpreted.

The following three options make it easier to transcribe radio commands following the description of the manufacturer:

Format

The notation used of the data send to the radio; ASCII string or Hexadecimal.

Byte Order

Used only when sending a command to the radio. Some radio manufacturers document the radio commands in one way but require the actual order of the bytes sent to be reversed.

Location Offset

The documentation of radio commands define the starting location of fields in a command starting at zero or at one.

Preamble

Some radios require an identical sequence of bytes before every command that was sent to the radio. Note when specifying a value, such as frequency or mode, the position specification should ignore the preamble. The only exception is the value of the radio 'address'; the position of 'Write ID' field takes the complete command string into account, including the preamble.

Confirm Length

Some radios return information after a command that changes the status of the radio but which does not return information. The confirm length is the number of bytes to expect from the radio after such a command; the bytes read are ignored.

S Meter Multiplier

A floating point value to multiply the value of an S meter reading. The program assumes S meter values to be in the range 0 to 11.

Mode Values

These values are used to interpret the mode when reading are setting the radio operating mode.


Radio Address
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Address of radio.

Some radios, such as ICOM and TenTec, share an identical set of commands to operate the various models. The different models are distinguished by their address. Below is a listing of the brand and the address for each model.

NOTE: As ICOM in their literature specifies the radio address in hexa-decimal, we have followed that convention. Be warned however, that other software may have required that you enter the address in decimal notation. A hexa-decimal number is often followed by the letter H; this letter is not entered in the input field.

Model | Address
IC-1271A/E | 24
IC-1275A/E | 18
IC-271A/E/H | 20
IC-275A/E/H | 10
IC-375A | 12
IC-471A/E/H | 22
IC-475A/E/H | 14
IC-575A/H | 16
IC706 | 48
IC706II | 4E
IC706IIG | 58
IC-707 | 3E
IC718 | 5E
IC-725 | 28
IC-726 | 30
IC-728 | 38
IC-729 | 3A
IC-735 | 4
IC-736 | 40
IC-737/A | 3C
IC-738 | 44
IC746 | 56
IC746P | 66
IC-751A | 1C
IC756 | 50
IC756P | 5C
IC756PII | 64
IC756PIII | 6E
IC-761 | 1E
IC-765 | 2C
IC-7600 | 7A
IC-7800 | 6A
IC-7851 | 8E


Radio features

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Databases > Databases | Radios:

Radio Features:
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The table below is a summary of the radio features depending on the availability of a TNC for packet and if a log file is open or not:

TNC | Log | Feature
No | Closed | Panorama View (if computer can read the S meter value from the radio)
 |  | Scanner
No | Open | Add QSO: Band and mode from radio
Yes | Closed | Set radio to DX spot
 |  | DX Spots Window follows radio when sorted by frequency
Yes | Open | Announce DX: band/mode from radio
 |  | Grab DX: set radio to DX spot and enter in log


Main Window: File | Exit
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Exits the program.

If you made changes to the log file, you will be prompted to save the file.

Note that this command is equivalent to clicking the close window button in the title bar of the main window.


Main Window: File | Import / Export
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use or manage the Import / Export filters.

DX4WIN supports the reading, and in some cases the writing, of the log files of other logging programs. Many logging programs, like DX4WIN, use an undocumented 'binary' format for their log files. As these formats change often, the direct reading of binary formats is not supported but binary conversion routines from other programs can be called directly. Many logging programs have a documented export function which converts a log to an ASCII file with all fields in fixed locations.

When this command executes, you will see a list of standard filters; options are available to add, delete and edit the filters or use a filter to read or write ASCII formatted log files.

Before using, deleting or editing a filter, make sure the filter to be used is selected by clicking the name or moving the selection with the Up- and Down-arrow keys.

Import / Export filter edit (main window)

Import / Export filter edit (main window)

See also: Import Filters: Notes

Commands for this window

File

Import

Check log against imported log

Export

Merge DX4WIN Log File

Exit

Filter

Edit

New

Delete

Copy


Import / Export File | Exit

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Import / Export:

Import / Export: File | Exit
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Close the Import/Export window.


Import / Export File | Export

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Import / Export:

Import / Export: File | Export
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Export the current log using the selected filter.

If a Selection has been specified, only the QSOs in the Selection will be written to the output file. If a QSO Filter is active, you will be asked if the export should be limited to the QSOs that match the QSO Filter.

See also

Import / Export.


Import / Export File | Import

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Import / Export:

Import / Export: File | Import
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use the current selected filter to import a log file

When importing a log file, the QSOs are added to the current log. When a conversion error occurs, an error messages is added to the note field for the call. You can search for QSOs that have an error by using the QSO filter, and specify import: in the Notes for this QSO field.

When importing QSOs into an existing log, you have to decide what action to take when importing a duplicate QSO. A QSO is a duplicate, when the call, date, time and band are identical. You have the following choices:

Issue warning and stop

The QSOs imported to that point will be added to the log, but the import will stop after showing a message.

Imported QSO replaces existing QSO

The existing QSO record is replaced with the imported record. This can be a slow process for large imports!

Imported QSO is ignored

The imported QSO is ignored; no changes are made to the existing QSO

Imported QSO sets confirmed flag

The imported QSO is ignored; the Conf flag will be set to Y in the existing QSO; see also Using data from imported QSO.

Imported QSO sets LoTW Confirmed flag

The imported QSO is ignored; the LoTW confirmed flag will be set to Y in the existing QSO. This setting allows QSOs that were uploaded previously to be downloaded when they are confirmed and be used to update the existing QSO. See also Using data from imported QSO. See QSO Windows | LoTW | Import for LoTW for more information.

Imported QSO sets eQSL Confirmed flag

The imported QSO is ignored; the eQSL confirmed flag will be set to Y in the existing QSO. This setting allows QSOs that were uploaded previously to be downloaded when they are confirmed and be used to update the existing QSO. See also Using data from imported QSO. See QSO Window | eQSL | Import for eQSL for more information.

It is always good practice to try the import first with a new log file. In case something is wrong with the import, just discard the log.

You can also set the default Group in the preferences to identify the newly imported QSOs.

See also

Import/Export Filter | Edit

Using data from imported QSO

When using imported QSOs to confirm existing QSOs in the log, an imported QSO may contain different information than the original QSO. For example, if the original QSO has no US state information, but the imported QSO indicates 'VA' for the state, this value is stored in the existing QSO. A note is not added to the QSO because there was no conflicting information.

When two fields are different, the new value does not overwrite the existing value, only a note is added to indicate the difference. This note goes in the Notes for this QSO field and is preceded with the text Import:. So if the original QSO has a value for the State=MD, and the imported QSO contains VA, a note is added in the form:

Import: State<>VA;

the existing MD value is not overwritten.

Currently, the fields checked this way include: State, County, CQ Zone, IOTA and Grid.


Import / Export: Check log against imported log
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use the current selected filter to read a log and check some fields against the current log in memory.

While reading the log, each QSO will be searched in the current open log. When a QSO is found, a few fields will be compared with the corresponding fields in the imported log. When a difference is found, an entry is added to the notes for the QSO. After all QSOs have been processed, the entries indicating a difference can be found using a QSO filter searching for LOGDIFF: in the QSO notes.

Using this option makes it easy to compare your log with a previously saved version of that log and check the impact of a new country database for example. This will not work when comparing with a DXL file because this format does not contain the Prefix for the QSOs. A simple workaround is to compare the log with a log exported using the DX4WIN filter.

The notes added can be removed again using Multiple QSO operations | Remove Log Differences messages.


Import / Export: File | Merge DX4WIN log file

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Import / Export:

Import / Export: Merge DX4WIN Log File
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add an existing DX4WIN log file to the current log file

This command adds the QSOs from another DX4WIN log file to the current log file. Notes for callsigns will be added if they do not duplicate existing notes.

When you set the QSO default group number to zero, the group numbers of the QSOs read will be kept as they are; if you specify a value other than zero for the default group number, all QSOs read will get that group number.

Selection names and text assigned to group numbers will be ignored.


Import / Export: File Menu
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Options under the File Menu

View ASCII file

Specify the ASCII file to be shown in the File Listbox. The Listbox can show a number of lines of the ASCII file you are writing the filter for.

Print Filter

Print a report describing the import / export filter. A printed report documents a filter and lets you share your filter with others. It is a useful tool when designing a new filter.

Cancel changes and exit

Close the filter editor; all changes made to the filter will be ignored.

Save changes and exit

Save the changed filter specification and close the filter editor.


Import / Export: Filter | Copy
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Make a copy of the current filter and start editing the filter.

Before making changes to a filter you can experiment by making a copy first and make modifications without loosing the original. Do not forget to change the description!


Import / Export: Filter | Delete

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Import / Export:

Import / Export: File | Delete
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Delete the current Import/Export filter.


Import / Export: Filter | Edit
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the current Import/Export filter.

When importing an ASCII file, each QSO is represented by a single line in the file. The edit screen shows a large number of fields which describe the location of that field in the QSO line.

The location of the field is described by a starting location, and in some cases the length of the field. Some fields, such as a date, can have different formats; you will see a selection box from which you can select the format. The starting locations start counting at one; if you specify a starting location of zero, the field will be ignored.

When importing a binary file, a batch file is called to convert the binary formatted file to an ASCII file first; the generated ASCII file is then imported using the fields and locations as described in the filter.

Before you modify an existing filter, we recommend that you copy that filter first before making any changes!

All fields correspond to the fields in the QSO Window. See QSO Fields for details on individual fields.

See Filter Menu for a description of the menu options.

Page: General

Description

A short description of the use of the filter.

Usage

Describes the capabilities of the filter, possible values are:

Import:

The filter can be used to import an ASCII file.

Imp/Exp:

The filter can be used to import and to export an ASCII file.

Binary:

The filter can be used to import a binary file. For more details see importing binary files

ID

The unique name for the filter. The name is used to identify a file which is used to map prefixes for different logging programs and to identify the name of a batch file used for binary conversions. See Prefix field below.

EXT

The file extension used for the filename to be imported or exported.

RecLen

The total length of a QSO line. Only used when exporting a file, as some other programs require a fixed length line when importing data.

DateChar

Character used to separate the day, month and year when exporting a file; ignored when importing a file.

Page Fields

The Field list shows the name of the field; names correspond to the fields in the QSO Window. The Listbox shows only one field at a time. Selecting a different field, using the mouse or the cursor keys, will update the related fields.

Position is the location of the current field in the input line; when the position equals zero, the field will be ignored.

The Type list shows the formatting for this field.

The Length field indicates the length of the current field in the input line. Some fields, such as a date, have a fixed length, and the length cannot be changed.

The Field allocation Listbox shows all possible character positions in the input line and which field is 'using' that position. The listing is updated as soon as the definition of a field is changed. If field definitions result in an overlap, all fields using the same position will be shown together on a single line using the word 'also'.

The File Listbox can show a number of lines of the ASCII file you are writing the filter for; see command File | View ASCII file.

Notes on some fields

Confirmed

On import, a true flag can be '1','Y','F','X' (F for fulfilled, not false!). The flag type is used for export only. When the import filter finds one or more award flags as 'Checked' or 'Submitted', it will flag the QSO as confirmed automatically, even if the confirmed flag is not set.

Mode

On import, the mode types that are three characters long can recognize more modes than listed; the specified values are relevant for the export function only.

CW: 'CW ' and ' CW' (leading or trailing blank)

PHO: 'PHO' and 'SSB' and 'LSB' and 'USB'

FSK: 'FSK', 'RTT' and 'TTY'

Notes

DX4WIN will place the notes for a callsign in a separate file. The QSO notes can be of fixed size used as one of the fields, or can be the last field of a line so the note can be of variable length.

Note Filters

Only used when importing a file. Some programs add information to every note field for each QSO which does not make much sense when all notes are combined into a single note for that call:

Frequency:

A frequency will be deleted.

Import from:

Text such as 'IMPORT FROM <filename> will be deleted.

Duplicates:

Delete duplicate text that occurs in a previous note for the same call.

Prefix

DX4WIN determines the prefix for a call when importing another log file. If you specify the location of the prefix field and 'Use' the prefix when importing a file, you can find QSOs that have a different prefix than determined by DX4WIN. See also mapping prefixes.

State

The format 'CA, LAX' looks for a regular postal state abbreviation, or an ARRL section abbreviation. The format 'Spokane, WA' looks for the full state name, or a state abbreviation in the variable length field.

QSL Date

Besides the regular date formats, the QSL Date can use a single character flag. When the field contains Y','S','1','R','X' , the QSL Date is set to the date of the QSO.

Zone

DX4WIN determines the zone for a call when importing another log file; if you 'Use' the zone, DX4WIN issues an error message when the zone read and the zone determined by DX4WIN are different.


Import / Export: Filter | New
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Define a new Import / Export filter.

When defining a new filter, you will see an empty filter edit form; complete the form and press or click the Ok button to make the definition complete.

Please consider sharing new filters you have developed so they can be included in a future release of the software for the benefit of other users.


Import / Export: Notes
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DX4WIN has a flexible method of importing logs from other logging programs. But with all the flexibility provided, it is not always possible to convert a log 100%. This is mostly due to the fact that a number of logging programs make use of fields which DX4WIN does not support.

When defining the import filters, we have selected those fields that had the potential to produce the best conversion. For example, when you have a CDRom connected to your computer with address information, you may be less interested in the address field because you can find that information on the CDROM. In this case you can change the starting location and length of the note field for the filter you are using.

Most other logging programs only maintain a single flag for the popular awards like DXCC. DX4WIN maintains three flags: the mixed- the band- and the mode-award. All import filters provided will interpret the single flag to be intended for the mixed award. In the case you have been working towards the mode awards only, you can change the filter to reflect this. For this particular situation you will have to change the import filter, and set the location for the DXCC mode flag to the location of the DXCC mixed flag, and set the DXCC mixed flag to zero.

We found that a number of other logging software have problems importing other log files, especially contest files from CT, NA etc. When your logging software imports those files incorrectly, DX4WIN will flag these as errors and makes the best guess to correct the problem. For example, we have seen conversions containing many errors in the RST fields, containing values such as 590 for a phone contact. If you find too many errors in an RST field to correct manually, you can always modify the filter to ignore the RST field. A field is ignored when the Position has the value zero. In addition, you can disable the reporting of simple errors, see File | Preferences | Import.

Before you make any changes to a filter, make sure you make a copy of that filter first, and work on the copy made.

Notes on specific filters


Import Filters: Notes on specific filters
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following section provides more information to import log files from other logging programs.

Before using any of these filters to import your old logs, see if there is a way to write your log as an ADIF file. If your current version does not provide an ADIF file export, a newer version of the program may do so. In that case, ask around to find someone with a more recent version who can convert your old log.


Import filter: ADIF
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

ADIF

ADIF is a specification of a file exchange format between various logging programs. A number of fields are missing from the ADIF standard, most notably fields related to the tracking of various awards.

We strongly support the ADIF standard; it is a win-win situation for both the user and the logging software developer.

ADIF files are also used for submitting electronic confirmations to LoTW and eQSL; see LoTW and eQSL.


Import filter: CT
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

CT

Starting with version 6.03, DX4WIN no longer supports the various BIN to RES utilities for importing CT files. We recommend you use the ADIF export utility written by Jim, AD1C, available from the CT website.


Import filter: DXBase
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DXbase

Before you can import a DXBase file, use the DXBCONVT.EXE utility to export your log to an SDF formatted file which DX4WIN can import.

DXbase 2000

There is a program available to export the data in the ADIF format. Last known location for download is:

http//www.geocities.com/CapeCanaveral/6030/Wintty/

If you have MSAccess, the following steps export your QSO data in a text format that DX4WIN can import:

1.Open the dxbase mdb file.

2.Select the table QSO-TAB

3.File | Save as/Export

4.Select to an external file or database

5.Pick a name, like mydata, and the format in text files

6.On the next screen, select fixed width export.


Import filter: DXLog
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DXLog

In DXLog there are three fields, TAGFLAG, TAGMODE and TAGBAND. DX4WIN interprets these flags for the DXCCmixed, DXCCmode and DXCCband awards. DX4WIN will set the QSO as confirmed when any of these fields are set to Y or X etc. because a QSO submitted for an award automatically implies that the QSO was confirmed.

If you have used any of these three fields for a different purpose, you will end up marking many QSOs as confirmed which were not confirmed. In that case, you can ignore any of these fields as follows:

1. Make sure your user level is expert (File | Preferences | Personal | Expert)

2. Select: File | Import/Export

3. Select the DXLog filter

4. Edit

5. Select the Tab 'Fields'

6. Select the field you want to disable (DXCCBand for example)

7. Set the Position to zero

8. Repeat 6 & 7 for the other fields you want to disable

9. File | Save changes and exit


Import filter: HyperLog
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

HyperLog

Hyperlog can produce a dBase formatted file which is used as the input for the conversion utility. The dBase file should be in the format that CAN NOT be edited, because this is the format that DX4WIN can import correctly.


Import filter: LogEQF
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

LogEQF

Use the FILE-EQF.EXE utility supplied with LogEQF to convert your log to a dBase file. Import this dBase file.


Import filter: LogicW
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

LogicW

Two filters are provided called LOGICW and LOGICW2; it seems that the same version of LogicW employs different formats for the log file.


Import filter: LogMaster
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

LogMaster

Logmaster does not have an export function, but we have created a report, called LM2DX4W.RPT, which is located in the IMPORT directory. Incorporating this report is a two step process:

1. Start LogMaster, and create a report called LM2DX4W. The content of the report is not important, as long as the report is created and available. Save the report as LM2DX4W and exit LogMaster.

2. Copy the file IMPORT\LM2DX4W.RPT to your LogMaster directory replacing the dummy report we just created.

3. When you start LogMaster again, use the LM2DX4W report to export your log. It will generate a file called LM2DX4W.OUT which can be imported by DX4WIN.


Import filter: LogWin
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

LogWin

1. Open your logbook in LogWin

2. Export the file to ASC format: Utilities | Export | ASC

3. Select all fields; select MM-DD-YY as the date format

4. You will now have a file in export format that DX4WIN can import


Import filter: NA
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

NA

In the NA directory is a utility called NAU.EXE. Use this utility to convert your logfile with QDF extension to a file with the SDF extension. This is the format that DX4WIN can read.


Import filter: SD
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

SD

Before importing an SD file, use the SDCHECK utility (supplied with the SD program) to generate an 'Entry' file with the .LOG file extension. This is the format DX4WIN can import.


Import filter: SwissLog
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

SwissLog

The import filter for Swisslog uses a report to write an ASCII fixed column formatted file. Unfortunately, the report nr 005 has an error in it, as it overlaps the date and the rst field. In the IMPORT directory is a correctly formatted file which should be used to export the data. Copy this file, SWISSL099.FMT to your swisslog program directory. Use the 099 report format to write a report to a file, using a TXT file extension. This file can be imported by DX4WIN.


Import filter: WF1B
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

WF1B

Use the program CONVERT.EXE, supplied by WF1B, to create the export format that DX4WIN expects.


Import filter: WJ2O
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

WJ2O

From within the WJ2O program, use the TF menu and export to WJ2O Format. This will create a file which DX4WIN can import. Before exporting you may want to go through the log and check sent and received RST, and band information to make sure it is in the correct format.

Note: WJ2O can export a maximum of 32,766 records at one time. If you have a larger file you will need to use the selectors to break it into smaller pieces.


Import filter: WriteLog
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

WriteLog

WriteLog now supports ADIF export; so the following section is for older versions:

In WriteLog, export your log as a 'Comma delimited ASCII' file with the file extension 'txt' (see File | Save as ...). Depending on the kind of contest you logged, additional fields, such as RST and zone may be available for import. The import filter as supplied only imports the minimal amount of information. To import additional fields, the filter can be copied, and those fields added. Also copy the files writelog.pro (add necessary fields) and the file writelog.bat using the same name as the name of the new filter.


Importing Binary Files
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DX4WIN has a flexible capability to import the binary files of other logging programs. Some logging programs come with a utility to convert their binary formatted log file to an ASCII file. DX4WIN can call such a conversion program as an interim step in the import process. In addition, a few small utility programs are provided to convert some known formats into an ASCII file with a fixed length for each field.

Conversion Process

When converting a binary log file, DX4WIN calls a batch file in the subdirectory 'IMPORT' using the name in the ID field of the import filter and supplies the name of the file to be converted as the first parameter and the full path of the import directory as the second parameter.

The conversion process will produce a file called 'export.txt' also located in the subdirectory 'IMPORT' which is imported using the filter. If the conversion program produces a file with a different name, the batch file will have to rename the file to 'export.txt'. Some utility programs, also located in the 'import' directory, produce an ASCII file called 'import.fld' which contains information about the fields as an aid in developing your own filters.

Example

The logging program DXLOG is formatted as a dBase file; we use the utility 'CVDBASE' to create the 'export.txt' file in one step; the file DXLOG.BAT in the 'import' directory looks like:

Rem DXLOG conversion

cvdbase %1

When called the %1 will have the full path and filename of the DXLOG file to be converted.

Another Example; notice %2 to get the destination for the export.txt file

cd c:\ham\dxb40

btrieve /e

dxbconvt

removerm

copy qsolog.sdf %2\export.txt


Mapping Prefixes
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Due to the lack of standardization, many logging programs use a different set of prefixes. The import and export functions can make use of a special ASCII file that maps the prefixes used by DX4WIN to the prefixes used by another logging program.

The name of the mapping file is derived from the name in the ID field in the import/export filter by adding the extension PMP. The mapping files should be in the IMPORT directory.

Format of the Mapping File:

The mapping file is an ASCII file that has one line for every prefix for which we want to create a mapping. The first entry is the DX4WIN prefix, followed by a comma followed by the prefix as it is used by the other logging program. For example:

1A0,1A

3D2/C,3D2C

3D2/R,3D2X

4U/IT,4U1I

Note that if you make changes to the prefixes using the country editor, you will have to change the corresponding entries in the PMP files!


Import : Confirm Prefix/Zone change

Navigation: Windows and menus > Main Window > Main Window: File > Main Window: File | Import / Export:

Import: Confirm Prefix/Zone change
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Confirm which values for Prefix and Zone to accept.

This window will show the Prefix and Zone determined by DX4WIN and the Prefix and Zone read from the import file.

You have three choices

Accept DX4WIN

Accept the values as determined by DX4WIN

Accept Import

Accept the values read from the import file. An entry will be made in the call exception database.

Cancel

Stop the import; all previously imported QSOs are accepted.

In the File | Preferences | Import options you can select if this window appears at all. You also have the choice to store the Prefix or Zone that was ignored, so you can go back to the QSO and verify the choices made.


Utility Programs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A number of small utility programs are provided to assist in converting the binary formatted files of other logging programs to an ASCII file with fixed fields as required by the import utility.

The utility programs are located in the 'import' directory, which is a subdirectory of the directory where you installed the main program.

Parameters for the conversion programs are passed on the command line, where the first parameter is always the name of the file to be converted. The conversion produces the file 'export.txt', and sometimes produces the file 'export.fld' containing information about the conversion process.

The following utility programs are provided:

CVASC.EXE

CVCALL.EXE

CVDBASE.EXE

CVDELIM.EXE


CVASC.EXE
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Converts an ASCII file without line breaks to an ASCII file with a single line for each record.

Parameter 1: file name

Parameter 2: number of characters to skip before first record

Parameter 3: length of a record


CVCALL.EXE
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Combines three consecutive fields into a single callsign field. For example, the three fields

'VP5 ' , 'KK4HD', 'P' will be combined into 'VP5/KK4HD/P'

Parameter 1: file name

Parameter 2: starting column

parameter 3: number of characters in field1

parameter 4: number of character in field2

parameter 5: number of characters in field3


CVDBASE.EXE
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Converts a dBase formatted file to ASCII; the 'export.fld' file lists all fields as they were written to the output file.

column 1: field number

column 2: location of the field

column 3: type of field

column 4: name of the field

column 5: length of the field


CVDELIM.EXE
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Converts an ASCII file where the fields are comma delimited to a fixed format. The 'export.fld' file shows the field number, starting location and the length of each field.

Parameter1: file to specify column width for each field; (see *.PRO in import directory)

Parameter2: file to be converted

Parameter3: (optional) modifies the field delimiter; by default the fields are delimited by a comma. In addition to COMMA, you can specify COLON or SEMICOLON.

Fields can also be quoted, to allow for the delimiter inside a field. The field quote character can be a ' (single quote) or " (double quote) and always expected to occur in matched pairs.


Main Window: File | Info
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Display program status.

Displays information about the current log file; indicating the number of QSOs, the number of callsigns that have a note attached, and the number of SWL records.


Main Window: File | New
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Create a new log file.

If you had a log file open, and that file was modified, you will be prompted to save that file first. The useful thing to do with a new log is to add new QSOs, the default mode, or to import QSOs from another file.

If you specify a new directory in the filename, this directory will be created automatically.


Main Window: File | Open
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Open an existing log file.

Log files may be placed in different directories. If another log file was open, it will be closed first. If the open log file was modified, you will be prompted to save the file.

All prefixes and zones will be determined when the log file is read, reflecting possible changes in the country data base.

It is possible that a prefix cannot be determined for a given callsign and the date of the contact. (the assignment of a prefix is date dependent.) Searching for QSOs with an unknown prefix is easy: sort the QSOs by prefix and go to the first QSO (Ctrl+Home key); the QSOs with an unknown, empty, prefix will be listed first. Or search directly in your log using a filter: press F8 and enter !* in the prefix field.


Main Window: File | Save
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Write the current log file and the user exceptions database to disk, keeping the log file open.

When you specify a backup interval, the log file and the user exceptions file are saved at regular intervals in special backup files. The backup files are placed in the same directory as the executable program. When you start the program and a backup file is present, because of an abnormal program termination, you will be asked to save the backup file as a regular log file. When saving a backup file as a regular log file, we recommend that you save it under a different name in case the backup file is flawed.

Saving the log will erase the backup file, and it will be created again as soon more modifications are made and the backup interval expires.

With the Cycle Files option enabled, the current copy of the file will be renamed before saving the file.


Main Window: File | Save as ...
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Save the current log file under a new name.

When saving a log file under a new name, the old log file is still available. If you specify a new directory in the filename, the directory will be created automatically.

See also File | Save


Main Window: Help
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

These are the menus under Help:

Contents

Search for Help on

About

Check for Updates


Help | About
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Displays information about the current version of the program.

This information is important when reporting a problem or seeking technical support.


Help | Check for Updates
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Check on-line if there is a new version of the program or some of the data files like the country database. Note that an Internet connection is required

The program will use a default URL for getting update information. When needed, this URL can be changed in the preferences; see URL for Updates.

After selecting the option, you will be presented with a list of files that can be downloaded and replace the existing files. Backup copies of a replaced files are maintained in the Backup sub-directory of DX4WIN.

After downloading all files, the program will restart.

The update window shows a list of files that are available for an update; the check-mark indicates that you want to update that file.

A checksum is used to decide if the files on the server are different from the ones stored on your computer. Only files that are different will be shown.

The None button de-selects all files, the All button selects all files and the Ok button starts the update. The cancel button cancels the update.


Help | Contents
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Activate the help system for DX4WIN and start in the table of contents.

You can get context sensitive help, i.e. get help depending where you are in the program, by pressing the F1 key. You can also select a menu option with the mouse and press the F1 key to get help on that menu. This works also for menus that are not enabled.

Some windows use the F1 key as a macro key. The typical use for F1 in the CW keyboard window is to call CQ for example.

These windows always provide access to the help system in the PopUp window.

When the cursor is in a field that provides a list of possible values, like the Prefix field, custom award, IOTA, etc., the F1 key will show the PopUp window presenting a list of choices for that field; see Select Prefix (State, IOTA or County)


Help | Search for Help on
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Activate the help system for DX4WIN and start searching in the index.

The index contains a large number of keywords that help you locate the various topics in the on-line help.


Main Window: Print Setup
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Activate the Windows printer setup program.

The printer setup function allows you to select a different default printer. You can also set some parameters for the selected printer.

Note that all commands that use the printer allow access to the printer setup program before printing. These changes are only valid for the single print job. Changes made using the print setup function remain active as long as DX4WIN is running.

Before printing labels or a report, you will see the Print Window


Main Window: Radio
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The Radio menu and radio features are only available if you specified a radio in your preferences and the radio is connected to your computer using an appropriate interface.

Radio Menu:

Scanner

Panorama

Set Frequency

Start/Close Radio

Switch Radio

Ignore Mode in real-time


Radio | Ignore Mode in real-time
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Reading the mode from the radio

By default, the mode read from the radio will be used to set the mode in the current QSO when adding in real-time. For example, the radio is in LSB mode, the mode for the QSO will be set to SSB. The mode cannot be changed because the mode field is disabled.

When ignoring the mode, the mode will not follow the mode read from the radio. The mode field is enabled, and the mode can be changed. This can be useful when adding RTTY QSOs for example with the radio in LSB mode (using AFSK).

In some windows, like the PSK31 and MMTY windows, a double-click in the window will switch to ignore the mode and set the appropriate mode for the QSO (PSK31 or RTTY). The ignore mode is disabled again as soon as the QSO is entered in the log.

Ignoring the mode can lead to bad data entry, because the mode entered in the log may not be the actual mode used for the QSO. Therefore this option is off by default, and has to be enabled whenever you start the program.

Setting the mode for the radio

A number of radios support different settings for the same mode. When selecting CW for example, one setting selects the regular filters while the other setting selects the narrow filters. To select a different setting for a mode, edit the radio file as follows:

1. Make sure your user level is set to expert.
2. Select: File | Databases | Radios
3. Select your radio
4. Select tab 'Values'
5. In mode values, select the mode you want to modify
6. Click in the 'Preferred' Checkbox to use the second mode setting when available. A value of 255 indicates that the setting is not available.


Radio | Panorama
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show a panorama display.

If DX4WIN can read the S meter value from the radio, you can generate a Panorama display. This display shows the signals around a center frequency.

When holding down a mouse button, the center frequency display will show the selected frequency as long as the button is down. Using the right button will switch the radio to that frequency and stop any scanning in progress.

You can also monitor a number of frequencies in the Scanner Window.

Scan Button

Start the scan and update the display continuously.

Center Freq Button

Read a new center frequency from the radio.

Exit Button

Stops a scan in progress and closes the window.


Radio | Scanner
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Start the radio scanner.

The scanner is used to monitor activity for a number of frequencies. Frequencies are entered directly from the radio or they can be entered from the DX Spots Window.

You can also monitor a range of frequencies around a center frequency with the Panorama Display.

The columns in the Scanner Window:

Enabled

Field is set to Y or N; indicating if the channel will be monitored when scanning.

Description

A short description entered by the user, or the text from the DX Spots Window, if the entry was created with the monitor command.

AVFO

Main frequency

BVFO

QSX frequency

Fields in the Scanner Window:

Scan delay

The time the radio will stay on an active channel. You can also move to the next channel by clicking the Scan button.

Status

Indicates the scan status

Scan Button

Start scanning or when scanning, monitor the next active channel.

Stop Button

Stop scanning or stop reading a frequency from the radio.

New Freq Button

Clear the currently selected channel and continuously read the frequency from the radio. The frequency is stored in the AVFO field and if the radio is in split mode, the QSX frequency is stored in the BVFO field.

Clear Button

Clear the currently selected channel.

Exit Button

Exit the scanner function. All channel settings are stored in the configuration file for later recall.


Radio | Set Frequency
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the frequency and mode for the radio.

This window will show the current main and split frequency and mode of the radio. Changing the frequency or the mode will set the radio to the values entered. When reading a frequency from the radio, when adding in real-time for example, the display will be updated automatically.

In the frequency fields you can use various combinations of the Ctrl and Shift keys combined with the Up and Down Arrow keys. The change in frequency, in Hertz, is shown in the following table and also depends on the current mode:

Key(s) | Change in Hz SSB AM FM | Change in Hz other modes
Arrow | 500 | 100
Shift+Arrow | 5000 | 1000
Ctrl+Arrow | 10 | 10
Ctrl+Shift+Arrow | CW band edge | CW band edge


Radio | Start/Close Radio
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Start or Stop the radio.

This command will allow you to start the radio if you forgot to switch the radio on before starting the program. Stopping the radio will allow you to use the COM port for a different device.

Note: The radio commands are only available when you have specified the type of radio to use; see preferences.


Radio | Switch Radio
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Switch to other radio.

When a second radio has been configured (see File | Preferences | Radio ) selecting this menu option will switch between Radio1 and Radio2. The name of the radio that can be selected is shown in the menu. Note that there is also a shortcut command available for this command: Ctrl+Shft+F12.


Master Calls
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Open the Master Calls Window.

QSO Window | Window | Master Calls

The Master Calls window shows all calls in a Master log based on the characters entered in the callsign field of the QSO Window. For example, when the callsign field contains 'KK', all callsigns in the Master log starting with 'KK' will be shown. The use of a '?' (question mark) is allowed, for example, 'W?L' will find calls such as W3LPL,'W9LZ' etc. When the callsign fields starts with a question mark, the letter combination can appear anywhere in the callsign. For example, '?KK' will find calls such as 'KK4HD' but also 'AB4KK'.

DX4WIN does not ship with a Master Log. These files are available from many sources, and a menu option is available to convert an ASCII text file containing callsigns, to the format used by DX4WIN. (see below)

The Super Check Partial Database is available from http://www.supercheckpartial.com and Jim, AD1C, makes the file available in DX4WIN on his website:

If you want to use all the calls stored in your own log, the steps are simple:

1. Export your log using the 'calls' filter
2. Save the file somewhere, and call it calls.txt
3. From the PopUp menu in the Master Calls window select 'Convert'
4. When asked for the file to convert, select the file you created in step 2

PopUp Menu

Convert

Convert file to Master log format

You will be prompted for a file containing callsigns. The file will be scanned for callsigns and all calls found will be sorted and duplicates will be removed. The resulting file, mstrcals.dat, will be stored in the DX4WIN Save directory.

SubStrings

When this option is enabled, the leading '?' (question mark) is no longer needed to find the search pattern anywhere in a callsign. When this option is disabled, the callsigns found will start with the characters specified.


MMTTY
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSO Window | Windows | MMTTY

DX4WIN provides an interface to MMTTY, written by Makoto, JE3HHT.

The MMTTY program is not included as part of DX4WIN; you will need to download and install the program separately. Visit the MMTTY website to download the software at http://mmhamsoft.amateur-radio.ca/mmtty.

After downloading and installing the software, you need to tell DX4WIN where the MMTTY.EXE was installed See File | Preferences | RTTY | MMTTY Executable.

The interface to MMTTY has two windows; the MMTTY parameter settings and the terminal window. The description of the many parameters are described in MMTTY help file which can be accessed from the PopUp menu. Options to key the transmitter are specified using the keying parameters (Alt+S)

The terminal window is very similar to the terminal windows for PSK31 and the TNC based RTTY.

Terminal Window:

The top section of the terminal window shows the text received, the part below is for text entry. On the bottom of the window you see the function keys. Function keys (buffers) can be used to transmit predefined messages that can contain text based on the current QSO. Only eight function keys are shown (F1 -- F8) , but by pressing the Ctrl key, a second set of messages is available. A function key can also be activated using the mouse and a click on the button. A right mouse click, or the Windows Menu key, will show the general PopUp menu. Other windows have a limited PopUp menu too To edit the function keys, press Alt+E.

PopUp Windows:


MMTTY PopUp Windows

Navigation: Windows and menus > MMTTY:

MMTTY PopUp Menus
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Data Entry:

Clear (Alt+C)

Clears all text in the Receive Window

Copy (Ctrl+Ins)

Copy the selected text to the Windows Clipboard

Toggle Holding (Ins)

When holding is enabled, received text is not added to the Receive Window, but held for later display. This will allow you to look back in the received text, copy portions of it etc. When you press the Ins key again, the buffered text will be added to the end of the receive window. The title bar gives an indication that holding is active. Using the Ins key will also toggle the active cursor between the receive window and the transmit window.

Receive Window:

Clear (Alt+C)

Clears all text in the Receive Window

Copy (Ctrl+Ins)

Copy the selected text to the Windows Clipboard

Double Click in receive window

When double clicking in the receive window, the 'word' under the cursor will be analyzed and entered in the QSO window. The field that will be used to store the text depends on the selected text. A double click on a callsign will start entering QSOs in real-time; the other fields will only be used when you are entering QSOs in real-time already.

DX4WIN attempts to recognize the following QSO fields:

Callsign:

Selecting a callsign will enter a new QSO. In addition, the mode for the QSO will be set to RTTY, and the mode read from the radio will be ignored.

rstR:

A double-click on a RST value will enter the report in the rstR field, and position the cursor in the rstS field.

State:

A double click on a state abbreviation, like VA, or the name of a state, like Virginia, will enter the state in the QSO.

Grid:

A grid locator will be entered.

Any other word selected will be added to the 'Notes for the callsign'.

By first double-clicking on the name of the operator, the %n macro can be used to send the name using a function key.

Function Keys

Help Menu (Alt+H)

Because the F1 key is used for sending text from a buffer, use this key combination to access help.

MMTTY Help

Open the help file provided by MMTTY

Stop Transmission (Esc)

Stop transmission immediately; use %e in a macro to stop transmission at the end of a message.

Start Transmission (F11)

Start transmission; note that the use of a function key will start transmission also.

Enter QSO (Ctrl+Enter)

Enter the QSO and show a new QSO. The key combination allows you the finish the QSO entry without moving to the QSO Window and back again to the MTTY Window.

Toggle Holding (Ins)

When holding is enabled, received text is not added to the Receive Window, but held for later display. This will allow you to look back in the received text, copy portions of it etc. When you press the Ins key again, the buffered text will be added to the end of the receive window. The title bar gives an indication that holding is active. Using the Ins key will also toggle the active cursor between the receive window and the transmit window.

Keying Setup (Alt+S)

Determines how to key the transmitter:

·VOX: Uses the VOX function of the transmitter.

·PTT control: Use the CW control parameters to key the transmitter.

·COM1..COM32: Use a COM port control line to key the transmitter. Select the Key line either as DTR as CTS.

Edit Function Keys (Alt+E)

Edit the function keys (macros)


Packet
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Access to packet functions is presented in two different windows:

Packet Window to view incoming text and to enter text

DX Spots Window to see incoming DX spots, see their priority in terms of various awards, sort by date/time, callsign etc.

For the packet windows to be visible, you will have to configure your TNC or Internet connection first.

To make a connection to an Internet DX Cluster node, an address needs to be specified; see Internet address


DX Spots Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

After you have configured the TNC, the DX Spots Window is available.

The window shows all DX spots received from the DX Cluster node. Duplicate entries are not shown, and a later announcement of the same call on the same band and mode will update the time shown in the spot. When sorting by 'Arrival', only true duplicate spots will be filtered. When the window reaches the maximum number of lines, the oldest spot will be deleted.

The DX spots are color coded to reflect their priority; the color is an indication how 'interesting' a callsign is reflecting the QSOs in the current Selection and taking into account your interest in bands and modes. Spots are colored reflecting DXCC status by default, but the WAZ and WPX awards can also be selected from the PopUp menu.

The spots are sorted by Date and Time by default, but the sort order can be changed; see the Sort command. The next time you start DX4WIN, the same sort order will be used.

When the window is in holding mode (the text 'HOLDING' will appear in the title bar of the window) incoming spots will not disturb the entries in the window. Releasing holding mode will select the last spot.

Note that you can resize or minimize the window; the last location and size will be reused as soon as the window is reopened.

PopUp Menu:

Delete (Ctrl+D)

Grab spot and set radio (Enter)

Grab spot only (Alt+Enter)

Show spot info in QSO Window (Ctrl+Q)

Add to callsign alert

Return to last frequency (Ctrl+Enter)

Listen (Ctrl+L)

Monitor (Ctrl+M)

Sort

Toggle Holding (Ins)

View announcements

DXCC Colors

WAZ Colors

WPX Colors

Cancel spot announcements (Esc)

Clear All Spots

Delete Old Spots (2 Hrs)

Write Spots to File

Membership list

Band map


DX Spots Window: Add to callsign alert
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The callsign of the DX spot will be added to the list of calls to be monitored; see Preferences | Packet | Callsign alert.


DX Spots Window: Award Colors
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Select the award to use for coloring the DX spots.

Spots are colored reflecting DXCC status by default, but the WAZ and WPX awards can also be selected from the PopUp menu.

Instead of marking a spot as a new country, a spot can be marked as a new WPX prefix or as a new zone. The title bar of the window shows which award is used to color the spots.

The DXSpotting window sorted by time. Note the E and the L entries in the membership column

The DXSpotting window sorted by time. Note the E and the L entries in the membership column


DX Spots Window: Cancel spot announcements
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Stop the announcements of packet spots and empty the list of pending announcements. When new spots arrive, announcements will resume.


DX Spots Window: Clear all spots
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear all DX spots in the DX Spots Window.

Note: you can delete single spots using the delete command.


DX Spots Window: Color Scheme

Navigation: Windows and menus > Packet > DX Spots Window:

Color scheme in DX Spots Window
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The colors used in the DX Spots Window and their meaning depend on if a log file is open or not. The colors used below are the defaults used by DX4WIN. You can change the colors in the packet preferences.

The default color scheme used

The default color scheme used

A DX spot will always be 'gray' (Ignore) when the band or the mode has not been enabled in the Station Preferences, is not valid for the award, is not enabled in the Packet Band/Mode filter or the prefix/country cannot be determined from the callsign. The only exception to this rule is when the callsign of the DX station is specified in the Callsign alert field.

No log file open:

Prio | Color |
1 | black on white | The band and the mode of the DX spot are enabled
2 | gray on white | The band or the mode of the DX spot are not enabled or an unknown prefix/country

Log file is open:

The colors depend on all previous contacts in the log file, and by default, the DXCC award is used to determine the colors of a spot. In the PopUp menu of the DX Spots Window, the WAZ or WPX awards can also be selected as the award to use to color the spots. The title bar of the DX Spots Window indicates which award is currently active (DXCC, WAZ or WPX.)

Substitute zone or WPX prefix for country for the other two awards. Note that the term 'worked' is also affected by the Worked Cutoff date in the Personal preferences; i.e. when you worked a country five years ago, and the cutoff is set to 1000 days, that contact will be treated as if it never took place.

Prio | Text | Color | Meaning
1 | New Country | black on yellow | A. New country B. Callsign recognized in callsign alert field C. Worked country previously, but the country is not confirmed and the unconfirmed country flag is enabled D. Callsign found in @ memberlist
2 | New award Mode | white on blue | Never worked this country using this mode. Mode can be used for the mode award
3 | New award Band | white on red | Never worked this country on this band. Band is enabled for separate award
4 | Awd Mode not conf | blue on white | Worked country in this award mode before but mode is not confirmed
5 | Awd Band not conf | red on white | Worked country on this award band before but band is not confirmed
6 | Band/Mode never worked | white on green | A band / mode combination that was never worked. This contact will not add to award standings. (The band is not a new band and the mode is not a new mode.) The same callsign and band/mode combination is category 9)
7 | Band/Mode combination worked but not confirmed | green on white | A band / mode combination that was worked previously, but never confirmed. This contact will not add to award standings. (The band is not a new band and the mode is not a new mode.) The same callsign and band/mode combination is category 9)
8 | Nothing special | black on white | The combination of band and mode is confirmed. (The same callsign and band/mode combination is category 9)
9 | No interest | gray on white | Does not satisfy any condition listed above, or A. The band is not enabled in Station bands B. The mode is not enabled in Station modes C. The station was worked using the same mode and band combination D. The band or mode is not enabled in the packet filter

Use the Preferences to enable/disable the various modes and bands.

The colors always reflect the status of the log file correctly; when updating, adding or deleting QSOs, the DX Spots Window reflects these changes immediately.


DX Spots Window: Delete

Navigation: Windows and menus > Packet > DX Spots Window:

DX Spots Window: Delete (Ctrl+D)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Delete the highlighted spot in the DX Spots Window.

When the number of spots exceeds the capacity of the DX Spots Window, the oldest spot will be deleted automatically as soon as a new spot is added..

Note: you can delete all spots by using the clear all spots command.


DX Spots Window: Delete Old Spots (2 Hrs)
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Delete all spots with a time stamp that is older than two hours.


DX Spots Window: Grab

Navigation: Windows and menus > Packet > DX Spots Window:

DX Spots Window: Grab (Enter)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Starts adding QSOs in real-time, and enters callsign from the current DX spot. Note that this is the same as double-clicking on a spot in the window.

If no radio is connected, the current band and mode are obtained from the DX spot.

If a radio is connected, the radio will be set to the band and mode obtained from the spot. If the text field of the spot contains 'RTTY' or 'FSK', the mode will be set to FSK, and if the spot contains a QSX frequency, the radio will be set to split mode.

Before setting the radio to the new frequency and mode when selecting a spot, the current frequencies and mode are obtained from the radio will be used by the Return to last Freq command.


DX Spots Window: Grab spot only

Navigation: Windows and menus > Packet > DX Spots Window:

DX Spots Window: Grab spot only (Alt+Enter)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Starts adding QSOs in real-time, and enters callsign from the current DX spot.

Even if a radio is connected, the frequency or mode of the radio will not be changed.


DX Spots Window: Listen

Navigation: Windows and menus > Packet > DX Spots Window:

DX Spots Window: Listen (Ctrl+L)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Listen to DX spot.

Use the frequency from the DX spot and set the radio to that frequency. If a QSX frequency is available in the spot, the radio will be set to operate in split mode.

This command is only available if a radio is connected to your computer.


DX Spots Window: Monitor

Navigation: Windows and menus > Packet > DX Spots Window:

DX Spots Window: Monitor (Ctrl+M)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Enter current DX spot in radio scanner.

Reads the station information from the current DX spot and adds it to the list of stations to monitor in the Scanner.

You will get an error message if no free scanner channel is available.


DX Spots Window: Return to last freq

Navigation: Windows and menus > Packet > DX Spots Window:

DX Spots Window: Return to last freq (Ctrl+Enter)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the radio to previous frequency and operating mode.

Before setting the radio to the new frequency and mode when selecting a spot, the current frequencies and mode are obtained from the radio and used by this command.


DX Spots Window: Show spot info in QSO Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show information about the current DX spot in the QSO Window. This will include callsign, band, mode etc. and will update any of the summary windows that are visible.


DX Spots Window: Sort
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify a sort sequence for the DX spots

The DX Spots Window spots can be sorted by Arrival, Callsign, Frequency, Priority, Spotter, Time, IOTA and Grid.

When sorting by 'Arrival', spots will be added to the bottom of the DX Spots Window. Only spots that are completely identical will be filtered. All other sort sequences will only show the last spot, replacing spots for the same call, band and mode that were reported earlier.

When sorting by Frequency and a radio is enabled, the current spot will follow the frequency obtained from the radio.


DX Spots Window: Toggle Holding (Ins)
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Toggle holding mode for the DX Spots Window.

Holding mode allows you to view all the spots in the window without being disturbed by incoming spots. When holding mode is active, the text 'HOLDING' will appear in the title of the window. When holding mode is disabled, the spots will be inserted in a location determined by the current active sort order.

Holding mode will be selected automatically as soon as you change the sort order of the spots or select a different spot.


DX Spots Window: View announcements
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show the announcements received.

Announcements or warning messages, such as talk messages and WWV numbers are recognized using various patterns; see File | Preferences | Packet2 | Warning patterns. The program will store the last 20 messages.

When closing the announcement Window, previous messages can be seen by using this command.


DX Spots Window: Write spots to File
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Write all spots to an ASCII file

You will be prompted for the name of a file to write the spots. The entries are separated by commas and sorted by date and time.


Packet / RTTY Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The Window shows all text received from the TNC or the RTTY device.

The Window consists of two parts: the top portion will show the output received from the TNC or RTTY terminal. The bottom portion is the input area which is used to type text to be send to the device. The two areas are separated by a dividing line which can be moved in vertical direction using the mouse in order to adjust the size of both areas.

Under normal circumstances incoming text will be added to the bottom of the output window. At times you want to scroll back in the text received, and do not want the text the jump away when new text is received. You can set the display in 'Holding mode' by pressing the Ins key. The title bar will show 'HOLDING'. Press the Ins key again to release the screen, and scroll to the bottom of the output window. Use the holding feature before selecting in the output window to enable you to copy the selected lines to the window Clipboard. The window will also wrap long lines so they remain completely visible. When resizing the window, the wrapping will be adjusted to reflect the new size of the window.

Text typed in the input area can be edited and is transmitted as soon as you press the Enter key. When using a TNC, at times you want to transmit characters as soon as they are entered. You can set the input in 'immediate mode' by pressing Alt+Ins. The title bar will show 'IMMEDIATE'. Pressing the Enter key or Alt+Ins again will end the immediate mode. When entering a control character (like Ctrl+C) the character is transmitted immediately and immediate mode is enabled.

Function keys (F1 through F8 and Ctrl-F1 through Ctrl-F8) can be used to transmit often used key sequences. The contents of each keys is visible on the buttons below the screen and in the Pop menu and can be changed; see Edit Shortcut Keys. You can also use the function keys to send messages when the QSO Window has the focus; see Special keys CW/RTTY.

After sending a DIR command to the cluster, you will see a number of messages starting with a message number. You can use the mouse and double-click such entry to send a 'read' command for that message to the cluster. Holding mode will be disabled and the output will scroll to the last line so you can read the incoming message.

When the packet window reaches the maximum number of lines, the necessary number of lines will be deleted at the beginning of the scroll back buffer to stay within the specified limit.

PopUp menu

Help (Alt+H)

Settings (Alt+S)

Announce DX (Alt+A)

SH/DX callsign (Alt+D)

Read Message double-click

Toggle holding (Ins)

Toggle immediate mode (Alt+Ins)

Copy to ClipBoard (Ctrl+Ins)

Clear All Text

Paste from ClipBoard (Shift+Ins)

Internet connection

Show function keys

Edit Function Keys (Alt+E)


Packet / RTTY Window: Announce DX
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Send a DX announcement to Packet Cluster.

Announcing a DX spot requires that:

1. A connection is active (using a COM port or a TCP/IP port)

2. When using a TCP/IP port it should be a Telnet connection, not an HTTP connection

3. When using the RTTY window, Check DXspots should be enabled

When announcing a DX spot is possible, you will see a window with the current callsign entered. When a radio is connected the current frequency and a possible split frequency will also be shown. Press the Enter key or click the Ok button to send the DX announcement to the packet cluster.

The DX announcement will be sent to the port used in the current window (Packet Window or RTTY Window). When the option Announce DX to other window is enabled, the DX announcement will also be sent to the port used in the 'other' window.


Packet / RTTY Window: Clear
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear all the text in the output area of the packet / RTTY window..


Packet / RTTY Window: Copy to Clipboard
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Copy the selected line(s) to the Windows Clipboard. Use the Ins key first to set the window in holding mode.

If you selected text in the input area, that text will copied to the Clipboard. Before using this command, you can also select lines in the output area to be copied the Clipboard. Select the line you want to copy, by clicking and dragging using the mouse, or using the Up- and Down-arrow keys in combination with the Shift and Ctrl keys.

After copying one or more lines to the Windows Clipboard, the text can be transferred to other applications, such as the NotePad and Write for further processing. Using one of these standard application, you can edit the text, save it to a file or print the text.

It is possible that the to select more text than the Clipboard can hold. In that case only the last 64K bytes are copied.


Packet / RTTY Window: Edit Function Keys
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the buffer contents of the function keys; see Edit Function Keys for the special characters that are available.


Packet / RTTY Window: Internet connection
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Select Internet address to connect to.

This menu selection is only available when you selected a TCP/IP port in the preferences; see (File | Preferences | Packet or File | Preferences | RTTY)

A list of Internet addresses will be shown to connect to. Most of these addresses are a so called Telnet address, which act almost identical as if you were connected to a regular packet cluster. Addresses starting with 'http://' are not regular packet clusters, but are WWW pages showing DX spots.

When selecting an 'http' address, the spots are retrieved from that page only once, i.e. the screen is not refreshed automatically. You can retrieve the most recent spots by pressing the Enter key in the packet window. Note that for http addresses the window title bar shows the current action and possible error messages.

You can include an automatic refresh interval for a WWW page. The interval in minutes follows the address after a vertical bar ('|) like:

25 OH8X,http://www.dxsummit.fi/text/dx25.html|3

The same can be done for a regular packet connection; in this case a line feed character is sent to keep the connection alive.

A node can be selected by clicking the entry using the mouse. An entry can be found by typing a few characters of the callsign. After making a selection that is not the first one in the list, the item will be moved to the top of the list so it is easier to locate the entry next time you open a connection.

Buttons

OK

Connect to the selected address

Close

Close the current Telnet connection

Cancel

Ignore the new address, and do not change the current connection

Technical note

The address shown are stored in a file called clusters.txt in the SAVE directory. Text before a comma is ignored. This file can be edited with any text editor.

Jim, AD1C, uses data from http://www.dxcluster.info to create the clusters.txt file; updates are available using the Help | Check for Updates or from his website: http://dx4win.ad1c.us/cluster/index.htm

In order to filter the DX spots from a WWW page, the following assumptions are made:

DX spots are bracketed by <PRE> and </PRE>

A line ends in date and time information in the format 'hhhh dd mmm'; this text is changed to the format <hhhh dd-mmm> so it can be processed by the pattern recognition routines.


Packet / RTTY Window: Message-n
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Pressing the function key F1 to F8 will send the string stored in the message buffer for the function key. An additional eight message are available using the control key: Ctrl+F1 to Ctrl+F8.

The content of the message buffers can be edited; see Edit Function Keys.


Packet / RTTY Window: Paste from Clipboard
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Send the contents of the Windows Clipboard to the TNC or the RTTY device.

The contents of the clipboard is inserted after the last character typed in the input area of the window and transmitted to the TNC or the RTTY device. After pasting a long text, a progress indicator will show how much text has been accepted. Sending a long text can be aborted by pressing the Esc key.


Packet / RTTY Window: Read message

Navigation: Windows and menus > Packet > Packet / RTTY Window:

Packet Window: Read Message
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Read cluster message.

After sending a DIR command to the cluster, you will see a number of messages starting with a message number. You can use the mouse and double-click such entry to send a read command for that message to the cluster. Holding mode will be disabled so the incoming message can be read.


Packet / RTTY Window: SH/DX
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Issue a SH/DX for the current callsign in the QSO Window. When the QSO Window has the focus, the same command is available: QSO Window | QSO | Show/DX Call


Packet / RTTY Window: Show Function Keys
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Toggle the visibility of the function keys.


Packet / RTTY Window: Toggle holding
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Toggle holding mode in the output window.

When holding is enabled, incoming text will not cause the output window to scroll. If holding is disabled, incoming text will always be visible at the bottom of the window.


Packet / RTTY Window: Toggle immediate mode
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Toggle immediate mode in the input window.

When immediate mode is enabled, all characters typed will be transmitted to the TNC or RTTY device immediately. If not in immediate mode, all typed characters are held until the Enter key is pressed.

Typing a control character will start immediate mode, and pressing the Enter key will end immediate mode.


Packet Membership list
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The membership list allows the recognition of a callsign as a member of a group of callsigns. The callsigns can be added to the list using a simple text file containing the callsigns. Examples of such a list are club members, subscribers to LoTW or eQSL, active stations in a state you still need to work etc.

When adding a text file to the list, a single letter is used to identify the list. Up to four lists can be in use at the same time. When a callsign is displayed in the DX Spots Window or in the Bandmap, the single letters will be used to indicate that the callsign occurs in a previously defined list. The lists are stored in a file called members.dat in the save directory.

Membership after adding four lists

Membership after adding four lists

Entry fields

Id

The single letter or digit to be used to identify the list. The character '@' has a special meaning. It will be shown like any other character, but it will also change the priority of the spot to the highest level. This special meaning of the '@' character needs to be enabled; see Packet | Preferences | Check @ calls

Buttons

Add to member list

You will be prompted to specify a file name containing callsigns; the callsigns read from the file are added to the list. The result of the addition will be shown in the grid display.

Clear members list

All lists will be cleared

OK

Close the window

Cancel

Ignore the changes made and close the window

Grid display

The grid is used to display the results of adding callsigns:

Memb

The character used to identify the list

Added

Number of new callsigns

Ignored

The number of entries ignored (invalid callsigns)

Updated

Number of callsigns that were changed because they appeared in the list already

FileName

The name of the file used to create the entry


Packet Bandmap
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The bandmap display provides a different view of the packet spots. The spots are sorted by frequency and shown on a linear scale indicating the actual frequency. An indicator is used to show the current frequency of the radio. Spots shown in the band map are color coded the same way as in the DX Spots Window, and can be double-clicked to enter the callsign in the log and switch the radio to the frequency of the spot. Membership indicators are displayed between square brackets following the callsign.

Note that the bandmap is not displayed automatically; see the PopUp menu in the DX Spots Window to display the bandmap. If the bandmap is visible and you exit DX4WIN, it will be visible the next time DX4WIN is started.

Bandmap showing 40m band; note membership list indicators.

Bandmap showing 40m band; note membership list indicators.

Components of the band map

Frequency field

Current frequency (location of the red arrow) and the corresponding band. Will be updated when adding QSOs in real-time and the box 'follow radio' is checked

Frequency column

Display of the current frequency range. The red arrow indicates the current frequency. A single click will move the arrow to a new location if 'Follow radio' is not checked. A double-click will set the radio to the new frequency. The bandmap automatically scrolls when you tune the radio dial.

Callsign column

Display of the callsigns. When adding in real-time with an empty callsign field, a single click on a callsign will update various windows like country window, same call window etc. to show information about the callsign. A double-click will switch to add QSOs in real-time and add the callsign to the log. A Ctrl+double-click will delete the selected spot.

Icons

Zoom in

Decrease the range of frequencies displayed and center around the red arrow

Zoom out

Increase the range of frequencies displayed and center around the red arrow

Checkmark

Reset the frequency range to show the full band

Down arrow

Display the next lower band. Bands that are not enabled in the station parameters will be skipped

Up arrow

Display the next higher band. Bands that are not enabled in the station parameters will be skipped

Checkbox

Follow radio

When checked, the band and frequency will be obtained from the radio. Will be checked when double-clicking on a callsign.

Mouse actions:

Frequency column:

Single click

Set the red arrow to that location . When follow radio is enabled, the location will be reset with the next radio poll. (Note that zoom-in will use the red arrow as the new center)

Double-click

Set the frequency of the radio

Callsign column

Single click

Show spot info in various windows when adding in real-time and the callsign field is empty.

Double-click

Grab the spot (sets radio frequency, start adding QSOs real-time, enters callsign and mode based on frequency.

Ctrl+double-click

Delete the selected spot.


Print Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The print dialog is always shown before actually printing a report or QSL labels.

The dialog will show the current printer

Destination

Printer

The report will be printed

Preview

The report will be shown in preview mode

File

The report will be written to a file using the formatting for the current printer. Such a file can only be used to print on an identical printer and should be copied to the printer using a binary copy command.

Pages

All

All pages will be printed

Range

Specify a range of pages to be printed

Buttons

Ok

Send the report to the specified destination

Cancel

Cancel the current print action

Setup

Will show the standard Windows printer setup dialog, so you can select a different printer etc.


PSK31 Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSO Window | Window | PSK31

The PSK31 Window is designed around the PskCore.dll distributed by Moe (AE4JY). DX4WIN includes this dll as part of the standard distribution, but the latest version of this dll can always be found at: http://www.moetronix,com/ae4jy/pskcoredll.htm. This site also contains additional technical documents not included in the standard distribution of DX4WIN.

The PSK31 window is divided in various sections. The sizes of these windows can be adjusted by dragging the divider lines using the mouse. All of these windows have PopUp menus.

There are additional PSK31 parameters that can be modified using the Alt+S (Setup).

Below follows a description of the various windows and regions in the PSK31 window; there is also a picture describing these elements.

Receive Window:

This window shows text received, and echoes back text as it is transmitted. When the second receive channel is enabled, this window will be split in two, showing the text received on the main frequency in the left window, and the text received on the second channel in the right window.

Transmit Window:

The window used for entering text to be transmitted. Text can be typed ahead, even without actually transmitting. The backspace can be used to correct text.

Spectrum / Waterfall Window.

Shows the signal quality meter and the signal strength of the received signals.

The small horizontal bar in the meter display is the squelch setting. A single click with the mouse will change the squelch level. When the audio output from the radio is too high, the meter will be displayed in red.

The rest of the window can show either the Spectrum display, the Waterfall display or both. The left bottom corner shows the lowest audio frequency displayed, and the right bottom corner the highest frequency. The red vertical line indicates the current audio receive frequency. The audio receive frequency can be changed with a single mouse click in the display area. Holding down the Control key will set the frequency for the second receive channel, indicated with the aqua colored dotted line.

Pressing the left or right arrow key will set the main receive frequency to the next signal.

Squelch/Quality Control

The squelch control is used to avoid receiving bad text until the signal reaches a specified level. The control shows a bar and a small horizontal line. The large bar indicates the quality level, while the horizontal line represents the squelch level. The squelch level can be moved in vertical direction using the mouse.

Vector display

The vector display provides an indication about the signal received and if you are tuned correctly. A single vertical line indicates a BPSK signal, and a cross is typical of a QPSK signal. When the display is vertically aligned, the tuning is correct. A rotated display indicates you are (slightly) off frequency.

Transmit and Function keys:

Function keys (buffers) can be used to transmit predefined messages using fields from the current QSO. Only eight function keys are shown (F1 -- F8) , but by pressing the Ctrl key, a second set of messages is available. A function key can also be activated using the mouse and a click on the button. A right mouse click, or the Windows Menu key, will show the general PopUp menu. Other windows have a limited PopUp menu too (see below). To edit the function keys, press Alt+E.

Tx button

The Tx button is used to start or stop a transmission. The F11 key and the Ctrl+X (%X in a function key buffer) can also be used to start a transmission.

Typing an Escape (or %e in a function key buffer) will stop a transmission. When stopping a transmission with text left to be sent, the transmission will be stopped immediately. If there is no text left, the CW identifier can be transmitted at the end of the transmission.

A Ctrl+C, (or %C in a function key buffer) will add the CW identifier at the end of the transmission. The call used is the call entered in the personal preferences File | Preferences | Personal.

Spectrum/Waterfall/Both

A click on this button will change the display to the format indicated.

Play

The PlayBack button will play back the signals received in the last 25 seconds at a high rate. By selecting a different frequency in the Spectrum or Waterfall display you can still decode a signal that you missed. (Also Alt+P in the PopUp menu).

Status bar:

Shows the current operating frequencies and messages. Shown are the Receive frequency (Rx), the receive frequency for the second channel (Rx2), the Transmit frequency (Tx) and the IMD reading for the main receive frequency when available. The IMD reading will show the last value; when you change frequency the value will be cleared.

PopUp Menus:

Receive Window:

Clear (Alt+C)

Clears all text in the Receive Window

Copy (Ctrl+Ins)

Copy the selected text to the Windows Clipboard

Hold text (Ins)

When holding is enabled, received text is not added to the Receive Window, but held for later display. This will allow you to look back in the received text, copy portions of it etc. When you press the Ins key again, the buffered text will be added to the end of the receive window. The title bar gives an indication that holding is active. Using the Ins key will also toggle the active cursor between the receive window and the transmit window.

Double Click in receive window

When double clicking in the receive window, the 'word' under the cursor will be analyzed and entered in the QSO window. The field that will be used to store the text depends on the selected text. A double click on a callsign will start entering QSOs in real-time; the other fields will only be used when you are entering QSOs in real-time already.

DX4WIN attempts to recognize the following QSO fields:

Callsign:

Selecting a callsign will enter a new QSO. In addition, the mode for the QSO will be set to PSK31, and the mode read from the radio will be ignored.

rstR:

A double-click on a RST value will enter the report in the rstR field, and position the cursor in the rstS field.

State:

A double click on a state abbreviation, like VA, or the name of a state, like Virginia, will enter the state in the QSO.

Grid:

A grid locator will be entered.

Any other word selected will be added to the 'Notes for the callsign'.

By first double-clicking on the name of the operator, the %n macro can be used to send the name using a function key.

Second receive window

Set as Main Frequency

The main receive frequency is set to the current second channel receive frequency. In addition, a number of lines of text is copied from the secondary receive window to the main receive window so that this text can be used to set fields in the current QSO (see below).

Clear

Clear all text in the second receive window.

Close

Clear all text in the second receive window and closes the window.

Transmit Window:

Clear (Alt+C)

Clears all text in the Transmit Window

Copy (Ctrl+Ins)

Copy the selected text to the Windows Clipboard

Paste (Shift+Ins)

Paste the text from the Windows Clipboard as text to be transmitted.

Hold text (Ins)

See above.

Spectrum / Waterfall Window

Zoom factor (1x, 2x or 4x)

Changes the frequency range displayed; the current range is indicated in the left and right bottom corner.

The vertical red line indicates the main receive frequency. The aqua colored dotted line indicates the second channel receive frequency. The main receive frequency can be changed with a single mouse click in either the Spectrum display or the Waterfall display. Holding down the control key will set the receive frequency for the second channel.

The Spectrum display also contains a vector display in the left top corner. The vector display can be used for tuning and recognizing the nature of the signal. A steady tone will show up as a vertical line from the middle of the circle to the top of the circle. A BPSK signal will be shown as a vertical line, while a QPSK signal will show a cross.

Transmit and Function keys:

Help (Alt+H)

Because the F1 key is used for sending a buffer, this key combination is used to activate the context help.

Settings (Alt+S)

Open a window to specify additional PSK31 parameters. This window can 'stick around', but will not be opened automatically when opening the PSK31 Window.

Stop Transmission (Esc)

When stopping a transmission with text left to be sent, the transmission will be stopped immediately. If there is no text left, the CW identifier can be transmitted at the end of the transmission if it was included in the input.

Start Transmission (F11)

When starting a transmission, text typed 'ahead' will be transmitted.

Enter QSO (Ctrl+Enter)

Log the QSO; same as pressing Enter in the QSO Window. Only functional when adding in real-time. This command is also available as %l (letter L) in a function macro.

Hold text (Ins)

See above.

Center Radio (Alt+R)

When executing this command, and a radio is connected, the radio frequency and the audio receive frequency will be changed such that the current signal will be in the center of the radio's pass band. The center frequency used is specified in the PSK31 parameters. Note that this command will only work correctly when your radio is set in USB.

Monitor freq (Alt+M)

The main receive frequency is used to set the frequency for the second receive channel.

Play back (Alt+P)

Same as a click on the Play back button.

Rx Volume

Launches the Windows control to adjust the input volume to the sound card. Be careful to close this window when finished; it is easy to have multiple copies of this control otherwise.

Tx Volume

Launches the Windows control to adjust the output volume from the sound card to the radio. Setting this volume correctly is very important to transmit a clean PSK signal. Also adjust the ALC on the radio in combination with this control to reduce ALC as much as possible. Be careful to close this window when finished; it is easy to have multiple copies of this control otherwise.

Set Marker (Ctrl+1 or Ctrl+2)

Mark the current frequency with the callsign displayed in the QSO Window and displays the callsign in the Spectrum and Waterfall displays. Setting a marker on the same frequency again will clear the marker. When you are not adding QSOs in real-time, or the callsign field is empty, the marker number will be displayed instead.

Goto Marker (Alt+1 or Alt+2)

Set the main receive frequency to the frequency saved with the Set Marker command.

Edit Function Keys (Alt+E)

Edit the function keys (macros)


PSK31 Window picture
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders


PSK31 Parameters
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The parameters for the PSK31 reception / transmission and display.

This window can be kept open, and the values displayed will follow the values used in the PSK31 Window. This window will not open automatically when opening the PSK31 window.

To minimize the size of this window, it is organized as a small notebook with the following tabs:

RX (Receive)

RX Frequency

The Rx field shows the current receive frequency, and can only be changed using the up/down control next to it. Changing the receive frequency manually is only possible when AFC is disabled.

AFC

The automatic frequency control is used to track the current Receive frequency automatically. When disabled, tracking will have to be done manually which is difficult to do.

AFC Range

The range over which the AFC will operate.

Tx (Transmit)

TX frequency

The Tx field shows the current transmit frequency, and can only be changed using the up/down control next to it. Changing the transmit frequency manually is only possible when 'Net is disabled.

Net

When enabled, the transmit frequency will be the same as the receive frequency. Disabling 'Net' will allow you to maintain the same transmit frequency for every transmission rather than following the last receive frequency. When enabled, and the receiving station is using AFC, this can be enabled. When selecting a new Receive frequency, and the Transmit frequency differs by 50Hz or more, the Transmit frequency will be set to the Receive frequency. This will avoid mistakes when Net is disabled.

PTT Control

Determines how to key the transmitter:

·VOX: Uses the VOX function of the transmitter.

·PTT control: Use the CW control parameters to key the transmitter.

·COM1..COM32: Use a COM port control line to key the transmitter. Select the Key line either as DTR as CTS.

Display

Smoothing

A value of one displays the signal strength as it is received, often causing a jumpy display. Higher values will use averaging to achieve a more steady display.

Baseline

A value of zero will display the full range of signals received. A higher value will be used to subtract a constant from the signals strength values to create a display with a wider range. Also useful to have a mostly black background in the waterfall display, so small signals stand out more.

Slow IMD meter.

When enabled, the changes in the quality indicator will be slower. This will cause the squelch to be slower. The squelch level is set using a mouse click in the quality meter window.

Alternate colors

When enabled, a different color scheme is used for the Waterfall display. The alternate colors show a larger color difference then the regular color scheme for a small difference in signal strength.

Other

Mode

The current PSK mode. When using BPSK, it does not matter whether your radio is in USB or LSB mode. For the Center Radio command to work however, the radio should be in USB all the time. The QPSK modes add error correction, but the signal is slightly harder to tune in correctly.

Central Frequency

This value is used with the Center Radio command to adjust the radio such that the current frequency is in the middle of the audio pass band. This allows the use of narrow receive filters without having to adjust the audio receive frequency and the radio frequency simultaneously.


QSO Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

When a log file is open, the QSO Window shows the current QSO.

The title bar of the windows shows the file-name of the current log and the current sort-key.

See also: Moving around in the QSO Window and Navigating the log file.

Menu for the QSO Window:

QSO

Sort

Filter

QSLs

LoTW

eQSL

Window

Reports

Rotator

Related topics:

Moving around in the QSO Window:

Navigating the log file:

Specifying a QSO filter

Main Window: Menus and Commands

For a description of all available fields in the QSO window see QSO Fields


Navigating the Log:
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

When the QSO window has the focus it has a bright double border. The following keys help you navigate in the log. If you also have a LOGBOOK window open, the matching QSO will be highlighted. When a filter is active, only those QSOs that match the filter will be visible.

QSO Window navigation keys:

Key | Action
PgDn | Next QSO
PgUp | Previous QSO
Home | First QSO
End | Last QSO
Ctrl+PgDn | Next QSO with a different Sort Key
Ctrl+PgUp | Previous QSO with a different Sort Key

If you also have the LogBook Window and you are not adding QSOs, the Main Window shows a little scrollbar which lets you move to different QSO using the mouse. A click on one of the arrows will move by one QSO, a click outside the slider area will move 10 QSOs. You can also move the slider of scrollbar to move to different QSOs.

The behavior of Ctrl+PgUp and Ctrl+PgDn keys depends on the the current sort key. For example, when you sort the QSOs by prefix, pressing Ctrl+PgDn moves to the next QSO that has a different prefix; when sorting by band Ctrl+PgUp moves to the previous QSO which has a different band, etc.

Note that the keys are visible in the QSO | Navigate menu.


QSO Window: Moving around in the QSO Window

Navigation: Windows and menus > QSO Window:

Moving around in the QSO Window:
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This information is also available in table form

Besides clicking with the mouse on a field, you can use the Tab key to go to the next field. Use the Shift+Tab to go to the previous field. Using the Tab key will skip fields that are disabled. When adding in real-time and a radio is connected, the current mode and band or obtained from the radio and cannot be changed. You can also disable a number of fields to skip fields you do not use very often; see Disabled Fields. The disabled fields can still be selected by a mouse click or use the Ctrl+Tab to reach such a field using the keyboard.

The space bar acts like the Tab key by moving to the next field. This is not the case however for Notes fields and the County field because a space is a valid character in these fields.

A few fields can be reached quickly by pressing Alt+C for the Call, Alt+T for the time and Alt+N for the notes for this Callsign field. Inside a field, the Left- and Right-Arrow keys move around, and the Ins-key switches between inserting / replacing characters.

Some fields offer a limited choice of values, such as mode, band, etc. These fields can be recognized as such by the down-arrow to the right of the field when you select such a field with the mouse. Inside such a field you can use the up- and down-arrow to select the value or type the first character of one of the available choices. When you click the Down-Arrow with the mouse, all possible values will be shown in a drop-down list. Select the value with a mouse click.

The F5 key (Next Window Size) lets you change the size of the QSO window hiding a number of fields to make the window smaller and to easy navigation inside the window..

Fields like Prefix, State, County and IOTA, check for valid entries. If an entry is not valid, by accident or on purpose, you will see a list with all valid values. Type a few characters or use the arrow keys and PgUp / PgDn keys to move to the right spot. Select the entry by pressing the Enter key. Note that for the county field the counties shown are limited to the counties for the state entered.

When you make changes to a QSO, use the F10 key to record the changes made. After pressing F10, you will see the next record in the current sort sequence, and if the filter is enabled the next record matching that filter. If you made a change to a QSO that you want to cancel, just move to the next or previous QSO without pressing the F10 key.

To move the focus to the QSO Window, use the mouse and click in a field, or press the F9 key. Pressing F9 when the focus is on the QSO window already, will start adding QSOs in real-time.


QSO Window: Available Keys
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following table lists a number of the available keys in the QSO Window. The menu in the QSO window shows a number of additional keys which can be used as shortcuts to execute the commands.

Key | Action
Tab | go to next enabled field
Shift+Tab | go to previous enabled field
Ctrl+Tab | go to next field; can be a disabled field
Ctrl+Shift+Tab | go to previous field; can be disabled field
Space | go to next enabled field (only if a space is not a valid character for the field)
UpArrow DownArrow | change time or date Change selection for mode, band etc
Esc | stop adding QSOs Cancel active filter
Enter | save QSO while adding Start using the filter when specifying a filter
Alt+C | go to Callsign field
Alt+T | go to Time field
Alt+N | cursor to the 'Notes for this callsign' field
Ins | toggle insert or replace mode
LeftArrow RightArrow | move the cursor inside a field


QSO Window: QSO
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The menu for the QSO option:

Add Real-time F9

Add Off-line

Stop adding QSOs

Navigate

Delete QSO Ctrl+Del

Confirm/Label F2

Confirm SWL Ctrl+F2

Search External Data F3

Next Window Size F5

Announce DX Alt+A

Show/ DX Call Alt+D

Update QSO F10

Contest Mode

Clear QSO F12

Disabled Fields

Multiple QSOs operations

Special Keys CW/RTTY


Adding QSOs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSOs can be added in real-time off-line and by importing another log file.

All windows, including Summary windows, Logbook Window and DX Spots Window, will reflect the addition of a QSO immediately indicating band and modes worked and by changing the colors and sorting the entries in the DX Spots Window.

If you want to overwrite the default prefix, or add a state, a county, an IOTA or IOTA Island and you do not know the correct abbreviation, press the F1 key and you will see a listing of all possible values for that field. The list will be shown sorted by the name; press F2 to sort by the abbreviation.

If you overwrite the Prefix field or the Zone, an entry will be made in the call exception database for that call and the date of the QSO. All QSOs with the same call sign following the QSO will have the new prefix and the new zone; QSOs with the same call preceding the QSO will not change.

A callsign has only one note associated with that call. A note can be 254 characters long. Notes that are longer than the width of the QSO window will scroll using the left and right arrow keys. In addition you can see the complete note in a window by pressing Ctrl+E. The pipe (|) character will be interpreted as the start of a new line. A field with similar functionality is available to store notes for each QSO; see notes for this QSO

When adding QSOs real-time and the callsign field is empty, the country information for the current DX spot will be shown and updated as new spots arrive. Selecting a different DX spot will update a number of summaries automatically and help you decide if you want to work that station or not.


QSO | Add real-time

Navigation: Windows and menus > QSO Window > QSO Window: QSO > Adding QSOs:

QSO Window: QSO | Add Real-time
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add QSOs to the current log file in real time.

Adding QSOs in real-time versus off-line, assumes you are adding QSOs while making the contact. The date and time fields in the QSO window are updated automatically using the computer clock.

The Time and Date will be updated until the cursor enters the Time or the Date field. This can happen by 'Tabbing' to one of these fields or entering the field using the mouse. The background color of the Time field will remain darker as a warning that it will be updated automatically, and returns to its normal color when the time for the new QSO becomes fixed.

Date and Time are obtained from the operating system and shown in UTC.

A note can be entered automatically for every QSO made by specifying a text in the Text to Add to QSONote in the contest parameters.

If you have a connection to your radio, band and mode are obtained from the radio; if your radio interface is not enabled, band and mode for the first QSO are set according to your default QSO settings. All subsequent QSOs will copy the band and mode from the last QSO entered.

Press Enter to add the QSO; press Esc to stop adding QSOs. Pressing Esc in the CW keyboard will not stop adding QSOs; use the menu option 'Stop adding QSOs' instead.

When using the CW keyboard, it is not necessary to switch back and forth between the CW keyboard window and the QSO Window. Enable Special Keys for CW or RTTY to use the function keys (macros) for the CW keyboard while the QSO Window has the focus.

More details on adding QSOs.


QSO | Add off-line

Navigation: Windows and menus > QSO Window > QSO Window: QSO > Adding QSOs:

QSO Window: QSO | Add Off-line
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add QSOs to the current log file.

Adding QSOs off-line allows for adding previously made QSOs versus adding real-time. The Date and Time fields can be changed, and the radio will be ignored.

Press Enter to add the QSO. Press Esc to stop adding.

After pressing Enter, the new QSO shown will have the same Date, Time, Mode, Band, QRP and Satellite fields as the last QSO entered.

Remember that you can change the date and time quickly by using the Up- and Down-arrows.

More details on adding QSOs.


QSO | Announce DX

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Announce DX (Alt+A)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Send a DX announcement to a cluster node.

See Announce DX Window for details.


QSO | Clear QSO
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear the data in the QSO window.

Only valid when entering new QSOs


QSO | Confirm SWL

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Confirm SWL (Ctrl+F2)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The current QSO is used to create a SWL (Short Wave Listener) label record.

You will be prompted for the SWL number (SWL callsign). The date, time, mode, band and group number will be copied from the current QSO for later printing.

If the exact identical SWL record has been entered previously, you will be asked if you want to delete that record. All records can be deleted too; see QSLs | Clear SWL labels.

The third greeting line in File | Preferences | Reports / Labels will be used to print on the bottom of the label.

See also Print SWL labels


QSO | Confirm/Label

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Confirm/Label (F2)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Perform the actions as specified in the Preferences / F2 Key.

Used to set the confirm field and indicate that a label for this QSO should be printed.

When marking a QSO for sequenced printing and another QSO with the same station has been marked for sequenced printing already, you can insert the current QSO behind the previously marked QSO when printing labels. This allows you to return two QSL requests in the same envelope which would have been printed separately otherwise.

Note that a similar function is available from the Logbook window and the Same Call Window.


QSO | Contest mode

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO Window: QSO | Contest Mode
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set options for logging in a contest.

DX4WIN is a logging program, not a contesting program. It does not support the scoring calculations of a contest program, but the contesting features make it possible to participate in a contest without making embarrassing duplicate contacts and to issue a serial number when necessary. If you decide to use a 'real' contesting program during a contest, a number of import filters are available to make such a log part of your DX4WIN log after the contest.

While operating in a contest, you have the choice to see your complete log, the default, or you can set a Selection covering the contest only. When using a Selection, the Summary windows, Logbook Window and the Same Call Window can be limited to only show contacts made in the contest.

When operating a contest, it may be convenient to skip one or more fields when pressing the Space Bar or the Tab Key; see Disable Fields

Start of Contest

Specify the date and time of the start of the contest. Contacts made after the beginning of the contest will be checked for duplicate contacts.

Next Sequence Number

Specify the start of the sequence number. A field will become visible in the main menu area that automatically increments after a QSO has been entered. Set this field to zero if you do not want a sequence number display. Sequence numbers issued can be stored in the notes for the QSO; see below. The received exchange can be stored in the Recvd field.

Contest Enabled

Check this field to enable contest mode. All contacts made during the contest will be checked for duplicates. A duplicate contact is defined as the same callsign, the same mode and the same band. When you enter a 'dupe', the callsign field will turn red, and when the Same Call window is active, the duplicate QSO will be shown in red. Contest mode is always disabled when a log file is opened.

Text to add to QSO note

When this field contains text, the text will be added to the notes for this QSO for every QSO entered. If the field contains a ## (two pound signs) the ## will be replaced by the issued serial number. If the field contains a $$ (two dollar signs) the $$ will be replaced by the QSX frequency from the radio if the radio is in split mode. The transmit frequency will always be stored in the QSO Frequency field.

Note that this feature is not limited to the contest mode; it is available any time when adding new QSOs.


QSO | Delete QSO

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Delete QSO (Ctrl+Del)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Delete the current QSO.

After deleting the QSO, all visible windows, such as LogBook, Summaries, DX spots and Same Call will be updated immediately reflecting changes in awards, bands and modes worked etc.

If you delete the last QSO in a log file, the program will switch automatically to adding QSOs off-line.

You can also delete multiple QSOs in a single operation; see multiple QSO operations.


QSO | Disable Fields
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Select the fields which will be skipped when using the Tab key.

By default, all visible fields in the QSO window are 'visited' sequentially when pressing the Tab key. (which fields are visible depends on the size of the QSO window.)

A number of fields can be disabled to increase your logging rate during a contest. The disabled fields will be skipped when pressing the Tab key or the space bar. You can still reach such a field using the mouse cursor and click inside the field, or use the Ctrl+Tab keys.


QSO | Mark invalid for awards
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Mark this QSO as invalid for all awards.


QSO | Navigate
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

To move around in the log, a number of keys are available to do this quickly. Remember that whenever a QSO filter is active, the only QSOs you can 'reach' are the QSOs that match the current filter. The QSO filter can be canceled by pressing the Esc key. When moving to different QSOs, the current active sort-order is used to move between the QSOs. Note that the sort-order is always visible after the filename of the log in the top of the QSO Window.

The following keys are listed on the navigate menu:

Next (PgDn)

Move to the next QSO

Previous (PgUp)

Move to the previous QSO

First (Home)

Move to the first QSO

Last (End)

Move to the last QSO

Next sorted (Ctrl+PgDn)

Move forward in the log file, according to the current sort index, until the primary sort key differs from the primary sort key in the current QSO. The default, when sorting by date and time, is to advance by one day.

Previous Sorted (Ctrl+PgUp)

Move backward in the log file, according to the current sort index, until the primary sort key differs from the primary sort key in the current QSO. The default, when sorting by date and time, is to go back by one day.


QSO | Next window size

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO Window: QSO | Next Window Size
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Resize the QSO Window.

As a single QSO contains a lot of information; this command hides a number of fields in various steps to create less screen clutter. The current size setting and location of the QSO window is saved when a log file is closed, and used again when a log is opened.

All fields are visible in the QSO Window.

All fields are visible in the QSO Window.

The number of fields in the QSO Window is reduced.

The number of fields in the QSO Window is reduced.


QSO | Notes editor
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

In addition to the regular Windows editing keys, the following special characters available when editing a QSO note:

Ctrl+D

Insert the date of the QSO as text at the current cursor position

Ctrl+R

Insert the current frequency as text at the cursor position. This command is available if a radio is enabled.

Ctrl+T

Insert today's date (in UTC) as text at the current cursor position.


QSO | Search Ext data

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO Window: QSO | Search External Data (F3)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Search the external database(s) for the current callsign.

When at least one external database has been enabled, see Preferences, the current callsign is used to query the external database. If the cursor is in the QSL Manager field, the content of that field will be used instead. The results of the queries are shown in the Search Addr/QSL mgr window.

If both address and QSL information searches are enabled and a QSL manager is found, the callsign of the QSL manager will be used to find the address information of the manager.

You can make multiple queries by entering a new call in the callsign box and press the Enter key.


QSO | Show/DX call

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Show/DX call (Alt+D)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Issue a SH/DX for the current callsign in the QSO Window. A similar command is available when the Packet/RTTY window has the focus: Packet Window: Show/DX call


QSO | Special Keys for CW or RTTY
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Enable / disable the CW or RTTY message keys from the QSO Window.

When this command is enabled, the macro keys F1 through F8 can be used to activate the pre-defined texts for CW Keyboard (or the RTTY Window) when entered from the QSO Window. The existing commands associated with these function keys can still be used using the menus or using the Shift key with the function key.

For example, the F1 key is used to access the on-line help. When this command is enabled, the F1 key will send the CQ message, and the on-line help can be accessed using the Shift-F1 keys.

This feature is only available when entering QSOs in real-time, and will be disabled again as soon as you stop adding QSOs. Using the function keys allows for rapid data entry in the QSO Window and sending of programmed messages without switching back and forth between the QSO Window and the other window. Pressing the Esc key will empty the CW keyboard.

The Esc key only empties the CW keyboard; it does not stop the addition of new QSOs. To stop adding new QSOs use: QSO Window | QSO | Stop Adding QSOs.

Note: with the cursor in the Prefix, State, County and IOTA Island field, the F1 key will still provide help for entries in these fields and will not send the CQ message.


QSO | Stop Adding QSOs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Stop adding QSOs.

This option is needed when adding QSOs in real-time and special keys for CW is enabled. Without the special keys for CW, pressing the Esc key will have the same effect.

If the current QSO has not been saved yet, you will be asked to save the changes.


QSO | Update QSO

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Update QSO (F10)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Store the changed QSO in the log.

All windows, including Summary Windows, DX Spots Window and the LogBook Window, will reflect the update immediately.

If you made changes to a QSO that you do not want to become permanent, just move away from the QSO using any of the log navigation keys such as PgUp or PgDn. If prompted to save the QSO, answer "No".


QSO | Website Callsign Lookup

Navigation: Windows and menus > QSO Window > QSO Window: QSO:

QSO | Website Callsign Lookup (Alt+F3)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use the current callsign to lookup the call using a web browser.

The URL for the lookup is specified using the preferences: File | Preferences | Ext Data | Website Callsign Lookup


QSO Window: Sort
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify a sort sequence to navigate the log.

When you open a new log, the default sort key is to sort the QSOs by Date & Time. When you change the sort-key, the QSO displayed in the QSO window will not change, but moving to different QSOs will reflect the new sort sequence.

The sort sequence used in the QSO Window is independent of the sort sequence in the LogBook Window.

See Sorting QSOs for more information:


QSO Window: Multiple QSOs operations
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

These menu options can be used to modify a number of QSOs at the same time.

There are more commands affecting multiple QSOs; see QSL Label, LoTW, eQSL and Change award flags.

All commands in this section, except the 'Set USA state' command, take the current Selection into account. When a QSO filter is active, in addition, only QSOs matching the filter will be affected.

Stop Save your log before using these commands! If you made a mistake, you can discard the changes and open the log again without saving the file.

The following operations are available:

Set Group Number

Set US State

Set Mode

Set Band

Change QSO time

Set QRP

Set YLOp

Set Custom Award

Set Name and QTH

Set Frequency from Note

Set Satellite Name / Mode

Remove Import Notes

Check IOTAs

Remove IOTA warnings

Check Custom Awards

Remove Custom Award error messages

Remove Log Differences messages

Mark Duplicates

Remove Dupe QSO messages

Delete QSOs


Multiple QSO operations: Change QSO Time
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Add or subtract the same amount of time from the QSO time and date. Such a correction can be used after importing QSOs that had a time offset problem, or when you discover that the computer clock was off after adding a number of QSOs.


Multiple QSO operations: Check Custom Awards
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Check all QSOs matching the current Selection and filter for consistency.

When a QSOs has the custom award field set, this option will check that the selected award and value is consistent with the custom award database. Before doing so, we first check if the award code and or award values have changed in the custom awards database. For this purpose the software uses the awdmap.txt file. Below an entry for illustration:

[ARLH]

NewAwd=ARLHS

([A-Z]{3})(\d{4}[A-Z]?)=$1 $2

This entry indicates that the old award 'ARLH' is now called 'ARLHS'.

The second line is a regular expression used to convert the old 'values' to the new 'values'.

Following this, additional checks made include:

Check QSO date against the start- and end-date of the award

Check the band to be a valid award band

Check the prefix to be a valid award prefix

When the new award values satisfy these checks, the QSO will be updated using the new values.

After completing these checks for all QSOs, a summary is shown indicating how many QSOs were changed. Error messages are added to the 'Notes for the QSO' field which can be found using a search for the string 'AWDERR:" in the notes.

These messages can be removed using the option Multiple QSO operations | Remove Custom Award messages.


Multiple QSO operations: Check IOTAs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Check all QSOs matching the current Selection and filter for consistency.

When the IOTA field is empty, the prefix will be used to see if there is a single IOTA defined for that prefix. When the IOTA is defined, the prefix will be used to check if the IOTA is valid.

When an IOTA is defined, the islands.txt file is used to determine if the IOTA island is valid for that IOTA, or if the Island field is empty, if there is a unique island defined for that IOTA.

The changes will be made to the QSO and the previous values will be added to the Notes for the QSO field; the changes can be found using a Filter and search for IOTAMSG:

All messages can be removed again from the Notes using the option: Multiple QSO operations: Remove IOTA warnings.


Multiple QSO operations: Delete QSOs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

All QSOs matching the current Selection and Filter will be deleted.


Multiple QSO operations: Mark Duplicates
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Check all QSOs matching the current Selection and filter for duplicate entries.

When a QSO is found to be a duplicate, comparing callsign date, time, mode, a note will be added to the Notes for the QSO. If the QSO has any award setting, the note will be DUPE_QSO_AWD, if there are no award settings but the QSO is confirmed (qsl_card, LoTW or eQSL), the note will be DUPE_QSO_CONF. In all other cases DUPE_QSO will be added to the note.

All messages added can be removed again from the Notes using the option: Multiple QSO operations: Remove Dupe QSO messages


Multiple QSO operations: Remove Custom award messages

Navigation: Windows and menus > QSO Window > QSO Window: Multiple QSOs operations:

Multiple QSO operations: Remove Custom award error messages
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSOs will be scanned for custom award error messages and the messages will be removed from the Notes for the QSO


Multiple QSO operations: Remove Dupe QSO messages
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSOs will be scanned for Dupe QSO messages and the message will be removed from the Notes for the QSO.

The QSOs checked can be limited using a Selection and/or a Filter.


Multiple QSO operations: Remove Import Notes
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSOs will be scanned for import error messages and the messages will be removed from the Notes for the QSO.

The QSOs checked can be limited using a Selection and/or a Filter.


Multiple QSO operations: Remove IOTA warnings
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSOs will be scanned for IOTA warning messages and the messages will be removed from the Notes for the QSO

The QSOs checked can be limited using a Selection and/or a Filter.


Multiple QSO operations: Remove Log Differences messages
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

After using the option to check for log differences, using this option will remove the difference messages from the notes for the QSO.


Multiple QSO operations: Set Band
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the QSO band of all QSOs to the specified value.


Multiple QSO operations: Set Custom Award
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the custom award and custom award 'value' to the specified values.


Multiple QSO operations: Set Frequency from Note
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the Frequency field for all QSOs.

The value of the frequency is obtained from the notes for the QSO.

DX4WIN will try various patterns to recognize a frequency and a QSX frequency. When executing the command, you will be presented with a window as illustrated below. To start the process, press the start button. The original note for the QSO will be shown, together with what the program 'thinks' represents the Frequencythe text remaining. Make the changes and click on the Accept button. If the new fields make no sense, click the Ignore button. Either way, the program moves on to the next QSO to repeat the process. Clicking the Cancel button will stop the process, but the accepted changes are still stored. A Click on the Ok button, will process all remaining changes and close the window.

Original for the QSO with the interpretation of the Frequency

Original for the QSO with the interpretation of the Frequency

A note containing an exclamation mark (!) will always be ignored.

The program uses regular expressions to process the notes; these expressions are stored in the regexp sub-directory with names like freq1.txt, freq2.txt etc. A Click on the Edit button will show a simple text editor to review / change these expressions.

An original note like 7,050/7,175kHz represents a split frequency. DX4WIN will store the transmit frequency (7,175kHz) in the frequency field, and the receive frequency (7,050kHz) in the notes for the QSO using the notation Rx=7,050kHz.


Multiple QSO operations: Set Group Number
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the Group Number of all QSOs to the specified value.


Multiple QSO operations: Set Mode
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the QSO mode and optionally the QSO sub-mode of all QSOs matching the current Selection and Filter to the specified value(s).


Multiple QSO operations: Set Name and QTH
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the Name and QTH fields for all QSOs.

The name and QTH are obtained from the notes for the callsign.

DX4WIN will try various patterns to recognize a name and an optional QTH. When executing the command, you will be presented with a window as illustrated below. To start the process, press the start button. The original note for the callsign will be shown, together with what the program 'thinks' represents the name, the QTH and the text remaining. Make the changes and click on the Accept button. If the new fields make no sense, press the Ignore button. Either way, the program moves on to the next note to repeat the process. Clicking the Cancel button will stop the process, but the accepted changes are still stored. A Click on the Ok button, will process all remaining changes and close the window.

Original note shown with the proposed Name and QTH fields

Original note shown with the proposed Name and QTH fields

A note containing an exclamation mark (!) will always be ignored.

The program uses regular expressions to process the notes; these expressions are stored in the regexp sub-directory with names like qth1.txt, qth2.txt etc. A Click on the Edit button will show a simple text editor to review / change these expressions.


Multiple QSO operations: Set QRP
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the QRP Flag for all QSOs matching the current Selection and Filter


Multiple QSO operations: Set satellite name / mode
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Change the name and / or the mode for the satellite for QSOs matching the current Selection and Filter and where the QSO Band is set to Satellite.

Change Name / Mode for Satellite QSOs

Change Name / Mode for Satellite QSOs

Fields:

Change Name to

Select the new name for Satellite Name, or leave the field blank. Selecting -- will remove the name from the field.

Change Mode to

Select the new mode for Satellite Mode, or leave the field blank. Selecting ---- will remove the mode from the field.

Buttons:

OK button

Execute the command and report how many QSOs were changed

Cancel

Close the window without making any changes


Multiple QSO operations: Set US State
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

For each USA QSO that has an empty state field, the complete log is scanned for a QSO with the same station that has state information. Only older QSOs will be used to obtain state information.

Note that the current Selection and QSO filter is ignored for this command.


Multiple QSO operations: Set YLop flag
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the YLop Flag for all QSOs matching the current Selection and Filter


QSO Window: Custom Awards
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Custom, or user-defined, awards are used to collect information for awards that can be defined by the user.

A QSO can store information for a single custom award (in addition to the standard awards for DXCC, WAS etc)

There are two types of awards:

1. An entry consists of up to 8 characters. The allowable characters can be specified using a picture mask.
2. An entry is selected from a list of possible values.

The availability of a custom award can be restricted to certain prefixes, bands and modes.

Award 'definitions' are stored in a text file (Save\custawds.txt) which can be edited using Notepad.exe for example..

Note that a ; (semi-colon) can be used to add comments to the award file.

Below are two examples of each kind of award:

--------------------------

1. The TenTen award:

[1010]

awdname=Ten-Ten

sponsor=Ten-Ten International

url=http://www.ten-ten.org/

bands=10m

pictmsk=9999999

[1010] The brackets indicate the start of a new award definition. The characters between the brackets are used to store the award in a QSO record. The award abbreviation must be unique and can be up to six characters long.

'awdname' is the name used for display/printing purposes.

'bands' restricts the award to the 10M band.

'pictmsk' indicates that only digits can be entered for the value (the TenTen number in this example)

-------------------

2. Italian provinces award

[WAIP]

awdname=Worked All Italian Provinces

sponsor=Associazione Radioamatori Italini (ARI)

start=1993/01/01

Info=Updated 9 December 2009

url=http://www.i4ftu.it/Pages/MyWaip-list.htm

prefix=I,IS0

AG=Agrigento

AL=Alessandria

This award has no restrictions for modes or bands.

prefix=I,IS0 indicates that only contacts with stations in Italy and Sardinia are valid for this award.

The list that follows enumerates the selections for this award. AG=Agrigento defines an entry, where 'AG' is the key value and 'Agrigento' is the displayed text. The key value is stored in a QSO record and will also be used when importing/exporting files. The displayed text will be shown in the QSO Window, reports etc. The key value can be up to eight characters long, and both the key value and the displayed text must be unique for a given award.

-------------------------

The following keys are recognized to have a special meaning:

[ABCDEF] The brackets indicate the start of a new award definition. 'ABCDEF' represents the internal name used for the award and is the value stored in a QSO record and is used when importing/exporting files. The name can be up to four characters long, and must be unique.

awdname= The long name for the award; displayed in the QSO window and reports

bands= The valid bands; optional, and when when omitted, all bands can be used. To make data entry easier, 'HF' and 'VHF' can be used also..

modes= The valid modes; optional and when omitted, all modes can be used. To make data entry easier, 'PHO' and 'DIG" can be used also.

prefix= One or more prefixes separated by a comma indicating for which countries the award can be used. (optional, when omitted, all countries qualify). Entries like prefix1, prefix2 etc can be used for long entries.

pictmsk= Is used to format the text input for type1 award values. The following characters determine the allowable characters and possible case conversion:
'X' allows any character
'!' allows any character, forces upper case
'a' allows alphas only
'A' allows alphas only, forces upper case
'l' allows alphas only, forces lower case
'9' allows numbers and spaces only

sponsor= The name of the organization sponsoring the award

start= The date when the award started

end= The date when award ended

url= The URL (web address) for more information

info= Additional information for the award. Entries like info1, info2 etc can be used for long entries

Important: See QSO Window | Multiple QSO operations | Check Custom Awards for additional information.

When selecting an award in the QSO Window, the F1 key can be used to get a list of all possible awards for that QSO. Only those awards are shown that have the correct date, band, mode and prefix. After selecting an award in the list shown, press F1 again to see additional information about that award. If a URL is defined for the award, the Visit URL in the PopUp window will open your web-browser for that URL. Below an example:

Example of the information displayed for an award

Example of the information displayed for an award


QSO Window: Filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSO filters are used to search for certain QSOs, such as searching by Callsign, Prefix etc.

Selections act as a QSO filter, they also limit the range of active QSOs, but in contrast to a QSO filter, Selections limit all summaries, reports, award summaries and submissions to the QSOs that match the Selection.

Search

Search Using Previous Filter

Count

Cancel Filter

Selection

Edit Group Names


Filter | Cancel filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Cancel the current QSO filter.

Note that this command does not change or cancel the current Selection.


Filter | Count
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Count how many QSOs match the current QSO Filter.

Note a Selection can further limit the number of QSOs found.


Filter | Edit Group Names
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Manage the group names.

The group number in a QSO can be associated with a name. Giving a name to a group number provides a way of remembering what the number means. To use a group numbers in a Selection, a group number must have a name.

Fields in this dialog:

Listbox

The Listbox show all group numbers that currently have a name assigned. The edit field below the Listbox show the currently selected name ready for editing.

Change Button

Change the name of the group to the name in the edit field.

Add Button

Add a name to the end of the list of names.

Insert

Insert a name before the currently selected name.

Delete Button

Delete the currently selected name

Cancel Button

Cancel all changes made and close the dialog.

Ok Button

Accept all changes made and close the dialog.


Filter | Search

Navigation: Windows and menus > QSO Window > QSO Window: Filter:

Filter | Search (F8)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify a new QSO filter.

When you specify a new filter, all the fields in the QSO Window are erased. Enter a text in the field(s) you want to search or select a band or mode etc. When satisfied, press the Enter key to enable the filter, or press the Esc key to cancel the filter.

The status field on the main form will indicate that a filter is active.The filter can be canceled by pressing the Esc key.

A filter can be also be used for limiting the records that will be exported.

Some windows, like the summary windows, report windows and change QSL routing window can define a search quickly with a mouse click. In some cases, like searching for a WPX prefix, these windows are the only way to define such a search.

See also Search Using Previous Filter (Shft+F8) and Search With Generic Modes (Alt+F8)

Examples

Details for various fields


Filter | Search Using Previous Filter (Shft+F8)

Navigation: Windows and menus > QSO Window > QSO Window: Filter:

Filter | Search Using Previous Filter (Shft F8)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify a QSO filter using the last filter setting..

This command is identical to the Search command, except that it will not erase the last filter setting. It can be used to modify a previous filter, or to see the filter settings used by some of the reports after double-clicking in a summary window or a listing-report.


QSO | Search With Generic Mode (Alt+F8)
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Search QSOs using generic modes.

Like the QSO | Search command, except that you can search for generic modes. All QSO modes map to a generic mode. Like SSB, AM map to the generic mode Phone. Makes it easy to find QSOs that could be any digital mode for example because there are so many of them.

Also, after a double click in a summary window, generic modes are used to specify the filter. Such a search can be modified when using the Search Using Previous Filter (Shift+F8)


Filter | Selection
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Specify a new Selection.

Selections are used to divide a log file in different parts. The division can be based on the date of the QSO or on the value in the Group field.

Selections can be used to generate summaries or prepare a submission for an award while limiting the QSOs that are being used. This allows you to keep various logs in one log file without loss of flexibility.

When a log file is opened, the 'All QSOs' selection will be used. Every log file has its own Group names and selection definitions. Before you can use the groups in a selection they must have a name; see Edit group names.

Current Selection

Name of the current selection. Change the temporary name when you add a new selection.

Group Names

A list of all known group names. To assign a name to a group number see Filter | Edit Group names. Select all the groups to be included in the selection by double-clicking the name. An 'x' in front of the name indicates that the group is included.

First Date

Starting date when filtering by date. When the field is left blank, the date is assumed to be the first date in your log file.

Last Date

Ending date when filtering by date. When the field is left blank, the date is assumed to be the last date in your log file.

Group Filter

When this option is checked, the selection by Group is active.

Date Filter

When this option is checked, the selection by Date is active.

Additional QSO Filters

Check the QRP field if you want to restrict the selection to QRP QSOs

Check the YLop field if you want to restrict the selection to QSOs with a YL operator

Add Button

Add a new selection; you should replace the temporary name for the selection in the Current selection field.

Delete Button

Delete the current selection.

Update Button

Update the values for the current selection.

Cancel button

Ignores all changes made and closes window.

Ok Button

The selection shown will become the current selection. If a log file is open, the first QSO that satisfies the selection will be shown. All summary windows and the LogBook Window will be updated to reflect the changes.


Filter: Details for various fields
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

You can specify a filter to search for QSOs satisfying one or more search criteria. Fields that are blank are not tested in a search. How a field is tested depends on the field; the table below indicates how the test is performed. If a field is not mentioned in this table, an exact match is required for the test to succeed.

Field | Pattern | Test performed
Call | TEXT | See below
Prefix | Prfx | Prefix equals prfx
 | !prfx | Prefix does not equal Prfx
Date | DATE | QSO Date >= DATE; see note
Time | TIME | QSO time within 8 minutes of TIME
Mode | MODE | Exact mode; see below
Note | TEXT | Note contains TEXT
Grid | TEXT | Grid starts with TEXT
QSL Date | DATE | QSL Date >= DATE; see note
Membership | TEXT | Each character in the TEXT is used to test for a match. Searching for EL will match LE, E and L.

The TEXT format may start with an ! or an *, indicating negation and wild characters respectively.

Searching for dates:

When you specify a DATE as 01/01/1901 the searching will be done for dates that are empty; useful when looking for QSOs for which you did not send a QSL card. DX4WIN can search for dates that are greater equal to the date specified, an exact date or a date range; see File | Preferences | QSO | QSO Date .

Searching for callsigns:

In the preferences you can select how you want to search for a callsign; see File | Preferences | QSO When you specify an exact match, the callsign has to match exactly. When you specify a 'fuzzy' search (handy when answering QSLs) a single character can be different, or two adjoining characters can be switched. In both cases a '?' (question mark) matches any character; the question mark can be specified in the pattern and can also be found in the log.

Searching for mode:

When searching for a mode in the QSO Window, only the exact mode specified can be found. Use the Search with Generic Modes to find all digital contacts for example. When the search is initiated from a report, like a DXCC report, all modes matching the general category can be found. For example, GTOR, RTTY, PSK3 etc. will all match the Digital mode.

See Filter examples

Note that in addition to the QSO Filter, a Selection may be active, limiting even further the QSOs found.


Filter: Examples
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Searching in text fields always uses the pattern search; searching for a callsign has three variations (Exact, Pattern and Fuzzy). See also File | Preferences | QSO.

You can get a count of how many QSOs match the specified filter

Exact search (callsign only):

When searching for a callsign with the 'Exact' search enabled, the callsign has to exactly match the search value. Question mark characters (?) can be used to match any character.

Searching using patterns:

The text specified has to match the field exactly, but UPPER / lower case differences are ignored. By adding special characters to the search field, the search results can be modified. The following characters have a special meaning :

! | Reverse the result of the search outcome (should be the first character)
* | Matches zero or more characters; A single * indicates a match for one or more characters
? | Matches a single character

Examples for pattern searching in a text field

Pattern | Matches
HD | Matches HD but not KK4HD
KK?HD | Matches KK4HD (and also KK5HD etc)
AB* | Begins with AB (matches ABCD but not CDAB)
*AB | AB at the end (matches CDAB but not BCDE)
*AB* | AB anywhere
!AB | Does not match AB (matches CDEF but not ABCD)
!*AB | Does not contain AB (matches BCDE but not CDAB)
* | Has any text in it (more useful for notes, states, counties etc.
!* | Has no text; the field is empty

Fuzzy search (callsign only):

Examples for searching the callsign field when 'fuzzy' search is enabled; see File | Preferences | QSO. Fuzzy searching comes in handy when replying to QSL cards.

Search for | Callsign | Match | Reason
KK4HD | KK4HD | Y | Exact
 | KK?HD | Y | Exact; ? matches anything
 | KK4HX | Y | One character difference
 | KK4DH | Y | Two adjoining characters interchanged
 | KK4H | Y | One missing character
 | KK4HDH | Y | One extra character
 | KK4XX | N | Two characters different
KK?HD | KK5HD | Y | Exact; ? matches anything
 | KK5H | Y | One missing character


QSO Window: QSLs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following menu options are available to manage the printing of QSL labels:

Set QSL Label flag

Set QSL Date

Set QSL Confirmed

Set QSL Method

Clear QSL Label flag

Clear QSL Date

Clear QSL Confirmed

Print QSL Labels

Print Labels in sequence

Print SWL Labels

Clear Sequenced print

Clear SWL Labels

Mark QSL

Mark QSL band/mode

Change QSL Routing

Related topics:

Label formats


QSLs: Change QSL Routing
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Modify QSL routing for QSOs flagged for printing in the current Selection.

The Window shows a matrix with counts for various QSL routes by QSL method. A double-click on a number shown will create a QSO filter showing the QSOs in the current Selection matching the QSL route and the QSL method.

The QSL routes

No Buro

The destination country has no (active) QSL buro. The country used is that of the callsign or the country of the QSL manager if one can be found.

No manager

No QSL manager was found in the QSL manager database

USA manager

The station has a USA QSL manager

Other mgr

The station has a QSL manager outside the USA

The buttons shown

Remove duplicate QSLs

The print flag will be cleared for all duplicate QSOs. A QSO is considered a duplicate when another QSO can be found that is for the same callsign, band and mode and when that QSO is confirmed, a label will be printed, or a QSL label was printed already. This will not clear the flag for QSOs that are confirmed already because you may be replying to cards that you just received and want to confirm.

Change Buro to Direct if no buro

The QSL method 'Buro' will be changed to 'Direct' for calls that do not have an (active) QSL buro. The country used is that of the callsign or the country of the QSL manager if one can be found.

Mark QSLs going to the same station or manager

The current Selection is searched for QSOs that are not yet confirmed but for which at least one card is being printed. This includes identical callsigns, but also calls going to the same QSL manager. The QSO database is searched three times: all QSOs marked with a donation ($$$$), marked for 'Direct' or marked to go via a QSL Service. QSOs for which a QSL card was sent previously, but the QSL Date is after the Mailed Cutoff date, will not be marked.

Change Direct to Service for non-USA managers

All QSOs marked for printing and going 'Direct' that have a QSL manager who is outside the USA will be changed to Service.


QSLs: Clear QSL Confirmed

Navigation: Windows and menus > QSO Window > QSO Window: QSLs:

QSLs: Clear QSO Confirmed
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Reset the QSL received flag for QSOs matching the current Selection and Filter.


QSLs: Clear QSL Date
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear the QSL Date field for QSOs matching the current Selection and Filter.


QSLs: Clear QSL Label flag
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear label print flags for QSOs matching the current Selection and Filter.


QSLs: Clear Sequenced print
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear sequenced print fields.

This command clears the SeqPrt field of QSOs in the log. This command takes the current Selection into account.


QSLs: Clear SWL Labels
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clears all SWL records.


QSLs: Confirmations for IOTA award
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use the CSV file downloaded from the RSGB to set the award status for the QSOs found in that file.

When using this command you will be prompted for the CSV file containing the confirmed QSOs.

After opening the file, a window is shown with a single line for each QSO. The 'Status' column indicates if the QSO could be found in the log, and the AWD column indicates if that QSO is checked for the mixed-award. Below an example:

When we double-click on the first QSO, the program will try to locate the closest matching QSO in the log. Doing so, we find the reason:

The Callsign, the IOTA and the time is correct, except that the QSO is off by exactly two month.

After making manual changes to the log, a click on the 'Refresh' button will scan the log again and update the display. A click on the 'Set IOTA Mixed Award' button will set the mixed-award flag for the IOTA award to 'C' for checked and update the display. It is not necessary for the QSO to be confirmed by any means and no Confirm flags will be modified.

After completing the action, the number of QSOs not confirmed and the number of QSOs where the IOTA Mixed flag is set is shown; See below.

A second example:

A double-click will show a message that the QSO could not be found. After this message, we see that we are searching in the QSO window for Callsign=C56W/BI and IOTA=AF060. Now we clear the Callsign field and press Enter to search for the IOTA only. In the log used for this demonstration we find a few QSOs with the call C56W and can decide how to deal with this.


QSLs: Print Label options
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set options for printing QSL labels.

Current Label

You can select a different label format for printing the labels; the selected label will become the default label.

Missing Labels

Specify the number of labels that should be skipped before the first label is printed. Practical when a number of labels have been used on a sheet already.

QSL Method

By default all QSL methods will be printed; selecting a different value will only print the QSOs with the specified QSL method.

Print QSL Managers

The printing of a QSL manager of a station is optional; you can disable this when sending cards via a QSL service for example. Changing this option will affect the order in which the QSOs are printed.

Print Group Names

When this option is enabled, a %% (two percent characters) in one of the greeting lines of the QSL label will be replaced by the name of the group corresponding to the group number in the QSO. QSOs with different group numbers will be printed on separate labels. When the group number is zero, the text associated with that number is ignored.

This feature allows you for example to print the callsign you were using when you worked that station. This assumes that the group number is defined with that callsign; see QSO | Filter | Edit Group Names

Print QSL Method

When this option is enabled, a QSL method label will be printed whenever the method is changing. Intended to separate the printed labels using different QSL methods.

Print Commercial

When checked, an extra line using a small font will be printed near the bottom edge of the label.

QSOs to Countries Without Buro

Shows the number of QSOs that are marked for printing, and where the QSL method is 'Buro' and the country does not have a (active) buro. If a QSL manager is known for the callsign, the country of the QSL manager determines the availability of a QSL buro. In the country database, the USA is indicated as not having a QSL buro, to avoid sending cards from US stations to other US stations. Users outside the USA, can change this, and indicate that the USA has a buro. For US users, a foreign station with a US QSL manager is handled correctly.

When there are QSOs for which there is no buro, you will have to decide what to do: When you chose the method 'Ignore', the print flag of the QSOs will be set to 'N' and the labels will not be printed. When you chose any other method (including 'buro') the method field in every QSO will be modified to use the new QSL method. The indicator if a country has a buro or not is set in the Country database.

Buttons

Print

You will be presented with the Print Dialog so you can select the printer, preview the labels etc. If you specify a range of pages to be printed, only the QSL date field for the QSOs that were actually printed can be set to today's date and the label flag for those QSOs will be cleared.

When printing or previewing you will also see a cancel button, which will cancel the printing in progress. You can cancel large print jobs; small jobs will be printed so quickly that cancelling those is difficult.

Edit

Start the label editor so you can edit and preview the label dimensions.

Mark All

Indicate that all labels have been printed, and close the print window. You will be asked if the QSL date has to be set and all print flags to be cleared.

This option allows you to inspect the labels printed and at a later moment set the QSL date for the QSOs printed.

Close

Close the print window. You will asked if you want to set the QSL date and clear the print flag for all labels that have been printed. Only those QSOs will be changed that were printed on the selected pages (labels that have been previewed are not marked as printed.)


QSLs: Print Labels in sequence
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Print labels for QSOs marked for sequenced printing.

Print QSL labels for QSOs in the current Selection that have a value assigned to the SeqPrt field.

The labels will be printed in the order that they were marked for sequenced printing.

See also: QSL label Print Options


QSLs: Print QSL Labels
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Print labels for QSOs marked for printing.

Print the QSL labels for all QSOs in the current Selection that have the Label field set to Y. When a QSO filter is active, it will be used to select the QSOs.

QSOs are printed in sorted order; first by QSL Method ranking, by manager, by callsign and by date and time. Sorting by QSL Method keeps all QSL labels going direct, via a QSL service or the buro together.

After printing the labels you will be asked if the QSL Date field should be set. Setting this field to today's date indicates that a label was actually printed. If you specified a page range to be printed, only the QSOs in the printed range will be modified.

You can set text to be printed at the bottom of the label; see File | Preferences | Rep/Lab

See also Print Label Options


QSLs: Print SWL Labels
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Print all SWL labels.

Print the SWL (shortwave listeners) labels that have been defined using the Confirm SWL command.

QSOs are printed in sorted order; first by QSLMethod ranking, by manager, by callsign and by date and time. Sorting by QSLMethod keeps all QSL labels going direct, via a QSL service or the buro together.

See also: Print Label Options


QSLs: Set QSL Confirmed

Navigation: Windows and menus > QSO Window > QSO Window: QSLs:

QSLs: Set QSO Confirmed
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Mark the QSO as confirmed (QSL card received) for QSOs matching the current Selection and Filter.

Use the F2 key for setting confirmations for individual QSOs.


QSLs: Set QSL Date
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the QSL date for QSOs matching the current Selection and Filter.; the QSL date will also be set after printing labels.

When confirming a QSL using the F2 key, the QSL date can be set to today's date thus interpreting the date as date received for a confirmed QSO.


QSLs: Set QSL Method
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the QSL method field for QSOs matching the current Selection and Filter, have the label flag set and that are not confirmed will be modified.


QSO Window: LoTW and eQSL
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following menu options are available to manage the uploading and confirmation of QSOs using on-line databases. DX4WIN supports two of those databases:

LoTW Logbook of the World operated by the ARRL

and

eQSL The Electronic QSL Card Centre operated by David L. Morris, N5UP

The menu options are the same for these confirmations, but they affect different flags in the QSOs:

LoTW or eQSL: when set, the QSO will be uploaded

Upload Date: Date when the QSO was uploaded

Cnfm: Will be set when a corresponding QSO is matched in the on-line database.

Note that not all awards accept electronic confirmations; acceptance of electronic confirmations is reflected in the award settings.

For a general description how to use these databases see LoTW or electronic log submission.

The following menu options are available; note that an identical set of options is available for eQSL; only the LoTW version is documented.

Set LoTW upload flag

Set LoTW upload date

Set LoTW confirmed

Clear LoTW upload flag

Clear LoTW upload date

Clear LoTW confirmed

Export to LoTW

Confirm LoTW using ADIF file

Review QSOs not found


LoTW: Clear LoTW confirmed
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear LoTW Upload Confirmed flag for QSOs matching the current Selection and Filter.


LoTW: Clear LoTW upload date
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear LoTW Upload Date for QSOs matching the current Selection and Filter.


LoTW: Clear LoTW upload flag
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Clear the LoTW Upload flag for QSOs matching the current Selection and Filter.


LoTW: Confirm LoTW using ADIF file
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use the ADIF file downloaded from the LoTW website to confirm QSOs in the log; only QSOs in the current Selection will be confirmed.

The QSOs read from the ADIF file will be used to confirm QSOs that can be found in the log. When a QSO read from the ADIF file contains additional information, like US State or a Grid, the existing QSO will be updated and the entry is flagged with a letter U in the .notfound file. The notes for the QSO will only show the name of the field that was updated.

If there is a conflict, a note will be added to the notes for the QSO to show the difference by showing the name of the field followed by the value found in the ADIF file. The entry if flagged with a letter C in the .notfound file.

QSOs that cannot be found are marked with the letter X in the .notfound file.

These differences can be found by searching for import: in the notes for the QSO. After making any changes to the log these messages can be removed with the command QSO | Multiple QSO operations | Remove Import Notes.

When confirming QSOs this way, a QSO may not be found in the log. This can happen when some fields, like Date, Mode etc. do not match. These QSOs are written to a text file in the same directory and filename of the imported file but with the file extension .notfound. There is a special viewer to inspect these missing QSOs which identifies potential matches in the log; see Review QSOs not found


LoTW: Export to LoTW
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Export all QSOs marked for upload to an ADIF file.

All QSOs in the current Selection that have the LoTW Upload set to Y and have an empty LoTW Upload Date will be written to the ADIF file. When a QSO filter is active, it will be used to select the QSOs. After signing the file, using the ARRL provided utility, the file can be send to the ARRL for inclusion in the LoTW database.

The LoTW Upload Date will be set for each QSO written to the ADIF file.


LoTW: Review QSOs not found
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

After using the import logic to confirm existing QSOs, like LoTW or eQSL, you may get some warning messages about QSOs that were confirmed already or could not be found in the log. The QSOs in the imported file will be written to a file that can be viewed with a text editor. DX4WIN provides a window to view this file that provides some additional functionality.

The top portion of the window shows the QSOs as they were read from the imported file. The X in the first column indicates that the QSO could not be found. A letter C indicates that conflicting information was found. For example, if the QSO has the state VA and the imported QSO indicates that the state is MD, it will be marked as conflicted. The Notes for the QSO field will also indicate this difference, indicating Import: {State=MD}; the QSO information is not changed. A letter U indicates that the imported QSO had information that the original QSO did not have. For example, the QSO has no state information, but the imported QSO has. This is indicated in the QSO notes as: Import: {State:}. The new state information is stored in the QSO.

A double click on a not found QSO will scan the log for QSOs that could potentially be the missing QSO. The screen shot below illustrates that the QSO with W4NI could not be matched. The closest match found looks like the missing QSO except that the county is not the same. Note that fields that do not match are shown in red.

A double-click on the matched QSO will select that QSO in the QSO Window in case you want to change the QSO in your log.

QSO with W4NI is a match for every field except for the county

QSO with W4NI is a match for every field except for the county


LoTW: Set LoTW confirmed
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set LoTW Upload Confirmed flag for QSOs matching the current Selection and Filter.

This flag is updated automatically when confirming QSOs with the LoTW import function


LoTW: Set LoTW upload date
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set LoTW Upload Date for QSOs matching the current Selection and Filter.

The upload date is set automatically when exporting the QSOs for LoTW confirmation.


LoTW: Set LoTW upload flag
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set LoTW Upload flag for QSOs matching the current Selection and Filter.

Sets the LoTW Upload field for all QSOs that match the current QSO filter and the current Selection that have the Upload flag not set.


QSO Window: Rotator
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Commands to control a rotator control device.

Before you can use a rotator controlled by DX4WIN, the type of rotator has to be selected; see File | Preferences | Control.

The current direction and band shown in the QSO Window are used to point the antenna to the given heading.

Rotator Menu Commands

Short Path (F11)

Turn rotator in short path direction

Long Path (Ctrl+F11)

Turn rotator in long path direction

Stop Rotator (Alt+F11)

Stop the rotator if it is turning

Home position (Ctrl+Shift+F11)

Turn rotator to the Home position

See Parameters to change some settings.


Rotator | Parameters
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Open the rotator control Window.

The rotator control window lets you specify a number of operational parameters and will accept a heading otherwise not available from the QSO Window.

When setting the heading, the current band shown in the QSO Window is used to set the actual direction for the antenna using the parameters described below.

The Title bar of this window will show the calculated direction after applying the Correction and a possible Offset or Reverse direction. Final values of less than 2 degrees and more than 358 degrees are changed to 2 and 358 degrees respectively; this prevents DX4WIN from trying to turn the rotator past its limits.

The Rotate and Stop buttons (see below) can be used to see what happens, even if no rotator control device has been enabled.

Fields

Heading

An entry field to set the heading. When the rotate command is executed from the QSO Window, this field will contain the desired heading.

Home position

An entry field to set the home position for the rotator.

Correction

A value added to the heading to correct for any misalignment of the mast in the rotator.

Offset

A value added to heading to allow for antennas mounted in a different direction than the main antenna. Used only when the use of the offset is specified in the Status field (see below) for a particular band.

Band

When changing the Band field, the Status field on the right will show what should happen when a heading is selected for the band shown in the QSO window.

Status

This field can contain six different values for every band:

Disabled

A command for a new beam heading will be ignored.

Normal

The heading will be used as specified.

With Offset

The value of the offset field will be added to the desired heading. For example, this allows one to have a 40m beam mounted offset 90 degrees on the same mast.

Reverse

Assumes a reverse mounted antenna; 180 degrees will be added to the desired heading.

Dipole

Dipole antenna; assumes that the antenna behaves the same when we add 180 degrees to the direction. Note that DX4WIN does not know in which direction the antenna is pointing; it simply remembers the last direction used by DX4WIN to rotate the antenna. The last direction is used to determine the shortest rotation.

Dipole+offset

The same as a dipole but with the offset added.

Buttons

Rotate

Use the value in the Heading field and the band from the current QSO to set the beam heading. If no rotator has been specified, this command can still be used to check the rotator configuration. Keep in mind that the band of the current QSO will be used to do the calculations.

Stop

The rotator will stop rotating

Ok

Save all data changes made and exit.

Cancel

Ignore all data changes made and exit.


QSO Window: Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The window commands enable various windows. When a window is opened for a second time, the original window will be selected in case it is covered by another window. Windows are closed by clicking the close icon in the title bar of the window.

The following windows can be controlled from this menu:

Country

SunRise/Set

IOTA

LogBook

Same Call

State

County

Zone

Grid

WPX

CQ DX Field

Master Calls

World Map

PSK31 Alt+3

CW Keyboard Alt+K

MMTTY

Switch to packet Alt+P

Note that changes in a QSO are reflected immediately in all windows; there is no need to do a refresh after changes have been made.


QSO Window: Reports
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The report form lets you create a large number of different reports. A report is shown in a separate window so you can preview the result and decide to print the report. The report window remains visible until it is closed.

In contrast to the LogBook Window and the summary windows, changes made to QSOs are not reflected in the report window. Close the window and create the report again if you want to see the changes.

If you never specified a Selection, all QSOs in the log will be used to generate summaries or to make submissions. Specifying a Selection allows you to limit the report to certain time frames or groups of QSOs. A QSO filter setting is ignored when generating a report except for the Mark for QSL which will use a filter when specified.

All reports, except the summary and progress reports, allow a double-click on a status indicator to find QSOs that generated that entry. See Report Window.

The reports are based on the settings in the Award Manager.

Available fields

Award

A list from which the award is selected. When a custom award is selected, a second list appears to select the custom award.

Include deleted

Include deleted prefixes (DXCC and WPX only.) A country is marked as a deleted country if an end-date has been entered in the Country database. A WPX prefix is marked as deleted when the prefix is included in the wpxdeltd.txt file.

Selected custom award

A list from which a custom award is selected. Available when the Award selection is for Custom award.

Report / Action

Reports and actions can be limited to a single band and / or a single mode giving great flexibility to generate different reports. We use the word 'entities' in the descriptions below to indicate, country, state, zone, IOTA etc.

The following reports / actions are available:

Listing

Shows a listing of all entities worked.

Listing worked

Like the listing, but limited to entities that were actually worked.

Needed listing

Listing of all entities that were never worked, or worked but never confirmed. For awards that have a relatively short list of possible entities, entities never worked are included as well. (DXCC and CQ DX Field will include all entities for example, but VUCC will not include all grid locations)

Summary

A numerical summary showing the entity counts for the different stages of confirming QSOs (worked, Label, QSL sent, Confirmed etc.)

Submission

Scan the log for QSOs that have been confirmed and can be submitted for the selected award.

Mark for QSL

Set the Label flag for QSOs that when confirmed will contribute to the award standing for the selected award. Previously marked QSOs that have the Label flag set will be included in the listing. To clear all Label flags first, use the QSL Clear Labels command.

The QSL method for the QSOs found will be set to buro; use the Change QSL routing option to assign different QSL methods to the marked QSOs.

Progress

When selecting this report, you will be prompted to provide three dates. The starting date, the start of the second period and the end date of the second period

The report is formatted like the summary report, but it calculates the difference between two summaries (the first period subtracted from the second period).

This report can show negative numbers. For example an entry showing -5 in the Label column, indicates that there are five fewer entities that have been marked for printing. This will happen when previous QSOs have been confirmed, submitted for an award etc.

Note that the report takes the current Selection into account except for the date range.

Buttons

OK

Generate the report

Award flags

Opens the window to clear or set the award flags

Awards

Opens the window to review / change the award parameters


QSO Window: Windows | Switch to packet
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Switch to the Packet Window.

This command is only available when a TNC has been configured; see File | Preferences | Packet


Report Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The report window is created by using the QSO | Reports command. You can have multiple report windows visible at the same time; close the window by clicking the Windows close icon in the title bar.

PopUp menu

Print

Write to File

Listing reports use a single character to indicate the highest 'level' reached for a country (or state or zone etc.) The following characters are used:

Char | Meaning
 | Not worked
W | Worked
L | Label marked for printing
M | Card Mailed
C | Confirmed
S | Submitted for award
* | Approved for award

Listing reports also have a feature that allows you to search for all QSOs generating an entry in the report.

For example:

The reports indicates that you worked Monaco on 10m but never received a QSL card back (there is an 'M' on the intersection of the line Monaco and the column 10m, indicating the highest 'level' is card mailed). By double-clicking on the M, the QSO filter will be set to find all QSOs with Monaco on 10m for which you mailed a QSL card!

When you double-click on an entry containing an 'S' or an '*', the filter will be set to 'Submit' or 'Checked' for a specific band or mode award. For example, if the 10m column for Monaco contains an '*' the filter will be set to search for a QSO on 10m that has been checked for the 10m band award. Such a QSO may actually not exist, because you may not have submitted that QSO for the band award. You can still find such QSOs by double-clicking in the MIX column for the Mixed award or in a mode column, like PHO, for a mode award. In this case, all modes matching the general category can be found. For example, GTOR, RTTY, PSK3 etc. will all match the Digital mode.

Report windows are 'static' i.e. the contents does not change when changes are made to the log.


Report Window: Print
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Print the current report.

The fonts used and possible embellishments for the report are determined by your preferences .

Before the report is printed you will get a chance to activate the Windows option to configure the printer and to select a range of pages you want to print.

A print-job can be canceled by clicking the Cancel button.


Report Window: Write to File
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Write the report to an ASCII file

When selecting this command you will be prompted for the name of a file to write the report to. The report is written as a comma separated ASCII file (CSV) suitable for importing into other programs, such as a spreadsheet.


Same Call Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSO Window | Window | Same Call

The Same Call Window shows all contacts made with the station that is visible in the QSO Window, or when the Callsign field is empty, the callsign from the current selected DX spot.

The QSOs shown depend on the setting of the Callsign search option:

If the option selected is not 'Substring', only QSOs that exactly match the callsign shown in the QSO Window will be shown.

If the option selected is 'Substring', all QSOs with the same homecall as the homecall of the callsign in the QSO Window will be shown. For example: The callsign in the QSO Window is 'KK4HD/PA', so the homecall is 'KK4HD'. QSOs with 'KK4HD', 'PJ2/KK4HD' and 'KK4HD/DL3' will all be shown. When the selected QSO in the SameCall Window is not identical to the callsign in the QSO Window, the title bar will show the callsign of the selected QSO. In this example you see a message 'KK4HD/PA found as KK4HD/DL3'.

Besides the date, time, band and mode you will see the QSL date and an indicator if the contact was confirmed. The first Y or N in the 'Conf' column indicates if the QSO is confirmed with a QSL card. The second character can be a Y or N and indicates if the QSO was confirmed electronically using LoTW. The third Y or N indicate if the QSO was confirmed electronically using eQSL. The current QSO is high-lighted. This window ignores any Filter or Selection; it shows all QSOs in the log.

When you double-click on one of the contacts shown, the QSO window will try to show that contact. If the QSO shown is not in the current Selection or does not satisfy the current Filter, you will see a message to that effect.

PopUp Menu

Goto QSO Enter

Confirm / Label (F2)

Confirm SWL (Ctrl+F2)


Same Call Window: Goto QSO

Navigation: Windows and menus > Same Call Window:

Same Call Window: Goto QSO (Enter)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show the high-lighted QSO in the QSO Window.

This command will enable you to reach and edit a QSO that is visible in the Same Call Window. If the QSO shown is not in the current Selection, you will see a message to that effect.


Same Call Window: Confirm / Label
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Perform the actions as specified in the Preferences / F2 Key.

This F2 command in this window works similar as the F2 command in the QSO Window, except that it will ignore the next QSO option. Used to set the confirm field and indicate that a label for this QSO should be printed. If the QSO is not in the current Selection, you will get a message, and the QSO will not be confirmed.

Note that a similar function is available from the QSO Window and the Logbook Window.


Summary Windows
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

QSO Window | Window | Country

QSO Window | Window | County

QSO Window | Window | CQ DX Field

QSO Window | Window | Grid

QSO Window | Window | IOTA

QSO Window | Window | State

QSO Window | Window | WPX

Country summary for XE (Mexico)

Country summary for XE (Mexico)

A Summary window summarizes on what bands in what mode you worked the entity (Country, County, CQ DX Field, Grid, IOTA, State or WPX) shown in the QSO Window. This window indicates the highest 'status level' for any band / mode combination. The modes and bands displayed depend on bands and modes defined in the awards and your Station Preferences

With a mouse double-click, a summary window can be used to search for all QSOs for the band/mode combination quickly. In the example above, all contacts made with Mexico are shown by band and mode. A double-click in the grid for 10M and DIG will show all contacts with Mexico on 10M that will count as Digital contacts; including RTTY, PSK31 etc. (see QSO modes for more details.) A double-click on the mode only will set a filter for that mode; a double-click on the band will set a filter for the band. A double-click on the empty top-left rectangle will set the filter for the entity only (Mexico in this example).

More detailed information for an award can be obtained using the Report generator; A number of reports give numerical summaries and overviews of which bands and modes were submitted for an award; summary windows only indicate Worked / Label / Mailed / Confirmed

The summary windows are always up-to-date. When adding, updating or deleting QSOs, there is no need to refresh the display. The current band/mode obtained from the QSO Window is indicated by a box around the status.

The table below shows the characters used in this display:

Char | Meaning | Notes
 | Not worked | or worked but not valid for award
W | Worked | but not confirmed
L | Label | marked to print QSL label
M | Mailed | card mailed
C | Confirmed | is confirmed

Note that the display of Worked / Mailed depends on how long ago you worked a station or mailed a QSL card; see Worked Cutoff and Mailed CutOff in File | Preferences | Personal


SunRise/Set Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show Window with Sunrise and Sunset information for the current country.

QSO Window | Window | SunRise/Set

Show direct heading, long path heading, reciprocal heading (the direction of the beam of the DX station in your direction), local and DX sunrise and sunset times.

The PopUp menu has two commands to show more extensive listings for sunrise and sunset.

PopUp Menu

One Year SunRise/Set

SunRise/Set by Date


SunRise/Set Window: One Year SunRise/Set
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show a listing of local and DX Sunrise and Sunset times for the location based on the current QSO. The location that is used for the distance / direction calculation depends on the information that is available in the QSO Window. The field that is used is checked in the following order (going from most to least precise) :

Grid

IOTA

State

Prefix

The listing starts with the current date and continues for a year. Note that all times are in UTC.

See also: SunRise/Set by Date

PopUp Menu

Select Country

Ignores the current QSO and shows a Sunrise and Sunset listing for a country; select the country from the PopUp window.

Update (F10)

Show a Sunrise and Sunset listing for the location based on the current QSO. (This long table is not updated automatically when the information in the current QSO changes)

Switch to QSO Window


SunRise/Set Window: SunRise/Set by Date
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Show a listing for countries of Sunrise and Sunset times for a given date.

Only those countries are listed where the difference between local sunrise and DX sunset (or the difference between local sunset and DX sunrise) is equal or less to the maximum window specified. The difference specified acts as a time window when the local station and the DX station both have twilight. For a small value, like a few minutes, the listing will show countries for potential gray-line propagation.

After changing the current date or the time window, you will have to manually start an update of the listing to reflect the changes.

Note: there is only one set of coordinates for each country, even for the very large ones, resulting in errors when comparing the times with the actual location of a DX station.

See also:

One Year SunRise/Set

PopUp Menu

Update (F10)

Generate a new listing using the date and time window specified.


World Map Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Display a map of the world.

QSO Window | Window | World map

This window has various features that can only be exercised using the mouse:

Mouse actions

Moving the mouse over a country, lake etc will show the name of that country and the longitude, latitude of the current mouse position.

A single mouse click will show the selected country in yellow. Some countries consist of multiple regions and islands; only the selected portion will be shown in yellow.

Holding down the left mouse button and moving the mouse, will move the area displayed.

When holding down the right mouse button, and moving the mouse, a zoom rectangle will be shown. After releasing the mouse, the map will be zoomed in on the area selected.

Holding down the Control Key and the left mouse button will draw a great circle line from the home location to the current point. The distance and bearing will be displayed in the top of the window.

Holding down the Shift key and the Control key will set a new home location. When showing the map for the first time, the home location is reset to the coordinates specified in the File: Preferences | Personal.

The menus

Zoom

Zoom World (W)

Show as much as possible of the world in the current window

Zoom In (I)

Zoom in on the center of the display

Zoom Out (O)

Zoom out on the center of the display

Projection

There are a number of projections available. When using the equidistant projection the world is shown with your QTH in the center. (see also the notes about using the mouse.) Great circles are projected as straight lines. Unfortunately, displaying a country exactly on the other side of the world creates problems using this projection, and you may have to move your home location slightly to avoid these problems.

Draw

Various features, such as countries, lakes etc. can be shown or disabled. The great circle, when enabled, will show the short path in red and the long path in black from your home QTH to the country shown in the QSO Window. If a USA state, IOTA or Grid location is shown in the QSO window, their coordinates will be used instead of the coordinates of the country.

Options

Show spot country

The current country in the QSO window will be shown in yellow.

Color Countries

The map regions will be shown using random colors to increase the distinction between different colors. Because the limited number of colors are assigned in random order, some neighboring countries may end up with the same color.

Day and Night

When enabled shows the areas of day and night on the map

Update Day and Night

When enabled, the day and night display will be updated every minute. If the radio is polled or if there is still text in the CW keyboard, the update will be delayed.

Propagation

This item is used to visualize propagation obtained from the spots in the DX Spots Window.

When enabled, the information area will show the current date and time followed by a 'time window' expressed in minutes, followed by a band indicator.

A great circle line will be drawn from your home QTH to a country, when the time of the spot falls inside the time window. The time window ends on the date/time displayed, and extends back by the number of minutes specified. By default all bands are shown, but a single band can be specified.

Map Colors

A color dialog window will be shown where you can select a new color for the display of water or the display of land.

Show maidenhead grid

When enabled, the maidenhead grid is shown on the map. Note that when a large portion of the globe is shown, many grid lines are shown. The grid locator is also shown for the coordinates under the mouse pointer.

Print Map

Print the map on the default printer.

Find

Selecting the find menu item will open a window to search the map for geographic items like countries, US counties, cities etc.


World Map | Find Location
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This window shows a few tabs with different types of locations / entities. After selecting a location, the center of the map projection will be over the selected location. You will have to enable the display of that location / entity to actually see it on the map. The zoom factor also determines if a location is visible or not. Often you will have to zoom in to make a county or city visible on the map.

The following tabs are available:

Country

Active (non-deleted) countries sorted by the name of the country

Prefix

Active (non-deleted) countries sorted by the prefix for that country

US County

US Counties sorted by the name of the county and the state the county is in.

There are still a few problems with showing the correct county on the map. This will be corrected as time permits.

City

Cities sorted by their name (often spelled in native spelling)

IOTA

Islands sorted by their IOTA indicator

Islands

Islands sorted by their name followed by the IOTA indicator


QSLs: Mark QSL
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Find and Mark QSOs for QSLing

Mark QSL will scan the log for callsigns that have not been confirmed and will mark a single QSO for printing. Mark QSL band/mode will mark all band mode combinations that have not been confirmed.

Both commands take the current Selection and Filter into account. This allows for limiting the marking to a country, date range, band, etc.

This is a 'smart' command; it tries to avoid marking QSOs that do not need to be marked. To mark all selected QSOs, see Set QSL label flag.


QSLs: Set QSL Label flag
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Set the QSL print flag for QSOs matching the current Selection and Filter.

Sets the Label field and the Method field for all QSOs that match the current QSO filter and the current Selection. The value for the method field is obtained from the method specified in the F2-key parameters.

This command provides a quick method to set the label field for a number of QSOs satisfying one or more search criteria.

Note: The print field will not be set for QSOs that have the QSLMethod field set to 'ignore'.


Notes
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders


Edit Function Keys
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Edit the strings associated with the function keys in the Packet, RTTY, CW, PSK31 or MMTTY Window. These windows each have their own set of function keys.

The strings for the function keys F1 to F8 will be shown and they can be edited. Note that Ctrl+Ins and Shift+Ins can be used to Copy/Paste text. To change the function key contents when pressing the Ctrl key (Ctrl+F1 to Ctrl+F8) enable the Checkbox labeled 'Control'.

When you include the pipe character (|) in a function key definition, the characters preceding the pipe character will be displayed on the buttons. The characters following the pipe character will be used as the content of the function key. If there is no pipe character, the first six characters will be used to display on a button.

The % (percent) character functions as a special character to introduce substitutions made in the string. The character following the percent has the following meaning:

Characters

Meaning

%%

% (a single percent)

%1 to %8

The string associated with function key F1 .. F8

%11 to %18

The string associated with function key Ctrl+F1 .. Ctrl+F8

%d

The current date/time in format: yymmddhhnn

%t

The current time in format: hh:nn

%x

The current date in the format selected in the preferences

%b

blank character (can be used as the last character in a buffer because trailing blanks are deleted)

%e

The escape character. Also used to stop a transmission in the PSK Window and MMTTY Window

%f

Followed by a filename closed with a percent. Send the text file stored in the SAVE directory. For example:

Here is my station description:%M%fBRAG%%M

A default of '.txt' for the file extension will be used. Note that the text in the file can use '%' character substitutions again.

%l

Log the current QSO (when adding in real-time)

%n

The string stored in the Name field

%r

rstR field

%A to %Z

Control character 1 through 26.

For example %M is the carriage return %C can be used to insert the CW identifier at the end of a PSK transmission %X can be used to start a PSK transmission.

%~

The callsign of the registered user

%@

Callsign field in the QSO window

%#

QSO contest number

%$

rstS field

%&

Recvd field; if this field is empty, the rstR field

When using function keys recursively, an error message will be issued. (This can happen when a the F1 macro uses the F2 macro, and the F2 macro uses the F1 macro again). Recursive use of the %f (text file expansion) is not checked!


Editing Tables
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following list describes the important special keystrokes available when editing a table; other keystrokes such as Up, Down, PgUp etc. are available to navigate in a table.

F2

Toggle edit mode for the active cell; you can also double-click with the mouse.

Esc

Cancel edit for the active cell and restore the original contents.

Ctrl+Ins

Add a new row to the table; the row is filled with temporary values.

Ctrl+Del

Delete the current row of the table.


PopUp Menu
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A PopUp menu is a menu that becomes visible when clicking the right button on the mouse. Some keyboards have a special key to start a PopUp menu.

Make sure to check what PopUp menus are available in the various windows.


Portmap file
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The new Plug&Play features of Windows 2000 and Windows XP has simplified the installation of additional parallel ports by eliminating the need for manual configuration. Unfortunately, this simplification has created complications for computers with parallel ports connected to custom (non-printer) devices like transceivers, CW keying, band decoders, rotors, and wattmeters. As a result, devices connected to the traditional parallel port of LPT1 at memory address 0378(hex) will work properly, but any devices connected to parallel ports LPT2 and LPT3 will not work properly.

DX4WIN supports these new virtual-memory parallel ports (LPT ports). The SAVE directory includes a portmap.txt file where the user can define the memory location of virtual-memory parallel cards. For each LPT port (LPT1, LPT2, LPT3) in DX4WIN, the user can define the memory location of the card driver. Here is how to perform that task.

·INSTALL THE PARALLEL CARD

Use the installation instructions from the manufacturer

·FIND THE MEMORY LOCATION OF THE CARD

Right-click on "My Computer", ->Properties ->Hardware ->Device Manager ->Ports. Double-click on the LPT port, and on the <Resources> tab, note the starting memory location (EXAMPLES LPT1 should be 0378, a motherboard LPT2 should be 0278, virtual-memory LPT addresses will be located much higher in memory with address like "DC50"). [NOTE **See special instructions below for finding memory locations for ByteRunner or VSCOM cards.]

·EDIT THE portmap.txt FILE

Using Windows Explorer or by directly launching Notepad, navigate to the SAVE directory (or wherever you installed DX4WIN) and open the file portmap.txt. Add the decimal address for the appropriate card.

·EXAMPLES:

LPT1=888

LPT1=$378

Note that the first line uses a decimal value; the second line uses a hexadecimal value starting with a dollar ('$')

·LAUNCH DX4WIN

Under <F>ile <P>references, assign the LPT ports (LPT1, LPT2, LPT3) as required.

Special instructions below for finding memory locations for ByteRunner or VSCOM cards

These cards have been popular with DX4WIN clients who use them for additional serial and parallel ports. Unfortunately, the driver software included with these cards does not display the virtual memory address under Properties ->Hardware ->Device Manager ->Ports. You must email ByteRunner/VSCOM support, and they will email a small EXE utility, VSSHOW.COM, that interrogates their card and gives you the address in hex.


LPT port driver
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

If you want to use the LPT port for CW keying, use a LPT based band decoder or generate a side tone for CW, you will need to install the LPTDriver. The file can be found in the drivers sub-directory.

Run LPTDriver.exe as administrator! (right-mouse-click run as administrator) You will need to restart the computer after the installation is complete.

Note for Windows7/64bit users installing the LPT driver:

The signature of the driver is not accepted by Windows7. To get around this, boot your computer, press F8, and from the boot menu select:

Disable Driver Signature Enforcement.

This only needed once to install the driver.


Recognizing a DX Spot
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

To recognize DX spot in the many lines of text received from the TNC, especially when monitoring while not connected, the program uses a pattern recognition algorithm. Up to five patterns can be specified.

When data is received from the TNC it is converted to upper case and each line is tested to see if it matches any of the four patterns. If a match is found, the DX spot is added to the DX Spots Window in the current sort order.

By default, the following five patterns are defined:

No | Pattern | Usage
1 | DX DE|r:|f|c|q|tZ | Format of a regular spot
2 | f|c|d|tZ|q|<r> | Format for SH/DX
3 | r|f|c|q|<t|d> | Format for http
4 | DX|c|f|q | Format send to cluster
5 | DX DE|r:|f|c|q|tZ * | Alternate format for regular spots

All characters have to match exactly as specified, but some lowercase characters have a special meaning:

Char | Meaning
c | Callsign of DX
f | Frequency
q | All remaining text combined. This text will be checked for QSX information (like wkd 14.200) for Grid and IOTA information
r | Callsign of station reporting the spot
t | Time
# | Single digit
| | One or more blanks
* | A group of characters to be ignored. (Should not be used next to the q field)

The algorithm behind the pattern recognition code is complicated, and would take a whole chapter to describe, but it works roughly as follows:

Start scanning left to right

Handle the special characters until we encounter a q

Scan from right to left

Handle the special characters until we encounter a q

The portion of the text that was not scanned is the q field. The q field will be analyzed for mode, qsx frequency, IOTA and grid.

When processing a '*', we skip all characters (left to right or right to left) until we encounter the character next to the '*'.


Select one or more lines in a Listbox
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

In some list boxes you can select one or more lines to be used by a command. For example this is used to save or delete lines in the packet window or to identify lines to be copied to the clipboard when searching in external databases.

Select a line by pressing the space bar, or click with the mouse, and extend the selection by holding down the Shift key while pressing the Up- or Down-arrow keys, or use the mouse instead of the arrow keys. Different areas can be selected by using the Ctrl key.


Select Prefix (State, IOTA or County)

Navigation: Notes:

Select Prefix (State, IOTA, IOTA Island or County)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Select a Prefix, USA State, USA County or IOTA Island.

This window will be shown as soon as you press the F1 key in the Prefix field (or State, IOTA Island or County field) as an aid to enter a correct value. If you know the correct entry, the value can also be entered directly.

The list of Counties is only available when the State field has a value. The list of IOTA Islands is available when the IOTA field has a value.

Use the mouse or the up- and down-arrow key to select the entry you want. A double-click with the mouse a pressing Enter will select the entry. Pressing Esc will cancel the selection and leave the old contents of the field.

The entries are sorted by their name, like name of the countries instead of sorting by prefix. You can sort the entries by their abbreviation by pressing the F2 key. This will sort the list of countries by their Prefix for example.

Pressing F1 in the prefix box lists the countries by name

Pressing F1 in the prefix box lists the countries by name

After pressing the F2 key, the list is sorted by prefix:

After pressing F2 the list is sorted by prefix

After pressing F2 the list is sorted by prefix


Sorting QSOs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The QSOs in the QSO Window and the LogBook Window can be sorted in many different ways. The following table summarizes the various ways you can sort:

Sort Key | Order
<Band> | Band <Prefix>
<Call> | Callsign <Date>
<County> | State County
<Date> | Date Time
<Grid> | Grid <Band>
<Group> | Group <Date>
<IOTA> | IOTA <Band>
<Prefix> | Prefix <Call>
<SeqPrt> | SeqPrt
<State> | State <Band>
<WPX> | WPX<Call>
<Zone> | Zone <Band>

All the sorting procedures use so called compound sort keys. If the first keys of two QSOs are equal, the sort procedure compares the QSOs using the second key, etc.

The < > notation is used the differentiate between the QSO fields and the sort keys with the same name. For example: when we expand the sort key <Zone> into the QSO fields, it looks like:

Sort by | Sort by using fields
<Zone> | Zone <Band> Zone Band <Prefix> Zone Band Prefix <Call> Zone Band Prefix Call <Date> Zone Band Prefix Call Date Time

The same definitions for sort keys apply to the QSO Window and the LogBook Window.


Split Frequency
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The transmit frequency of the radio.

If the radio will transmit on a different frequency than its receive frequency, the radio is said to operate in split mode.

When determining the split frequency, DX4WIN takes into account the settings of the A and B VFOs, if the radio is operating in split mode, and the settings of the RIT and XIT offsets. A difference of less than 1000Hz between the receive and transmit frequency will not be handled as a split frequency.

When adding in real-time and a radio is enabled, the transmit frequency will be saved in the Frequency field. There is no separate field for the QSX frequency, but the value can be added to the notes for the QSO automatically; see contest mode how to do this.


Switch to QSO Window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Pressing the F9 key will move to focus to the QSO Window.

This command allows a quick switch to the QSO Window without using the mouse.


Notes about COM ports
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Many DOS based logging programs require you to specify IRQ and Base Address for the COM ports, especially when using COM3 or COM4. Windows based software, like DX4WIN, does not support setting of these parameters directly, you specify these parameters in the Windows environment itself.

Look for the Control panel, Device manager, IO ports, Resources.


Files not included with the program
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A number of files that can be used by DX4WIN are not included in the installation program. Below some files with the current known urls for download.

Membership lists:

Lists are available containing callsigns of members of an organization. After downloading, these files can be placed anywhere, because they are imported by DX4WIN; see membership list how to import the files. Below is a description of where some of these files can be found. Jim, AD1C, created a membership data file that is updated on a regular basis and the latest version of the file is available when doing Help | Check for Updates.

LoTW members.

A list maintained by HB9BZA using various sources; this list is not published by the ARRL. Download from http://www.hb9bza.net/lotw/lotw1.txt. After seeing the file in your browser, use the 'Save Page as' command in the browser to save the file.

eQSL members

The list is published by eQSL and can be found at http://www.eqsl.cc/QSLCard/DownloadedFiles/AGMemberList.txt

After seeing the file in your browser, use the 'Save Page as' command in the browser to save the file.

DIG members

The list is published by DIG and takes a little more work to get a file with callsigns only:

1.Select url: http://diplom-interessen-gruppe.info/downloads.html

2.Select the link: Mitgliedderliste aktuell (current members)

3.Save the file

4.Open the .csv file in Excel or OpenOffice

5.Delete all columns except the one containing the callsigns

6.Save as an msdos text file, like dig.txt


Frequently Asked Questions

Navigation: »No topics above this level«

Frequently Asked Questions (FAQ)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This section will answer a number of frequently asked questions about DX4WIN

Where should I store my DX4WIN log file(s)?

How can I start DX4WIN using my log?

My radio is not working, what do I do?

My TNC is not working

I do not see what I typed in the Packet / RTTY window

How do I add a new country to the database?

How do I upgrade from a previous version?

LoTW or electronic log submission

We welcome suggestions for future entries in this section


FAQ: How can I start DX4WIN using my log?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DX4WIN will try to open the last log used. Once you have selected a log using the File | Open command the full path to the log file will be stored for the next time you run DX4WIN.

If DX4WIN is not running, you can also start the program by double-clicking on a log file in the Windows File Manager or the Windows Explorer. Log files can be recognized by their 'DXL' file extension.

After closing the log and exit the program, next time you start the program, no log file will be opened automatically.


FAQ: How do I add a new country to the database?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

These are the steps to add a new country to the DX4WIN country database. The steps show how one of the recent new countries, Temotu, can be added.

1.Make sure your log is closed

2.Select: File | Databases | Countries

3.Select: Country | Add

4.Fill out the fields; a unique prefix (H40) and starting date (Apr-1-1998) are important. (IOTA is OC-100, ITU zone 51, CQ zone 32, 10.72 S/165.8E)

5.Select: Mappings | Add

6.Add a single mapping, H40, April-1-1998 as the starting date

7.Select: Mappings | Update

8.Select: Country | Update

9.Select: File | Save changes and exit


FAQ: I do not see what I typed in the Packet / RTTY window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Make sure the cursor is in the lower portion of the window (the input area).

The program assumes that the TNC (or RTTY device) will echo back all the characters you type.

The packet (and RTTY window) has two regions, the input area and the output area. The size of the input area can be changed by moving the dividing line using the mouse. A number of features are available in the input area, such as Copy and Paste, that make sending text easier; see Packet Window for more details.


FAQ: My radio is not working, what do I do?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A checklist:

Is the correct radio and model and the COM port selected (File|Preferences|Radio)

Are the IRQ and Address set correctly? You will have to do this in Windows; see COMports for more information.

Is the serial cable constructed according to specification; some radios require a non-standard cable.

Check that the baudrate specified matches the setting of the radio.

Before you start DX4WIN, make sure that the radio and a possible interface box are switched on

Radios can get 'confused' by receiving commands at the wrong baud rate or commands intended for a different radio. Most radios have a microprocessor reset function, to reset the processor to a known state.

If your radio has the ability to select a baudrate, make sure the rates indicated for DX4WIN and the radio are identical; the higher rates seem to work better. Do not select the AUTO setting for the radio.

For ICOM and TenTec:

Did you select the correct address for the radio? The radio address is specified as a hexa-decimal number because it is the convention used by ICOM

The transceive function has to be disabled for DX4WIN to operate correctly. The transceive function will announce a new frequency or mode as soon as the change occurs, interfering with other data coming from the radio. Consult your radio manual how to disable the transceive function.

If none of the above helps, there is a possibility to look at debugging information for the radio as follows:

1. In user File | Preferences | Radio select the comport; but select the radio to be None

2. In user File | Preferences | Personal set user level to Expert

3. File | Save changes and exit

3. Select Files | Databases | Radios

4. Select your radio

5. Select Test | Read

6. Hopefully some output shows in a little window

7. Select Test | Copy to Clipboard

8. Paste the contents of the Clipboard in Notepad and send it as an email attachment


FAQ: My TNC is not working
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A simple checklist:

Is the TNC enabled and the COM port selected (File|Preferences|Packet)?

Do the baudrate and parity match the settings of the TNC?

DX4WIN requires that the TNC Echo command is enabled (ECHO ON)

Are the IRQ and Address set correctly for the COM port? You will have to do this in Windows; see COMports for more information.

Is the serial cable constructed according to specification?

Windows and Win95 both have a Terminal program that can be used to check the connection to the TNC. Make sure that DX4WIN and other programs are not running at the same time.

Is any other software able to 'talk' to your TNC? If so, check the baudrate and parity used by that software and set the DX4WIN parameters to the same values. After using such software package, make sure the TNC is operating in standard terminal mode (not in Host mode or KISS)

Some TNCs start in auto-baud mode when switched on. You will have to type a few *s (asterisks) or Returns for the TNC to recognize the baudrate and the parity.

If other Windows software is able to 'talk' to your TNC there may be an IRQ conflict with the IRQ used by your radio connection. Disable the radio and try the TNC again to see if that is the case.

If the connection to the TNC is working correctly but DX4WIN does not recognize any DX spots, check if the spotting network returns the formats for DX spots as expected by DX4WIN. (See the Patterns parameters). Make sure that channel number and monitor information is disabled. Most TNCs have a command like MCON 0 or MON 0 to disable monitor information.

When pasting large pieces of text, the handshake between the computer and the and the TNC becomes important. DX4WIN is able to send characters at a very high rate, but the TNC is not able to transfer the information at the same rate. The TNC needs to be able to 'tell' DX4WIN that the internal buffer is full and does that with either the XON/XOFF characters or the CTS/RTS control lines. Make sure that you select the same protocol for DX4WIN as you do for the TNC.


FAQ: Where should I store my DX4WIN log file(s)?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

With DX4WIN you can store a log file in any directory of your choice. We recommend however that you store your log(s) in the SAVE subdirectory. The SAVE directory contains a number of files that will be changed frequently, such as the country database and the configuration files, and you should maintain backup copies of these files. By storing the log files in the SAVE directory, it will be easy to make backup copies of all the important files because they are in a single directory.

Appendix B has a detailed description of the files in the SAVE directory.

When you have a copy of pkzip, the following simple batch file lets you backup the save directory:

Pause Ready for backup to floppy drive a

cd "\Program files\dx4w801\save"

rem The -x*.~?? will exclude the interim backup files

pkzip -x*.~?? a:dx4wsave *.*


FAQ: I get a message that the port driver cannot be found
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This message indicates that the port driver, the program that 'talks' to the LPT port, is missing or cannot be accessed.

The port driver is installed when installing DX4WIN. You cannot copy the DX4WIN directory and copy the directory to another computer.

Because of some driver signing issues, some special steps are required to install DX4WIN under Windows7/64.

1.Save any data and close programs to reboot the computer

2.Reboot the computer

3.As the computer starts press the F8 key to get to the boot options

4.Select: start without driver signing

5.Install DX4WIN


FAQ: LoTW or Electronic Log Submission
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

DX4WIN allows the user to track electronically submitted QSL's using award programs such as the ARRL's Logbook of the World, LoTW.

Before any LoTW submissions can be made, you will need to register with the ARRL. The ARRL will provide you with a 'certificate' and a password used to encrypt and sign your future log submissions.

To submit your logs, the steps are as follows:

·Select the QSOs you want to submit. Before marking all QSOs for submission, you may want to create a Selection or a QSO filter to select the QSOs to be marked. Mark the QSOs for submission using (LoTW_Set_LoTW_upload_flag)

·Export the selected QSOs to an ADIF file. Use the command QSO Window | LoTW | Export for LoTW to create an ADIF file containing all marked QSOs. While writing the QSOs, the Upload date will bet set to indicate that the QSO was uploaded.

·Sign the ADIF file with the ARRL utility

·Upload the signed ADIF file to the ARRL server

The ARRL software will match your QSOs with other logbooks on the server, and flag the QSOs as confirmed. To see which QSOs have been electronically confirmed , the steps are as follows:

·Login to the ARRL server and select the range of QSOs you want to download from the server.

·You will download an ADIF file containing a number of QSOs; some of the QSOs may be marked as confirmed.

·Import this ADIF file into DX4WIN using the command QSO Window | LoTW | Confirm LoTW using ADIF file

After using the ADIF file to confirm QSOs in your log, you may get a warning that one or more QSOs could not be found or were confirmed already. These QSOs are written to a text file for further inspection. When such a file is available, you will see a message to that effect. This text file can be viewed by any text editor, but DX4WIN has a viewer to review these QSOs that offers more functionality and makes the review process a lot simpler; see Review QSOs not found.


Appendix A: QSO fields
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The following names are used to identify the names of the fields as they are visible in the QSO Window.

In addition to these fields, there are a number of fields available that can be included in reports shown in the LogBook Window. The extra fields are marked with a (*) in the list below.

Awards

Band

Callsign

Cnfrm

Country name *

County

Custom award

Date & Time

Dir / Dist

eQSL

eQSL Cnfm

eQSL Upload Date

Frequency

Grid

Group

Group name *

IOTA

IOTA name *

IOTA Island

Label

LoTW

LoTW Cnfm

LoTW Upload Date

Manager

Membership

Mode

Name

Notes for this Callsign

Notes for this QSO

Number *

Prefix

QRP

QSL Date

QSL Method

QTH

Recvd

RSTs, RSTr

Satellite Mode

Satellite Name

SeqPrt *

State

State name *

Sub mode

Value (Custom award)

WPX *

YLop

Zone


qfld: Awards

Navigation: Appendix A: QSO fields:

Awards
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Showing the "contribution" of the QSO to the various awards. Every field in the matrix can have four values:

Indication | Status
-- | Not used for award
S | Is Submitted for the award
C | Has been approved (Checked) for the award
I | QSO is Invalid for this award

Awards section of QSO Window

Awards section of QSO Window

An example is a confirmation for an IOTA operation where the QSL card does not reference the IOTA Island Name. Such a QSL card often can be used for DXCC but not for an IOTA award. In such a case we can mark the IOTA awards as invalid.

Note that some awards have the possibility to define a band or mode award for which there is no 'certificate'. These combinations are allowed by the program however.

DX4WIN also supports user defined awards.


qfld: Band

Navigation: Appendix A: QSO fields:

Band
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The band for the QSO.

Satellite contacts are treated as a contact on the satellite 'band'. This will print 'Sat' on QSL cards as required for award purposes. The Up/Down link frequencies are set in the Satellite Mode field, the name of the satellite in the Satellite Name field

Bands can be displayed in Meters or MegaHertz; see File | Preferences | QSO.


qfld: Callsign

Navigation: Appendix A: QSO fields:

Callsign
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The callsign of the station worked.

Changing the callsign will clear the State, County, Grid and IOTA fields.

A callsign can be up to 16 characters long. The valid characters are: A..Z, 0..9 and / and ?.

The callsign and the Date of a QSO determine the Prefix (country) and the Zone.


qfld: Cnfrm

Navigation: Appendix A: QSO fields:

Cnfrm
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Indicates if the QSO has been confirmed with a QSL card.

You can set this field manually or use the F2 key after setting the F2 key preference.

If you received a card for a QSO but the operation was not approved by the DXCC desk (like the 5A0RR operation) mark the QSO as confirmed, but change the award flag to Invalid for the applicable award(s); all award calculations will reflect such a situation correctly.


qfld: Country name

Navigation: Appendix A: QSO fields:

Country name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Name of the country as determined by the Prefix field.

Country names can be added and changed in the Country database.


qfld: County

Navigation: Appendix A: QSO fields:

County
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The county of the station worked. A county is valid only for continental US, Alaska and Hawaii.

The State field must contain a valid state before the County field accepts a name. Pressing F1 in the County field will show a box with all valid counties for the state sorted by county name. Type a few characters or use the arrow keys and PgUp / PgDn keys to move to the right spot. Select the entry by pressing the space bar or the Enter key.

When adding a new QSO for a station that is in the log already, the County field will be set to the county of the last contact.


qfld: Custom award

Navigation: Appendix A: QSO fields:

Custom award
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The custom award shows a list of all possible custom awards. As custom awards can be limited to certain countries, bands and modes, and therefore is updated as soon as these fields change.

See user defined awards for more details


qfld: Date & Time

Navigation: Appendix A: QSO fields:

Date & Time
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The Date & Time of the contact specified in UTC. DX4WIN obtains the UTC date and time directly from the operating system. This assumes that you have selected the correct time zone in the Windows preferences. Doing so will also correct for daylight savings time automatically.

When you change the date of a QSO, the Prefix and the Zone are calculated again because they are date sensitive.

Besides the regular editing features for date & time, you can also use the up- and down-arrow keys to change the date and time by one day or one minute respectively.

The time field will display hours and minutes only, the seconds are hidden. You can display seconds (but not increase the width of the field) in File | Preferences | QSO. The seconds are mainly used to maintain the original entry order of a QSO, most importantly when importing QSOs from another log. If such a log has no seconds resolution, seconds will by added automatically.


qfld: Dir / Dist

Navigation: Appendix A: QSO fields:

Dir / Dist
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Direction and distance from your QTH to the location shown. The location that is used for the distance / direction calculation depends on the information that is available. The information used will be checked in the following order:

·Grid 6 characters

·IOTA

·Callsign Information

·US County

·State

·Grid 4 characters

·Suffix Information

·Prefix

The actual field used for the calculation is shown in the field.

The direction and distance are calculated based on your location specified in the personal preferences and the coordinates of the field used. The coordinates for the prefix and IOTA are stored in the Country database.

Note that you can select to display the distance in Miles or in Kilometers in your personal preferences.


qfld: eQSL Cnfm

Navigation: Appendix A: QSO fields:

eQSL Cnfm
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field indicating that the QSO is confirmed with eQSL


qfld: eQSL Upload

Navigation: Appendix A: QSO fields:

eQSL Upload
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Flag to indicate if a QSO should be uploaded for electronic eQSL confirmation.


qfld: eQSL Upload Date

Navigation: Appendix A: QSO fields:

eQSL Upload Date
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Date that the QSO was uploaded for eQSL


qfld: Frequency

Navigation: Appendix A: QSO fields:

Frequency
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The transmit frequency for the QSO; this field will be populated when adding in real-time and a radio is enabled.

See QSO Window | Multiple QSO operations | Set Frequency from note to assist in converting notes for the QSO.

The split frequency can be stored in the notes for the QSO; see QSO Window | Contest mode.


qfld: Grid

Navigation: Appendix A: QSO fields:

Grid
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field for the grid square; for example FM15.


qfld: Group

Navigation: Appendix A: QSO fields:

Group
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A numeric field indicating which group of QSOs the QSO belongs to.

When adding new QSOs, the initial value is obtained from the default QSO. All subsequent entries will be copied from the last QSO entered.

Pressing the F1 key will show the list of group numbers that have a text assigned; see QSO Window: Filter | Edit group names to assign text to a group number.

When importing a log, the value of Group will also be obtained from the default QSO if the import filter does not specify a group field. This feature can be used to see quickly which QSOs were imported, and make corrections or delete the complete group all together.

Group numbers can be used to divide your log in different logical sections, allowing you to indicate changes in operating conditions such as change of QTH, callsign, a specific contest etc.

When you open a log, the program will use the default Selection which simply covers all QSOs in the log. When you specify a Selection, using one or more group numbers or a date range, DX4WIN will only show the QSOs matching the Selection; acting in addition to a QSO Filter.

You can assign a text to a Group number. The text is not displayed in the QSO Window, but is used to specify a Selection.

You can also print the group name on a QSL label; see Preferences | Lab/Rep | Greeting


qfld: Group Name

Navigation: Appendix A: QSO fields:

Group Name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The name associated with a Group Number.

Placing the cursor in the group field of the QSO Window and pressing the F1 key will show the group number and the corresponding group name. The group name can also be used when specifying the layout of a report.


qfld: IOTA

Navigation: Appendix A: QSO fields:

IOTA
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The IOTA of the station worked.

Pressing F1 in the IOTA field will show a box with all IOTAs sorted by their name. Type a few characters or use the arrow keys and PgUp / PgDn keys to move to the right spot. Select the entry by pressing the space bar or the Enter key.

If you have a previous contact in the log file with the same station, the IOTA field will be set to the IOTA of the last contact.

See also IOTA Database if you want to make changes to the data.


qfld: IOTA Island Name

Navigation: Appendix A: QSO fields:

IOTA Island Name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The name of the IOTA Island.

The file Islands.txt contains the Island names for each IOTA.


qfld: IOTA Name

Navigation: Appendix A: QSO fields:

IOTA Name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The name associated with an IOTA reference.

When you place the cursor in the IOTA field of the QSO Window and press the F1 key, the IOTA and the IOTA name will be displayed. The IOTA name can also be used when specifying the layout of a report.


qfld: Label

Navigation: Appendix A: QSO fields:

Label
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Flag to indicate if a QSO label should be printed in batch mode.

When adding new QSOs, the default value is obtained according to your preference.

This field can also be set when confirming a QSO.

QSO Labels are printed in batches sorted by callsign or in the same sequence as they were flagged for printing

All label fields can be cleared at once or can be set for printing using the Mark for QSL report.

DX4WIN does not have a separate field to indicate that a label was printed; it uses the QSL Date field for that purpose.


qfld: LoTW

Navigation: Appendix A: QSO fields:

LoTW Upload
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Flag to indicate if a QSO should be uploaded for electronic LoTW confirmation.


qfld: LoTW Cnfm

Navigation: Appendix A: QSO fields:

LoTW Cnfm
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field indicating that the QSO is confirmed with LoTW


qfld: LoTW Upload Date

Navigation: Appendix A: QSO fields:

LoTW Upload Date
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Date that the QSO was uploaded for LoTW


qfld: Manager

Navigation: Appendix A: QSO fields:

Manager
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The callsign of the manager handling QSL duties for the station.

If you enter QSL manager information to a QSO, the QSL Manager database will be updated automatically. The QSL manager data is not part of the QSO; the value is determined by the Callsign and the Date of the QSO.

Special keystrokes in the Manager Field:

Ctrl+E

Activate a Windows editor to edit the address for the current manager.

Note that the regular Windows Cut and Paste commands are available in the editor.

F3

Pressing the F3 key, external data lookup, will use the callsign in the manager field to search the address of the manager.


qfld: Membership

Navigation: Appendix A: QSO fields:

Membership
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Shows membership status for the callsign.

How to create a list for a membership see Membership List.

This is a read-only field; the contents is populated using the callsign and the information stored in the Membership List and cannot be edited. Data can be entered however when specifying a filter.


qfld: Mode

Navigation: Appendix A: QSO fields:

Mode
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The mode for the QSO.

The Mode field is initially set to the value specified in the default QSO. All QSO entered subsequently will have the same mode setting as the last QSO entered.

If a radio is connected and QSOs are added in real-time, the mode is continuously obtained from the radio until the QSO is entered in the log. There is an option to ignore the mode from the radio, Main Window | Radio | Ignore Mode in real-time. This can be useful when adding RTTY QSOs for example with the radio in LSB mode.

When using a mode for an award, the QSO modes are mapped to the more generic modes; CW, Phone, Digital and Image. Some modes, like SSTV, are mapped to phone, but it is still custom to exchange RST reports with three digits.

The table below summarizes the mappings and the expected RST format. To make this table more readable, a blank entry for "Main Mode" indicates "Digital', and a blank entry for "Default RST" indicates "599".

Some radios support different band filters for the mode. DX4WIN can only set a single variant for the mode for the radio; the default can be changed however; see Changing default mode.

Mode | Sub modes | Main Mode | Additional Import | Default RST
AM |  | PHONE |  | 59
ARDOP |  |  |  |
ATV |  | IMAGE | FSTV | 59
C4FM |  |  |  |
CHIP | CHIP64, CHIP128 |  |  |
CLO |  |  | CLOVER |
CONTESTI |  |  |  |
CW | PCW | CW | A1A | 599
DIGITALVOICE |  |  |  |
DOMINO | DOMINOEX, DOMINOF |  |  |
DSTAR |  |  |  |
FAX |  |  |  |
FM |  | PHONE |  | 59
FSK315 |  |  |  |
FSK441 |  |  |  |
HELL | FMHELL, FSKHELL, HELL80, HFSK, PSKHELL |  |  |
ISCAT | ISCAT-A, ISCAT-B |  |  |
JT4 | JT4A, JT4B, JT4C, JT4D, JT4E, JT4F, JT4G |  |  |
JT44 |  |  |  |
JT65 | JT65A, JT65B, JT65B2, JT65C, JT65C2 |  |  |
JT6M |  |  |  |
JT9 | JT9A, JT9B, JT9C, JT9D, JT9E, JT9E FAST, JT9F, JT9F FAST, JT9G, JT9G FAST, JT9H, JT9H FAST |  | JT9-1, JT9-2, JT9-5, JT9-10, JT9-30 |
JTMS |  |  |  |
MFSK | FT4, JS8, MFSK4, MFSK8, MFSK11, MFSK16, MFSK22, MFSK31, MFSK32, MFSK64, MFSK128 |  |  |
MSK144 |  |  |  |
MT63 |  |  |  |
OLIVIA | OLIVIA 4/125, OLIVIA 4/250, OLIVIA 8/250, OLIVIA 8/500, OLIVIA 16/500, OLIVIA 16/1000, OLIVIA 32/1000 |  | OLIVI |
OPERA | OPERA-BEACON, OPERA-QSO |  |  |
PAC | PAC2, PAC3, PAC4 |  | PACK |
PAX | PAX2 |  |  |
PKT |  |  |  |
PSK | FSK31, PSK10, PSK31, PSK63, PSK63F, PSK125, PSK250, PSK500, PSK1000, PSKAM10, PSKAM31, PSKAM50, PSKFEC31, QPSK31, QPSK63, QPSK125, QPSK250, QPSK500, SIM31, BPSK |  |  |
PSK2K |  |  |  |
Q15 |  |  |  |
QRA64 | QRA64A, QRA64B, QRA64C, QRA64D, QRA64E |  |  |
ROS | ROS-EME, ROS-HF, ROS-MF |  |  |
RTTY | ASCI |  | FSK, RTT, RTY |
RTTYM |  |  |  |
SSB | LSB, USB | PHONE | PHO, J3E | 59
SSTV |  | PHONE | SST | 59
T10 |  |  |  |
THOR |  |  |  |
THRB |  |  | THRBX, THROB |
TOR | AMTORFEC, GTOR |  | AMTOR, MTOR, PTOR, PACTOR, PTO, GTO |
V4 |  |  |  |
VOI |  |  |  |
WINMOR |  |  |  |
WSPR | WSPR-2, WSPR-15 |  |  |


qfld: Name

Navigation: Appendix A: QSO fields:

Name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The name of the operator of the station worked; this field is associated with the callsign, not the notes for the QSO.

See QSO Window | Multiple QSO operations | Set Name and QTH to assist with the conversion of callsign notes.


qfld: Notes for this callsign

Navigation: Appendix A: QSO fields:

Notes for this Callsign
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field to store notes for a callsign. (See also notes for QSO)

The notes, name and QTH are stored by callsign, not for each single QSO. This allows instant access to these fields when you work the same station again.

The QSO window shows a limited number of characters for a note, but you can scroll inside the note field using the left- and right-arrow keys. (See also Ctrl+E command below). A note can hold up to 254 characters.

Special keystrokes in the NoteField:

Ctrl+D

Insert the date of the QSO as text at the current cursor position

Ctrl+E

Activate a windows editor for the current note.

Short notes can easily be edited in the note field, but with longer texts this becomes inconvenient. The editor will split the text in lines using the 'pipe' character (|). Note that the regular Windows Cut and Paste commands are available in the editor.

Ctrl+R

Insert the current frequency as text at the cursor position. This command is available if a radio is enabled.

Ctrl+T

Insert today's date (in UTC) as text at the current cursor position.


qfld: Notes for this QSO

Navigation: Appendix A: QSO fields:

Notes for this QSO
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field to store notes for a QSO. (see also notes for Callsign)

The QSO window shows a limited number of characters for a note, but you can scroll inside the note field using the left- and right-arrow keys. (See also Ctrl+E command below). A note can hold up to 254 characters.

It is also possible to insert text into this field automatically, including the contest sequence number and the current QSX frequency. See contest mode for more details.

When you import a log file, this note field is also used to store error messages.

Special keystrokes in the NoteField:

Ctrl+D

Insert the date of the QSO as text at the current cursor position

Ctrl+E

Activate a windows editor for the current note.

Short notes can easily be edited in the note field, but with longer texts this becomes inconvenient. The editor will split the text in lines using the 'pipe' character (|). Note that the regular Windows Cut and Paste commands are available in the editor.

Ctrl+R

Insert the current frequency as text at the cursor position. This command is available if a radio is enabled.

Ctrl+T

Insert today's date (in UTC) as text at the current cursor position.


qfld: Number

Navigation: Appendix A: QSO fields:

Number
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A running counter to print a line number in reports.

This field is not available in the QSO Window but can be used when specifying the layout of a report.


qfld: Prefix

Navigation: Appendix A: QSO fields:

Prefix
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The prefix (country) for the current callsign.

The prefix is determined by the callsign and the date of the QSO. A prefix is not stored in the log file. The prefix is determined every time a log is opened or new QSOs are added. This approach assures a consistent handling of prefixes in the same log or separate logs that you keep.

Pressing F1 in the Prefix field will show a box with all countries sorted by the name of the country. Type a few characters or use the arrow keys and PgUp / PgDn keys to move to the right spot. Select the entry by pressing the space bar or the Enter key.

If you overwrite the prefix field, an entry will be made in the call exception database. All QSOs with the same callsign following the QSO will have the new prefix. QSOs with the same call preceding the QSO will not change.


qfld: QRP

Navigation: Appendix A: QSO fields:

QRP
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field that indicates a QRP (low power) contact.


qfld: QSL Method

Navigation: Appendix A: QSO fields:

QSL Method
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field indicating how you send a QSL card. The method field can be set when confirming or printing a QSO. When adding or importing new QSOs, the default value is obtained according to your default QSO preference.

The following table indicates the intended use of the QSL Methods. The Rank column indicates the sort sequence used when printing labels in batch mode. Sorting by rank first assures that all labels using the same method will be grouped together, so they can be separated after the labels have been printed.

Method | Rank | Meaning
$$$ | 1 | Direct with a donation
Direct | 2 | Direct
QSLServ | 3 | Via a QSL service
Buro | 4 | Via domestic buro
Other | 5 | Any other means
Ignore | 6 | Ignore for automatic selection. The QSO will not be selected for printing a QSL label by any command that sets this field automatically.
OQRSd | 7 |
OQRSb | 8 |

Changes to the QSL Method can be made depending on the availability of a QSL buro; see Change QSL routing


qfld: QSLDate

Navigation: Appendix A: QSO fields:

QSL Date
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Date that you printed a QSL label and presumably mailed the card.

DX4WIN does not keep a separate field to indicate that a QSL label was printed; the QSL Date is used for that purpose.

This field can be set automatically when printing labels.

Note that you can search for QSOs for which you did not send a QSL card by specifying a date of 01/01/1901

The QSL date can be changed for QSOs matching a filter; see QSO | QSLs | Set QSL Date and QSO | QSLs | Clear QSL Date


qfld: QTH

Navigation: Appendix A: QSO fields:

QTH
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The QTH of the station worked; this field is associated with the callsign, not the notes for the QSO.

See QSO Window | Multiple QSO operations | Set Name and QTH to assist with the conversion of callsign notes.


qfld: Recvd

Navigation: Appendix A: QSO fields:

Recvd
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field intended to store contest report received information, such as a serial number, province etc. Holds four uppercase characters.


qfld: rstS, rstR

Navigation: Appendix A: QSO fields:

rstS, rstR
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The report sent (rstS) and the report received (rstR)

A value of zero is acceptable for an RST field. A zero value for rstR indicates that the QSO is not valid for any award. A QSO can also be flagged as invalid for a specific award; see awards.

When importing QSOs, an invalid RST value will always be set to 59 for PHO contacts and 599 for the other modes.

Numerical ranges are not enforced to allow for special reports etc. When entering a new QSO, defaults will be used depending on the mode; see the modes table.


qfld: Satellite Mode

Navigation: Appendix A: QSO fields:

Satellite Mode
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field indicating the up/down frequency for a satellite contact. Assumes that the QSO band field is set to Sat.

See QSO Window | Multiple QSO operations | Set Satellite Name/Mode to assist in assigning a new Satellite name or mode to a group of QSOs.


qfld: Satellite Name

Navigation: Appendix A: QSO fields:

Satellite Name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Name of the Satellite. Assumes that the QSO band field is set to Sat.

See QSO Window | Multiple QSO operations | Set Satellite Name/Mode to assist in assigning a new Satellite name or mode to a group of QSOs.


qfld: SeqPrtNr

Navigation: Appendix A: QSO fields:

SeqPrtNr
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

An invisible field in every QSO used to store the sequence number for QSL label printing.

You cannot search for QSOs that have this field set, but using the LogBook window and adding this field to the report format, QSOs can be shown in sorted order.


qfld: State

Navigation: Appendix A: QSO fields:

State
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The USA state of the station worked.

The state field will only accept a continental state when the prefix field indicates a USA callsign. AK (Alaska) and HI (Hawaii) are acceptable if the prefix field indicates that DXCC country.

Changing the state will clear the County field and 'calculate' the Zone field again. Pressing F1 in the State field will show a box with all valid states sorted by the name of the state. Type a few characters or use the arrow keys and PgUp / PgDn keys to move to the right spot. Select the entry by pressing the space bar or the Enter key.

A valid state can also change the distance and direction fields in the QSO Window.

When adding a new QSO for a station that is in the log already, the state field will be set to the state of the last contact.

The State field can also be set using existing QSOs; see Multiple QSO operations


qfld: State Name

Navigation: Appendix A: QSO fields:

State Name
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Name of the state as determined by the State field.

Placing the cursor in the State field and pressing the F1 key will show a list of all state names. The State name can be used when specifying the layout of a report.


qfld: Sub mode
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

A number of Modes allow the specification of a Sub-Mode; selection of a Sub-Mode is optional.

For a complete list of Modes and Sub-Modes see the table in the Modes section.


qfld: Value (Custom award)

Navigation: Appendix A: QSO fields:

Value (Custom award)
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

When selecting a Custom Award the Value field will be displayed.

Depending on the award definition, you can enter characters in this field or select from a list of possible values. When a list is displayed, pressing the F1 key will allow you to select an entry and sort the entries differently.

See user defined awards for more details.


qfld: WPX

Navigation: Appendix A: QSO fields:

WPX
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

WPX prefix given the callsign

This field is not available in the QSO Window but can be used when specifying the layout of a report.

The file wpxdeltd.txt in the save directory contains the list of prefixes that will be marked as deleted prefixes for the WPX honor roll award.


qfld: YLop

Navigation: Appendix A: QSO fields:

YLop
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Field indicating a contact with a YL (female) operator.

If you have a previous contact in the log file with the same station, the YLop field will be set to the YLop field of the last contact.


qfld: Zone

Navigation: Appendix A: QSO fields:

Zone
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The CQ zone, in the range 1 through 40.

The zone is determined by the Callsign ,the Date and the State of the QSO. A zone is not stored in the log file. The zone is calculated every time a log is opened or a new QSO is added. This approach assures a consistent handling of zones in the same log or separate logs that you keep.

If you overwrite the prefix or the zone, an entry will be made to register the exception. All QSOs with the same callsign following the QSO will get the new prefix and the zone. QSOs with the same call preceding the QSO will not change. The exceptions are stored in the Country database.

When you change the state field of a QSO, the zone will be 'calculated' again, replacing the current value in the zone field.


Appendix B: Files
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This appendix describes all the files used by DX4WIN and the directories where they are located.

SAVE directory

This directory contains all the files that could be modified by the program. They are placed in a separate directory to facilitate backup.

When you enable the 'Cycle files option' (File | Preferences | QSO) , many of these files will have an additional copy in the save directory. The filename extension is changed to include a '~' (tilde). For example, KK4HD.DXL will have a previous copy of the file saved as KK4HD.~XL, the user exceptions database usrexcpt.dat will be saved as usrexcpt.~da etc.

*.DXL

The extension for a log file.

There are no other files related to your log such as index files etc. Log files can be in any directory, but placing your logs in the SAVE directory eases backup.

The table below lists the files stored in the Save directory. Because file names have changed starting with version 9, the old file names are included for reference. The Modify column indicates if the program could modify the file.

Filename | Modify | Old Filename |
awdmap.txt |  | --new-- | Used to map awards and award values from previous versions
calendar.dat | Y | dx4win.cal | Contains all the calendar events. Deleting this file will delete all events
clusters.txt |  | dx4win.tcp | Contains Internet addresses; characters in front of the comma are ignored. This file can be edited using NotePad for example, to change an entry or to add new Internet addresses
config.dat | Y | dx4win.cfg | Configuration file. In case you delete this file you will have to set all your preferences again. This file is not part of the distribution; it will be created automatically if the file is not found or the version of the file is different. Many of the settings can be saved in a text file; see Write Configuration File. A previously saved configuration file can be used using Load configuration file.
country.dat |  | dx4win.cty | This file contains the country-, the QSL manager-, Address-, IOTA- and the call exception-databases
custawds.dat |  | --new-- | The binary version of custawds.txt; generated automatically when custawds.txt has changed. The binary version can be loaded faster so it reduces start-up time.
custawds.txt |  | dx4win.awd | List of custom awards in text format; see custawds.dat
cwprosgn.txt |  | dx4win.pro | Contains the CW prosigns, shared by the DX4WIN keyer and the WinKey keyer
dxspots.dat | Y | dx4win.put | Contains all the DX spots. Deleting this file will simply erase all previous spots
 |  | fulllist.xml | This file is no longer available from the RSGB. A file in a different format is now published by the RSGB.
ignsufs.txt |  | --new-- | Contains a list of suffixes that will be ignored when determining the country of a callsign
impexpflt.dat | Y | dx4win.iep | Import/export filters
islands.txt |  | iota.ini | For each IOTA the file contains a code and a name for the island group for that IOTA
labels.dat | Y | dx4win.lab | Contains formats for printing QSL labels
members.dat | Y | dx4win.mas2 | Contains the membership lists; see Packet Window | Membership List how to generate this file
mstrcals.dat | Y | dx4win.mas1 | Contains the master callsigns; see QSO Window | Windows | Master Calls how to generate this file
portmap.txt |  | portmap.ini | File containing the hardware mapping addresses for printer ports. See PortMap file for details
prf2iota.txt |  | --new-- | Contains a list of IOTAs organized by prefix
reports.txt | Y | dx4win.rep | Report definitions. This file is maintained in the Windows INI format. Each section is a report and the fields appear in the same sequence as they are shown in a report
usrexcpt.dat | Y | --new-- | Contains the callsign exceptions, QSL manager and Address databases when they override the defaults supplied by country.dat
wpxdeltd.txt |  | dx4win.wpx | File with deleted prefixes for the WPX honor roll award. When a prefix is followed by a '*', this indicates that any prefix starting with the given string will be treated as deleted. Lines containing a '?' will be ignored

RADIOS directory

Radio parameter files. Only needs to be backed-up if you changed a radio definition.

MAIN directory

DX4WIN.EXE

The executable program.

DX4WIN.CHM

The help file.

DX4WIN.ICO

Windows icon for the program.

DX4WIN.DXB

Backup file for the current log.

This file will be deleted when the program terminates normally. In case the file exists when the program starts, due to an abnormal program termination (power failure, program crash etc.), you will be asked if the file needs to be saved. We highly recommend that you always save the file under a new name. If your regular log is in good shape, the file can be deleted.

PskCore.DLL

Written by Moe, AE4JY, and distributed with his permission. Possible updates can be found at: http://www.moetronix,com/ae4jy/pskcoredll.htm

PCRE3.DLL

DLL used for using regular expressions.

UNSINS000.DAT and UNINS000.EXE

Files used to un-install DX4WIN.

EXTDATA directory

*.BAT *.EXE *.PIF

Files used to access the CDRoms as the GOLIST, BuckMaster and CDRoms. The *.BAT file are generated by DX4WIN.

Other EXE files can be placed in this directory to support the access of external data.

IMPORT directory

*.PMP

Files used to map the prefixes used by DX4WIN to those of other logging programs. See mapping prefixes for details.

*.PRO

Files used to convert comma delimited files to fixed column formats. Each line contains a number indicating the width of the field, and the name of the field. The name is for convenience and is optional.

*.BAT and *.EXE

Files used to support the import of binary log files; see importing binary files.

SOUNDS directory

*.WAV

The sound files used to make voice announcements for packet. If you don't like Dave's (W4JVN) voice, you can replace these files with recordings of your own.

DRIVERS directory

LPTDriver.exe

Install program for the LPT port driver and CW side tone generation. For installation instructions, see LPT port driver

REGEXP directory

*.txt

Files containing regular expressions used for setting the name and QTH and the Frequency field using the notes for a QSO.

Backups directory

Contains sub-directories "1", "2" etc each containing previous versions of the files replaced using the Check for Update command


Appendix C: Radio errors
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The software that 'talks' to your radio can return various errors:

No | Message | Correction
1 | serial port specified for the radio is in use by another device | Select a different port for the radio or the other device
2 | The interface connecting your computer to your radio indicates that the radio is not active (Data Carrier Detect is off) | Is the radio on? Is interface box on? Faulty cable?
3 | The radio did not return the expected data |
4 | The radio is not accepting data from the computer |
5 | A read command was issued and the command has no command string | This is an error in the command set for the radio
6 | A read command was issued but the command indicates that zero bytes are expected | This is an error in the command set for the radio
7 | field trying to extract a value from data returned from the radio is not defined | This is an error in the command set for the radio


Appendix D: System Error Messages
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

When executing a program from DX4WIN, like accessing external data or calling a binary conversion routine, the system can return one of the following errors:

0 | System was out of memory, executable file was corrupt, or relocations were invalid.
2 | File was not found.
3 | Path was not found.
5 | Attempt was made to dynamically link to a task, or there was a sharing or network-protection error.
6 | Library required separate data segments for each task.
8 | There was insufficient memory to start the application.
10 | Windows version was incorrect.
11 | Executable file was invalid. Either it was not a Windows application or there was an error in the .EXE image.
12 | Application was designed for a different operating system.
13 | Application was designed for MS-DOS 4.0.
14 | Type of executable file was unknown.
15 | Attempt was made to load a real-mode application (developed for an earlier version of Windows).
16 | Attempt was made to load a second instance of an executable file containing multiple data segments that were not marked read-only.
19 | Attempt was made to load a compressed executable file. The file must be decompressed before it can be loaded.
20 | Dynamic-link library (DLL) file was invalid. One of the DLLs required to run this application was corrupt.
21 | Application requires 32-bit extensions.


Appendix E: Data exchange
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Interfacing an external program to DX4WIN

DX4WIN has the capability to communicate with other Windows programs. Both the Packet and RTTY window can receive data in the form of strings. The data received is interpreted as if it came from a TNC or from a Telnet connection. The data is handled in two different ways, depending on the setup chosen in File | Preferences | Packet1.

When the Packet (or RTTY) Window is using COM1 .. COM32 or TCP/IP, the data will only be checked for DX spots and announcement messages.

Specifying 'Msg' as the Comport, will display the data in the Packet (or RTTY) Window and will also be checked for DX spots and announcement messages. In addition, any text typed in these windows will be sent to the external program. The latter requires a parameter (Message Handshake) to be provided by the author of the external program.

More technical details intended for software authors:

The exchange of data uses the WM_COPYDATA Windows message. This message requires the Windows handle of the destination window. For DX4WIN the destination window can be the Packet Window or the RTTY Window. The FindWindow API call is not suitable to find either window as the window titles change during execution. Searching for a starting string in the title works however, but requires the use of the EnumWindow function. The Windows ClassName is TPacketW and the starting string for the title is either 'Packet Window' or 'RTTY window'.

The only data exchange supported at this time are null terminated strings. The CR (#13) character is used to mark the end of a line. The receiver should be able to handle incomplete lines, ie a single line that is received in multiple messages.

The receiver of the WM_COPYDATA message checks for the correct data format (CDs.dwData = 100) and returns the value 1 for a correct message and the value 2 when the data format is not supported. Note that if the message was not handled by Windows, or when the target window was not found, the return value is 0 by default.

When the DX4WIN user changes parameters for the Packet- or RTTY Windows, the windows are recreated and the window handle will change. So you may want to add some logic to find the window again if the first message fails.

Please contact BrookHill Data Systems if your software supports this interface; we also have some Delphi code that we can share to illustrate the above.


Appendix F: Revision History
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

IMPORTANT NOTE:

The file format of the log often changes as new versions of the software are released. You can always read older versions of the log, but the log will be saved in the current format. Older versions of DX4WIN are not able to read the new format. If you want to go back to an older format, export the file using the appropriate DX4WIN filter and import that file in your old version.


Version 9.09
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Fixed the problem with the submission report where existing submission were ignored.

Brought back the checkbox for the "submission report only" option. Selecting the option will list the QSOs selected for submission; QSOs will not be modified.

Added a multiple QSO operation to check the log for duplicate QSOs; see Multiple QSO operations: Mark Duplicates


Version 9.08
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·Changed membership test in filter; see searching Membership .

·When using an ADIF file to confirm QSOs, new data that replaces empty data is no longer reported

·When importing a QSO with Mode=SSB, a submode (USB or LSB) will be ignored to avoid conflicts with other software

·When using a CSV file to confirm IOTA awards, matching QSOs will no longer be flagged as confirmed; only the IOTA mixed award status is set to Checked. (Captions and screen captures have been modified to reflect this change)

·Corrected Import/Export method for OQRSd and OQRSb

·When using an external data source to update a QSO, the modifications could be lost when changing the focus back to the QSO Window; this has been fixed.

·Removed the checkbox Submission report only in Award generator; it did not work as expected.

·Write award information to ADIF during export.

·Recognizing a duplicate QSO during an import did not work for a time tolerance of zero seconds; this resulted in creating duplicate QSOs in the log.

To eliminate duplicate QSOs in your log:

1.Create a new log

2.Enter a dummy QSO (use your own call for example)

3.File | Import | File | Merge DX4WIN log

4.Select your own log

5.Select to Ignore Duplicate QSOs

6.After import, delete the dummy QSO


Version 9.07
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·When importing QSOs the wrong IOTA was used to find a unique island group if the group was empty.

·When certain fields, like grid, IOTA etc, where not specified in a QSO, the coordinates used for direction and distance were incorrect.


Version 9.06
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·When importing QSOs to confirm existing QSOs, we check that if the information contained in the imported QSOs adds to the existing QSO or conflicts with the existing QSOs. Conflicts are now indicated in the "notfound" listing with a letter C in the first column, Updates with the letter U and QSOs that could not be found with the letter X.

·Identical messages are only stored once for each QSO to avoid multiple entries of the same message.

·When using the Update button in the External data Window updates were lost if the cursor was inside the callsign field. This is now avoided by moving the cursor to the prefix field before applying any updates.

·If the grid field in the External Data Window contains more characters than the grid field in the QSO, and the first characters match, the grid information in the QSO Window will be updated.

·While adding calls to a membership list, skip empty calls. In QSO Window, avoid using an empty call to fill the membership field.


Version 9.05
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·When editing a QSO, do not reset county if state changed and county is still valid

·Error message when country database cannot be found

·Added more satellites

·Made Winkey interface compatible with newer versions

·Redid IOTA checking; changes made are applied to the QSO. Values that were replaced are show in the QSO Notes

·Added MFSK sub-modes FT4 and JS8

·During import, check for a valid island code

·Multiple QSO operations will now remove multiple import messages when there are more in a notes field

·Custom award check did not mark QSO as changed when award was changed;

·Report the count of the number of awards that changed

·Changed time tolerance test so a window of 2 seconds allows QSOs 2 seconds apart

·Message when secondary backup directory is not named correctly

·Catch F1 in GroupNr field if no groups have been defined

·Fixed reading of some old logs

·Added membership field to QSO window and Logbook window

·Made form for selecting a report larger

·If there is no prefix for a callsign, using F1 in the State field could pick from the wrong list

·Fixed bug with double-click in WPX report

·Test for RST field in filter was broken

·Use callsign and suffix data for direction / distance calculation

·Ignore text after left parenthesis for QSL manager search

·Include sub-mode for dupe checking during import

·Show mode / sub-mode in SameCall window

·Menus are enabled again when selecting a skin

·The membership field in the QSO Window is now a read-only field, except when specifying a search filter.


Version 9.04
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·Allow extra line on QSL label

·Make mode box smaller on QSL label

·Larger font for buttons used in PSK31, Packet and MMTTY windows

·Avoid importing of a bad US state

·Allow searching for any string in State field

·Implement a LogCheck option

·Implement option to remove LOGDIFF messages

·Added radios:

oFlexradio6000.rig

oFlexradioSSDR.rig

oICOM 7300_new.rig


Version 9.03
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·Fixed some F8 search issues

·Added date to the title of all award reports

·Set Custom Awards was broken

·IOTA in callsign exceptions used for new QSO. Also used when checking IOTAs with additional message

·IOTA can change when changing call or date

·Write user exceptions file only when needed

·Do not reload country database; user exceptions only

·User exceptions can ignore problem reading (was fatal error; now a warning)

·Change defaults for master calls import and file extension

·Get rid of non-native modes for ICOM-7100

·Improved message when Importing / Ignoring Dupe QSOs

·Centralize the Program Version

·Changed defaults for Announce DX window

·Sample label did address wrong

·Change in callsign field did not trigger update of other windows

·Only autoconnect for TNC not RTTY

·Changed default directory for mmtty

·Removed SampleLog from updater


Version 9.02
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

·Removed modes from the ICOM-7300 rig file that are not native to the radio

·Problem with opening RTTY Window

·Check for a valid US state when updating from callbook

·Other windows did not update when modifying callsign

·Conversion of submission flags for older logs (versions 7 and earlier)

·Awards that have a picture mask defined (like 1010) did not display data field

·A double-click in a county report did not display correct QSO

·A few cosmetic changes


Version 9.01
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The improvements in this release would not have been possible without the suggestions and bug reports from the beta testers:

Jim, AD1C

Paul, F6EXV

David, K2DBK

Bud, N7CW

Lee, N7NU

Guy, ON4AOI

Kostas, SV1DPI

Mike, W0VTT

With a very special thank you to Jim for his tireless efforts to get the new data in shape to feed the country database and related files.

Important Note:

This version does not implement the editors for the various databases; this is planned for a future update.

Callsigns

·Support for on-line callsign lookups for QRZ and Buckmaster (HamCall)

·Separate menu option to lookup a callsign using a web browser

·Callsigns can be up to 16 characters long (up from 12)

Country Database

·The country database is now split in two files; country.dat contains the callsign mappings, country information etc. A second file, usrexcpt.dat contains the exceptions (overrides) entered by the user. This applies to prefix/zones/date exceptions for a callsign, QSL manager information and QSL manager address.

·Callsign exceptions and mappings in the country database have now a start- and end-date allowing multiple date ranges to be specified.

·Counties have now coordinates

Custom Awards

·Custom awards have been updated to allow for more flexibility in naming awards and better error checking.

·Awards 'codes' can be 6 characters in length (up from 4). The longer values allow for a more logical organization of the awards avoiding splitting a single award into multiple awards.

·Award 'values' can be 12 characters in length (up from 8)

·The abbreviation for an award is shown in the QSO Window; pressing F1 will show the list of valid entries and their description. The list shown takes the restrictions for Prefix, Date, Band and Mode into account

·When selecting a custom award, an information page can be displayed which may have an URL for the home page for the award

·A new menu option is available to verify and convert the custom award setting for each QSO; see QSO Window | Multiple QSO operations | Check Custom Awards.

·A new file, awdmap.txt, has been introduced to convert awards and award values to the new custom awards.

IOTAs

·For a new QSO, the IOTA field is set when the IOTA for the entity is unique. Similarly, the Island field is set for an IOTA when the Island is unique for the IOTA.

·A new menu option is available to check existing QSOs for a valid IOTA and set the IOTA and Island fields when they are unique; see QSO Window | Multiple QSO operations | Check IOTAs.

·The relation between Prefix and IOTA is stored in a new file: prf2iota.txt

·The PopUp menu for selecting an IOTA can be limited to IOTAs by continent or by Prefix in addition to the full list of IOTAs.

·An option has been added to confirm IOTA QSOs using the .CSV file downloaded from the RSGB; see QSO Window | QSLs | Confirm QSOs using IOTA file.

Modes

·Added many more modes, and a new QSO field to enter a sub-mode. See Modes for a table of modes and sub modes.

·The option to modify the modes for the selected QSOs can also modify the sub-mode. See QSO | Multiple QSOs Operations | Set Mode.

·Added an option, (Alt+F8), to search for generic modes like Phone and Digital.

·A double-click in a summary window uses the generic mode search and searching using the previous filter will show how that was done.

Packet Cluster

·Ability to auto connect to a cluster node. The node is shown in the preferences and will not change when the clusters.txt is updated.

·The redesigned Announce DX Window can automatically include state, county, IOTA and VUCC grid in a DX spot if specified in the QSO Window.

·The clusters.txt is no longer modified after selecting a node and is now a single file. Previously, two files were used specify a keep alive parameter or not. The keep alive value is now part of the cluster node configuration.

Radios

·A number of new radios were added.

Reports

·Progress reports use now three dates for reporting.

·Submission report honors the exclusion of deleted countries

·Added columns to WPX submission report so it can be used for submissions by saving the report as a csv file.

RST

·rstR and rstS fields can have 5 characters; numerical formatting is no longer enforced to allow for EME reports etc

System

·On-line updating for program and data files. See Main Form | Help | Check for Updates

·Many files have been renamed to better reflect their use; binary files have the *.dat file extension and text files the *.txt file extension. See Appendix B for more details.

·Cosmetic changes and fixes; most importantly that when using skins, windows no longer change position and size when restarting the program.

·Many small bug fixes; many of them never reported previously!

·Reading of ADIF files is substantially faster

·Expanded the memory available to the program; log files with a million QSOs are possible.


Version 8.05
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

New features and bug fixes in 8.05

Awards

·Do not submit a QSO for an award when flag indicates that the QSO is Invalid for that award

Databases

·Jim, AD1C, has updated a number of databases like the country database, awards database etc. This update reflects the changes caused by the dissolution of the Netherlands Antilles; for the details see http://dx4win.ad1c.us/data.htm

Import/Export

·Added a new format for mapping a state (N. Carolina)

·New Hyperlog filter using new state format

·New CVDBase.exe to support Hyperlog dBase files

·Added support for frequency in DX Desktop filter

Labels

·Printing labels will use a filter when specified

Packet

·Apply list of ignored suffixes to a callsign when creating or searching a membership list

QSOs

·Added new modes ROS and ISCAT

·Added new satellite HO-68

·Corrected mode group for SSTV

·A QSO is treated as confirmed for an award if it was used in a submission for that award

Radios

·Added Flex Radio

·Added Kenwood 480

·Added Yaesu FT5000

·Added support for split for ICOM IC-7800 (Firmware 230; user needs to update the radio also)

Screen

·Improved support for themes by keeping more windows in the same location between restarts

System

·Number of wave devices no longer limited to four


Version 8.04
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

New features and bug fixes in 8.04

Awards

·Not all previous submissions were included when doing a new submission

COM ports

·Increased the range of COM port numbers from 8 to 32

CW keyboard

·Not installing the LPT driver no longer hangs the CW signal

·When adding in real-time with Special Keys for CW enabled, the Esc will only empty the CW buffer and no longer stops adding QSOs. A new menu option was added to do this.

Databases

·Jim, AD1C, has updated a number of databases like the country database, awards database etc; for the details see http://dx4win.ad1c.us/data.htm

Import/Export

·Added frequency in MHz

Packet

·Saving Putout Window columns ignored last column

·New award band color in spotting window only used when the band has its own award

QSL Labels

·Better test to go to new label if Pse/Tnx did not change or is not present

·We could clear too many labels when removing duplicate QSLs

PSK31

·An updated pskcore dll no longer requires the installation of the C runtime library (thanks Dave, AA6YQ)

QSOs

·Allow special characters and characters with accents for name and QTH in multiple QSO operations

·Allow a dash ('-') when searching in a list of values (pressing F1 in prefix field, award value etc.)

·Multiple QSO operations change QSL method now ignores confirmation / label status

·Fixed problem with band / mode box in summary windows not always following the QSO Window settings

Radios

·Added support for a transverter (single band or all bands)

Reports

·Double click in listing report could set incorrect filter settings


Version 8.03
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

New features and bug fixes in 8.03

Awards

·Protect against bad values in QSO data (county award reports)

·Check state again when using country exception

·Corrected submission report against selecting too many QSOs

·Added progress report

CW Keyboard

·Better error message when COM port is not available; avoids problems closing the program when using WinKey.

General

·Added /PM and /BM as ignored prefixes

·Better protection against starting multiple instances of the program (avoids license file errors)

Help

·The on-line help shows the breadcrumbs in the display

·Added a mail button to provide feedback on a topic.

Import/Export

·Added ADIF FREQ_RX field for import

·Added ADIF STX field for import

·Include state/county when checking for duplicate QSOs

·Include group/state/county in the .notfound display

·Made width of frequency field variable

LogBook Window

·Preserve column widths when closing program

Packet

·Added an option to remove a callsign from the callsign alert

·DX Spotting Window column widths are restored when merging INI file

·Calls with the /MM or /AM suffix are no longer automatically gray spots for DXCC and WAZ colors

PSK31

·Added an option to select a different soundcard for input and output

QSLs

·Added an option to mark all callsigns for a QSL or all band/mode combinations for a callsign.

QSO

·Clear summary windows when specifying a filter

·Correction for grids with two characters

·Corrected some texts for the menus

·Fixed F2 logic

·Added list of awards to check when confirming a QSO when using the F2 key

·Added an option for a second directory to store a copy of the log file and the country database

System

·The LPT port driver and CW side tone generation is now available under all versions of Windows 32bit and 64bit


Version 8.02
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

New features and bug fixes in 8.02

General

·Fixed the bug that pressing the F1 key did not always launch the help screen

·Fixed bug with using the mailed cutoff value.

·Made input fields for radio selection wider

·The status Mailed and Label now only apply to QSL cards

QSO Window

·Reworked the interface in File | Preferences | F2 key and the code for using the F2 key

·Improved the algorithms to retrieve Name/QTH and Frequency from the notes.

·Setting the QSL method for a QSO in multiple QSO operations only applies to QSOs that are not confirmed and have the label flag set.

·When adding a QSO using a double-click in the packet window will reuse the group number from the previous QSO that was added in real-time mode.

·CR/LF characters in notes are replaced by a vertical bar (|)

·$$ in the notes for the QSO template only adds the QSX frequency when in split mode.

·Added Multiple QSO operation to set YL op flag

·Fixed bug with search filter for users using 0,00 for a zero frequency. Also made the value comparison 20Kc wide.

·We can now search the Group field for 0 !0 !11 etc

·Added menu item to set all awards for a QSO to invalid

·Fixed the list of QSO fields that can be enabled/disabled using the Tab key

Import/Export filters

·Added an import filter for DXbase 2007 that uses a utility program to read an Access database.

·Import/export filters can now handle lines up to 999 characters long

·Fixed a problem with the import filter when the IOTA island name was empty.

·Older DX4WIN import/export filters did not have all awards defined.

·Fixed a bug that caused a GPF when stopping on a duplicate QSO during an import.

·When importing QSOs we use a 1 minute time window; to confirm QSOs the time window is 10 minutes.

·Only write notes for callsigns that are part of an export operation.

·Added some more modes that can be recognized during imports like LSB, and USB.

·The DX4WIN8 filter copied only 5 chars for the mode

LogBook Window

·LoTW date format corrected in LogBook window

·LogBook window remembers the column widths.

Radios

·Modified ICOM radio drivers to read the correct number of bytes when executing a read mode command that includes a small delay.

·Added ICOM 7600 drivers

·Added Yaesu-FT9000PEP driver

Reports

·Report generator honors selection of band / mode and makes all award types available at the same time.

·Deleted entities are sorted towards the end of a listing.

·Added code to protect against 'bad' award values

PSK31

·Using Alt+R in PSK31 window will no longer change the mode on the radio.

·Allow more sound cards for PSK31

Other

·Use MicroSoft DLL to process the FullList.xml; write the result to iota.ini to make loading faster.

·There was no delay after the first character in the CW buffer

·Fixed bug with printing SWL labels

·Update button in external data now sets the name field when available.

·WPX summary window was not always updated


Version 8.01
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

New features and changes in version 8.01

New fields in QSO Window:

· Name

· QTH

· IOTA Island

· Frequency

· Sat Name

· eQSL fields (upload, upload date and upload confirmed)

·CQ DX Field award

Removed the ValidDX field; now a QSO can be marked as invalid for any award

New menus for LoTW and eQSL functions; includes exporting and importing QSOs to confirm QSOs for LoTW and eQSL.

Review log of QSOs that could not be found when confirming QSOs or that were confirmed already.

Additional options for multiple QSO operations:

·Populate Frequency field (read from notes for QSO)

·Populate Name and QTH fields (read from notes for callsign)

·Modify Satellite name and mode

Use 'skins' for a different GUI

New award management.

·All awards can be configured to have a mixed-, a mode- and a band-award

·Starting date for an award by mode and band

·Type of confirmation for an award (QSL card, LoTW and eQSL)

·Added new award: CQ DX Field

The number of groups that can be used is unlimited.

Packet

·Added a membership column to the packet spots. User can specify a letter to be displayed when the callsign appears in a membership list. Lists like club members, subscribers to LoTW and eQSL etc. can be used for this.

·Added a bandmap; packet spots are shown by band using the same color coding as the packet DX Spots Window.

·Instead of the time of a spot the age in minutes can be displayed.

·Spots can be filtered for band and mode

New report generator.

Using the awards, various reports can be generated like summary, listing, needed listing etc. This can be done for different band / mode combinations. The report selection screen replaces the previous menu tree for the reports.

Increased the number of COM ports to 32

Option to repeat the transmit frequency to a COM port in Kenwood format; used for SteppIR or similar devices that need the transmit frequency.

Added Home Position for the rotator


Version 7.07
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.07

·Added an option to reverse the sequence of writing mode / frequency; enabled in the K3 driver only

·ADIF import no longer saves the QSL manager in the notes

·Added the 100 spots from OH8X to the dx4win.tcp file

·Pressing up or down arrow in an empty date field will set the field to the current date


Version 7.06
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.06

·The radio driver now writes the frequency first followed by the mode; this change was needed for K3 radios

·Added a new radio command to set the mode for both VFOA and VFOB at the same time; this addition was needed for the OMNIVII radios.

·Support for OMNIVII; thanks to Guy (ON4AOI) for his patience and ON4IQ for letting us use his radio.

·Added support for the Yaesu rotator interface

·Additional date format YYYY-Mon-DD for WSJT logs

·Import filter for WSJT logs

·Fixed a problem with exporting custom awards

·Updated databases from Jim, AD1C (country file, awards file and internet addresses)

·In Multiple QSO operations | Set QSL date you will now be prompted for the date to be set; this also allows for an 'empty' date which clears the QSL date.

·Changed the keep-alive character from a <CR> to a <LF> to avoid warning messages.

·Renamed the dx4win.mas file to dx4win.mas1 to avoid conflicts with Office 2007


Version 7.05
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.05

·Reading QSL manager addresses could combine records incorrectly

·Logic for looking up QSL managers for stations with a suffix that can be ignored

·10-10 field for ADIF export

·Default QSL method was not saved in the preferences

·Reworked some of the sequence for the radio commands; this solved a problem with Kenwood radios when the radio is in split mode and the new setting is not split mode.

·Renamed the drivers for a few radios

·Default baudrate for Yaesu FT2000 should be 4800 baud

·Frequency field for ICOM 756 Pro III was too wide

·Updates for the country database (Thanks to Jim, AD1C)

·Selecting a group using the F1 facility did not mark the QSO as changed

·Recognize skimmer format in packet spots (call-#)

·Use the country prefix too when we determine if a station was worked previously (color in packet window)


Version 7.04
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.04

Updates for various databases (Thanks to Jim, AD1C)

·Countries

·QSL managers

·Awards

·Internet addresses

QSO Window

·Added more modes (JT65, JT6M and Olivia)

·Added option for multiple QSO operation to set custom award

·Fixed bug searching for custom award

·File SaveAs restores status if write fails

·Default QSL method comes from defaults again when adding or importing a QSO

·Filter was not reset after selecting a different filter

·Corrected 33cm band

·Restored the use of Alt+C to move to callsign field

·Show modes in sorted order (also in preferences)

Radios

·Changed internal logic to reduce reading from the radio

·Updated Yaesu FT-2000

Import/Export

·Fixed bug that flagged imported QSOs as not counting for DXCC

·Corrected ADIF field <pfx> for wpx prefix

·Ignore international settings when exporting a date

Country database

·Fixed bug that could lead to US contacts getting the wrong prefix when adding a new country

·Fixed tabbing order in Country Editor Details tab

Labels

·Added option to print VIA mgrcall without printing manager labels

·Changing QSL routing for countries without a buro did not mark the log as updated

·Fixed logic for finding duplicate QSLs

External data

·Increased buffer size to avoid buffer overflow when using Buckmaster

·Include current hamcall32.dll

·Reworked logic when we can update a QSO using external data

LogBook Window

·Changed mm/dd/yyyy year format for the QSO date to four digits

Reports

·Fixed L status bugs for small reports (like IOTA)

·Allow all modes in WPX (as selected in WPX preferences)

Packet

·Capacity = 0 caused endless loop

·Alt+D added (Show/DX)

Program

·Program has to be installed as administrator

·Shortcut link to DX4WIN includes working directory to avoid problems with finding the help file

Other

·Added Green Heron rotator


Version 7.03
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.03

Updates for various databases (Thanks to Jim, AD1C)

·Countries

·Awards

·Internet addresses

CW Keyboard

·Prosigns are now stored in a file so they can be edited.

·+/- for speed changes works again

·Backspace did not update display

·Esc did not stop adding QSOs in realtime when the option Special keys for CW was enabled

Awards

·Increased maximum length for custom award names

Import/Export

·Changes in IOTA and CQ Zone were not flagged correctly when importing a log to confirm / update QSOs

·ADIF export now includes the fields '1010', WPX, CONT and 'QSL_VIA'

·Added export field 'IOTA name'

·Fixed IOTA award import

·Imports dropped seconds; applies now only when matching confirmed QSOs

Packet

·Added menu item to do a sh/dx for the current call in the QSO Window.

·Frequencies will be no longer have trailing zeroes or decimal period when possible

·Added additional warning pattern for packet messages

·Incoming spots no longer modify the band / mode settings (is now optional)

·Added menu option to show band / mode status for selected spot

·Added a menu item to the packet window the update the QSO Window using the current spot.

·Added option not to save last frequency to improve speed for slow radios

·Added parameter to define an 'old' spot

QSO Window

·Search again will clear some additional fields (again)

·When opening a log file, the same directory will be used as the current open file.

·Default CW cutoff frequency changed for 80m and 40m

·We can now search for empty notes using '!*'

Reports

·Some reports, like IOTA, did not show 'L' status.

·LogBook Window exports notes containing double-quotes correctly.

Labels

·Some settings were not remembered for the print labels dialog

·%% will no longer print if group names are disabled

Port Driver

·When the port driver cannot be loaded, a message will be issued and the program continues to work without access to the LPT ports. In previous versions the program would abort.

·Added option to reverse the sense of the radio 1/2 line

Radios

·A number of radio files were updated; thanks to Guy, ON4AOI and Lou, N2TU for their patience


Version 7.02
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.02

CW Keyboard

·Added pro-signs

·Support for WinKey

LOTW (and similar imports to update QSOs)

·Notes will be added to the notes for the QSO when certain fields (CQ Zone, State, County, IOTA and Grid) are different from the QSO used to confirm the QSO.

·QSOs that are confirmed in the imported log that cannot be found in the existing log will be written to a file for further analysis.

·Lookup for an existing QSO now ignores the seconds in the time field

Packet

·Fixed problem with long packet messages

·Incoming packet spots no longer change the band decoder

·Changed various entries in the dx4win.tcp file

·Added optional time field to a URL to keep packet connection alive

QSOs

·New code to determine the WPX prefix

·Corrected band from 33cm to 35cm

·Added a QSO status L (to W, L, C, S, *)

·ValidDXCC now only applies to DXCC awards

·Added more tab disabled fields (Upload, Upload Date and Upload conf

·CQZone is cleared if it was zero; made second search fail

·Upload date can be changed without the Upload flag set

·Switching between selections is faster

QSL Labels

·Individual fonts for the five custom QSL labels

·When copying a label, you will be prompted for the destination custom label

·%% no longer prints on label when a group is not selected

Radios

·Added entries for ICOM 756 Pro II and III

·Added entry for ICOM 7800

·Added entry for Yaesu-ftdx9000

·Added delay field to the radio database commands

Rotators

·Added support for more rotators (Prosistel, M^2 model)

·Added option to indicate a dipole for a given band

Other

·Added band/mode selection to a number of reports

·Inserted blanks for Notes for QSO when more fields were added during import

·Progress bar was not displayed correctly when loading very large files.

·Removed auto completion from Selection editor box to avoid editing problems

·Updated country database by Jim; AD1C. Thanks Jim!


Version 7.01
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 7.01

·Interface to MMTTY RTTY software

·Both the packet window and the RTTY windows will keep the focus when double clicking on a callsign or entering a QSO.

·More modes were added

·Remember position of calendar window

·Cleanup of calendar is done automatically after importing new data

·Option to copy information from CDROM data to QSO Window

·Provide for five custom labels

·Made saving / restoring of label data independent of Windows country settings

·IOTA summary window expanded to show the modes

·County summary window expanded to show the mode

·Added BPSK31 to recognize PSK31 in packet spots

·Added 'Set QRP flag' to multiple QSO operations

·A double click in a summary window on the mode row header or the band column header will set a filter for the mode or the band only.

·Small adjustments for the determination of a prefix and using the information from a previous QSO.

·Both the packet window and the RTTY windows will keep the focus when double clicking on a callsign or entering a QSO.


Version 6.04
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Bug fixes and new features for version 6.04

PSK31

·Keep 'other' line low in PSK31 keying

·Double-click in psk31

ADIF

·Empty ADIF field skipped on import

·When using imported QSOs just to confirm QSOs, they will no longer be added if the QSO did not exist

·ADIF import qsl_date defaults to qso_date when qslsent = y

·Changed ADIF Freq (MHz) to be stored in QSO notes as kHz

·Corrected 1.25M band in ADIF

LoTW

·Export for LoTW selects ADIF filter

·Setting Upload Flag no longer ignores QSOs with QSL method set to 'Ignore'

·Export for LoTW will no longer write QSOs which have an upload date set

Reports

·Fixed landscape printing for reports

·Upload conf flag showed incorrectly in logbook window

QSOs

·Updated country database (thanks, Jim, AD1C)

·Corrected band plan for 60m (and radio defaults to USB)

·Added a Close button for File | New dialog window

·VUCC bandlisting was not clickable

·Added set confirm flag(s) to multiple QSO operations

·Added Set Upload Date to multiple QSO operations

·Default for new QSOs can have Lab, Upl or Lab+Upl

·Changing award flags honors QSO filter and active Selection

·Selecting a filter did set the wrong group default for new QSOs

·Populating state field using F1 will now update state / county summary

·When a US state is specified in a QSO, overriding the default zone will no longer add callsign exception records to the country database

Packet

·Incoming spots no longer update band decoder

·Corrected updating of the callsign on taskbar for incoming spots

·Various changes in the dx4win.tcp file (Internet addresses)

·The announcement window will no longer be shown automatically when selecting "List in Window" in the packet preferences. The window will be shown when the program starts and a the selection was made to show the announcement window.

System

·Run-time install of port driver

·Force the directory for QRZ CDROM to be a drive only

·Added portmap.ini file in save directory to specify a non-standard printer port address

·Added an import function for the calendar

Radio

·Added rig file for Yaesu-FT857 (Thanks G4IRN)


Version 6.03
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Updates / Additions for version 6.03

Control

·Added support for prositel rotator

Country Database

·Corrected QSL manager editor (dates were wrong)

·Merging QSL managers lists actions

·Changed country database & import/export filters to follow Jim's (AD1C) database

Import/Export

·Corrected ADIF import band conversion for higher frequencies

·QSO import no longer changes 59 seconds to 58 seconds

·Import (merge) can use imported QSO for confirmation only (we can set confirmed or upload confirmed

·New I/E filter for dx4win

·Removed CT import filters; use the ADI export for CT instead.

Map

·Automatic update day and night fixed

Other

·DOS box showed under Win/XP when calling an external program

Packet

·Added extra priority level to distinguish worked or not bm combo

·New award band was tested incorrectly

·Small corrections in dx4win.tcp file

·Spots were not always saved when closing program

·Spot colors for 'nothing special' could not be changed

·Typing in packet window without an established connection will show the select connection dialog

PSK31

·Wrote routine to get text after double-click in PSK31 window (behavior varied by operating system)

·Added selection of COM port for PTT control

QSOs

·Added option to set QSL Date when setting QSL method in multiple QSO operations

·After changing the current Selection, the default group is set to that selection so adding or importing QSOs will get the group by default

·Changed prefix logic (ignored stuff on right only like /R and /MM)

·When the QSL Date is empty, the up-arrow will set the date to today's date, a down-arrow sets the date to the QSODate

·Added 60M band

·Grids were case sensitive

·Band / Mode also updated for current spot when callsign field is empty

·Added Upload fields to QSO window (Upload, Upload Date, Upload confirmed

·When a previous QSO is found for a call, the zone is now updated for the new QSO.

QSL Labels

·Max QSOs per label could only be changed for one custom labels but now we keep two separate values

·Marking additional QSLs for label printing takes mailed cutoff into account if there is a QSL manager

·Removing duplicate QSLs for printing no longer clears the print flag when a QSO was confirmed.

Radios

·Corrections in Kenwood radio file (thanks to Don, W0DJC)

·Changed order for setting frequency and mode

Reports / Awards

·Small correction in award file (Darrell)

·Made Freq column wider in progress report

·Added time column to WAZ submission reports

·rstR = 0 or ValidDX = Invalid are now indicating an invalid QSO for any award

·Rewards no longer require a minimum number of qualifying QSOs (like 100 for DXCC)

·Added option to select what counts as confirmed (card, upload or both; this is reflected in reports, spots and summaries)


Version 6.02
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Maintenance release

Corrections:

·Corrected band=Satellite when converting an older log format (note that the wrong conversion where a satellite contacted ended up as 13cm can be changed with the new 'Set band' option in the multiple QSO operations)

·Removing the 'Progress Bar' when saving a log corrected the Alt+S problem

·DX Alert level is now silent when you select 'None' and the other priorities are now correct

·First QSL label prints in the correct orientation when printing single labels

·Contest message is now preserved when reading / writing an INI file

·US County find in the world map selects the correct county (Excepts Alaska and Broomfield, CO)

New feautures:

·Added option to set new band in multiple QSO operations

Country database

·Small corrections and additions IOTA database

On-line Help

·Added example formats for QSL label printing


Version 6.01
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Changes for 6.01

Packet

·Added a priority for new band

·Added an option to show a DX spot as high priority for an unconfirmed country

·The colors for font text and the background can be changed for the different priorities

·Added a new column indicating the priority level of a spot

·Added wild character matching for the callsign watch function

·Automatic refresh interval can be specified in an WWW page for DX spots

·Added option to sort DX spots by grid or by IOTA.

VUCC and Grids

·Added a number of new VHF bands plus 4M

·Added option to show grid lines on the world map

·World map shows current grid square in the header

·Searching for a grid value has been fixed

·Grid locator can now be copied automatically from the address shown using the Buckmaster or Flying Horse CDROM

QSOs

·The drop-down lists for modes and bands are now split in two sections. Selected bands and modes in the station parameters are shown first, followed by the ones that are not enabled.

·Added option to change the QSL method for the selection of QSOs

·Added option to modify the QSO date/time for the selection of QSOs

·Automatic selection for QSL printing of QSOs for WPX has been fixed

·IOTA for a previous QSO is inserted when adding in real-time

·A cutoff for 'worked' and 'mailed' with a zero value now means that the cutoff is ignored

·Changed the strings for PSK31 to 'PSK31' (was 'PSK3')

·KG4xx recognized as Gitmo, KG4x and KG4xxx is USA

·Removed ## and ?? from QSO notes if information is not available

·When a search fails (F8) the QSO Window is ready for a new search to be entered

·The length of county names increased to 22 characters

·Added ability to enter aurora / meteor and rain scatter reports; see modes for details.

·Added modes JT44 and FSK44

·Bad county field will show listing when entering or updating a QSO

·When adding QSOs real-time the background color of the time field will remain darker as long as the time is updated automatically.

Summary Windows / Reports

·Corrected double-click in a summary window when adding real-time

·SameCall window shows more matching calls

·Added progress reports for DXCC, WAS, WAZ and WPX. A progress report shows the difference in the number of countries (states etc.) worked, confirmed etc. for two date ranges in the log.

Labels

·Fixed the problem that only the first page was printed in landscape mode when printing QSL labels

·QSOs printed for Method=QSLService are now sorted by callsign

CW keyboard

·A '+' or '-' in a text buffer (macro) changes the speed

Radios

·Added support for easy switching between two radios

·The command for split on or off is now send first to the radio, correcting a problem with some radios when the B VFO was selected

Control

·Added ability to use any COM port / LPT port for keying CW and PTT

·Added option to set a bit14 on the LPT line when switching to the second radio

·Added option to select between other installed sound card(s) for PSK31

·Corrected selection for 6M in band decoder

·Added support for ON4AOI band decoder

Map

·Added more map data (Islands, cities and US counties)

·Added search function (for country, city and IOTA)

Other

·Reworked and expanded the on-line help

·Added delay for Hygain rotator

·Added support for GOLIST DLL

·Added support to search a website for address and QSL manager information

·Fixed problems with IOTA editor

·Added new import/export filter for DX4WIN (for longer mode field and county field)

·Increased highest COM port number that can be specified


Version 5.03
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Changes for 5.03 (May 10, 2001)

Summary Windows

·A double-click in one of the many summary windows will set a search filter for the band/mode combination for that window (Country, State, Grid, IOTA, Zone etc)

·Added a County summary window

·Added a Mode and Band totals line and Total Confirmed column.

SameCall Window

·SameCall Window uses the Callsign search option to show exact matching calls only or to show all QSOs with the same homecall.

·SameCall Window will now also display calls for current QSO in DX Spots Window when adding QSOs in real-time and the callsign field is empty.

Packet

·Option to clear the packet talk window

·When changing the sort order in the DX Spots Window the current spot will remain selected

Radios

·Corrected radio interface when Tx offset is enabled.

·Partial support for Yaesu-FT100

·Added entry for ICOM-756 radio

·Added entry for Kenwood TS-2000

Labels

·Added macro (&&) to insert the name from the notes for the callsign in the QSL label

Data bases

·Added logic to remove duplicate information for QSL managers during import

·Updated award file (thanks to Guy ON4AOI who collects the many contributions)

·Updated IOTA (thanks to Jim, AD1C and Guy, ON4AOI)

General

·Added support for a message based rotator interface which supports the ARS interface by EA4TX

·Changed Worked cutoff and Mailed cutoff dates; both are now a number days instead of absolute dates.

·Changes in a prefix will reset the IOTA field and change the beam heading

·Added option to leave all windows in place to support dual monitors.

·Added latest version of pskcore.dll (AE4JY)

·Added Ctrl+T to insert today's date in notes field


Version 5.02
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Changes for 5.02 (Nov-1, 2000)

·Added serial port for keying PSK

·Button to minimize QSO Window and maximize on map window

·IOTA summary window displays all bands

·Long function keys (> 255) did not recognize % char

·Last line of a report did not have a line when using shading

·In Label print window, checking 'Print QSL Mgr' did not affect the buro counter

·Samecall window did show calls for KK4HD like KK4HD/VP2 but not calls like VP2/KK4HD

·Moved QSL-VIA field to notes for QSO for ADIF import

·Fixed continent mapping and 'country has buro' flag

·Corrected a number of County spelling errors (thanks Jim, AD1C)

·Using F1 in IOTA field did not update direction indicator

·Corrected the DX4WIN import/export filters (Position needed to be non-zero)

·Changed logic to retrieve the first name from the notes for the callsign (used in %n macro)


Version 5.01
No contents entries on this page
Go to previous topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Changes for 5.01 (Sep-15, 2000)

PSK Window

·Added a PSK31 window based on the pskcore.dll by AE4JY

Radios

·Added support for TenTec Pegasus

·Added support for Kachina 505DSP

·Added ability to control DTR and RTS lines for the radio COM port

·CW keying can now also use the RTS line of the radio COM port

·Set Frequency window is no longer modal and can handle split frequencies

Country database

·Added East Timor and Chesterfield Islands to country database

·Added a number of new IOTAs (tnx Jim, AD1C and Milan, OK1FM)

Awards

·WPX submission prints calls only in multiple columns

·IOTA award allows for all bands

DX spots

·Added option to cancel voice announcements in DX Spots Window

·Packet spotting window will remember last sort order

·Added command to delete old spots for DX Spots Window

Import / Export

·Added import filter for Kachina logs (and another date format)

·Small corrections for ADIF import

Function keys

·Redesigned the function keys for the RTTY window etc.

·There are now 16 function keys (buffers) and increased the maximum length

·Added a few %macros for more flexibility.

QSOs

·Added Substring option for callsign searches

·The window 'Save QSO you just added' now also has an option to cancel

·Moved custom awards fields so they are no longer on the bottom of the window

QSL Labels

·Changed buro sort order to include a region number for the USA, so KK4HD will print before KA5ABC, and all regions will be printed together. Sort order takes portable operations into account; so KK4HD/VP5 will be sorted among the USA calls.

System

·Correction in Save / restore map parameters

·Removed option 'Minimize other applications'

·Added option to CW keyboard to buffer a single line